<?php
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: manage_announcment.php
	# Updated: 23-04-08 Sham Shriwastav  
	# Status: open
	# Purpose: 
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once("./includes/config.php");
	require_once("./includes/conn.php");
	require_once("./lib/db_functions.php");
	require_once("./lib/general_functions.php");
	require_once("./lib/common_functions.php");
	require_once("./includes/sorting.php");
	require_once("./includes/member_filenames.php");
	require_once("./includes/err_msg.php");
	
	$debug_mode = 0;

##  Specify title of page
	$page_heading="Announcements";

##  to get search field
	$start			= trim($_REQUEST['start']);
	$sort			= trim($_REQUEST['sort']);
	$s_title		= trim($_REQUEST['s_title']);
	$s_date 		= trim($_REQUEST['s_date']);	
	$s_status		= trim($_REQUEST['s_status']);
	$prod_id		=trim($_REQUEST["prod_id"]);
	$str_err		= trim($_REQUEST["str_err"]);
	if(isset($_POST["search"]))
	{
	 $str_err="";
	}


## code to params creation
	$str_params="&s_title=".urlencode($s_title);
	$str_params.="&s_date=".urlencode($s_date);
	$str_params.="&prod_id=".urlencode($prod_id);
	$str_params.="&s_status=".urlencode($s_status);		
	//$params.="&sort=".$sort;

## code for select query condition Creation
		$arr_cond[]=" status = '1'";
		if($prod_id!="")
			$arr_cond[]=" prod_id = '$prod_id'";
		if($s_title!="")
			$arr_cond[]=" anmnt_title like '$s_title%'";
		if($s_date!="")
			$arr_cond[]=" anmnt_date  Like '$s_date%'";
		if($s_status!="")
			$arr_cond[]=" status = '$s_status'";
	
		if (is_array($arr_cond))
			$str_cond = implode(" and ", $arr_cond);
		else
			$str_cond = "";


	
## code for get sort condition filter		
		if($sort=="") 	//-- by default registeration date descending
		{  
			$i_disp=1;
			$str_order ="anmnt_date desc ";
			$sort = "-2";
		}
		elseif($sort == "1") 		$str_order=" anmnt_title asc ";
		elseif($sort == "-1") 		$str_order=" anmnt_title desc ";	
		elseif($sort == "2") 		$str_order=" anmnt_date asc ";
		elseif($sort == "-2") 		$str_order=" anmnt_date desc ";	



## to get start for paging
	if ($start=="")
		$start=0;
		
## get total rows without limits
	$num_rows = get_total_rows("tbl_announcements",'anmnt_id',$str_cond);
	
## get data by applying limit
	$str_tablename = "tbl_announcements";
	$str_join_cond = "";
	$str_limits =  $start.",".$RECORDS_PER_PAGE; 
	$str_field_names="*";
	$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);

## To change the value of start if all records from last page are deleted. go to prevoius page.
	if ( $res_data && @mysql_num_rows($res_data) == 0)
	{	
		if ($start!= 0)
		{
			$start = $start - $RECORDS_PER_PAGE;
			if ($start < 0)
				$start = 0;
			$str_limits 	= $start.",".$RECORDS_PER_PAGE;	
			$num_rows = get_total_rows($str_tablename,'anmnt_id',$str_cond);
			$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);
		}
	}

# get the help section.
$arr_help=get_help("1,3");
while (list($key, $value) = each($arr_help))
{
 echo "<div id='help_data_$key' style='display:none;'>".$value["help_text"]."</div>";
}
?>	
<?php include("header.php"); ?>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/checkbox_functions.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<link rel="stylesheet" type="text/css" media="all" href="<?php echo $site_path ; ?>javascript/calendar/calendar-win2k-cold-1.css" title="win2k-cold-1" />
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar.js"></script>
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar-en.js"></script>
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar-setup.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/nodropin.js"></script>
		<div id="dropin" style="background-color: #CCCCCC; position:absolute; visibility: hidden; z-index: 1000000;
		left: 300px; width: 350px; padding:5px 5px; border: 1px solid #2E2E2E;	background-color:#FFFFFF;  ">
			<div align="right">
				<font face="Tahoma" size="1">
		  			<a href="#" onClick="dismissbox();return false">[Close]</a>
		  		</font>&nbsp;&nbsp;
				<hr  size="1px"/>
		  	</div>
		  	<div id="help_div" class="text"></div>	
		</div>

<form name="frm_manage" method="post" action="<?php echo $_SERVER['PHP_SELF'];?>"><BR />
<?php  
if($str_err) 
	{ 
	 echo get_err_div($str_err);
	} 
?>
<table width="90%" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
              <tbody>
                <tr>
                  <th align="center"></th>
                  <th align="left"><?php echo  $page_heading;?></th>
                  <th align="left">&nbsp;</th>
                  <th align="center">&nbsp;</th>
                  </tr>
                <tr>
			  	<td width="8%" align="center"><a onmouseover="this.style.cursor='pointer';" onclick="initbox2('help_div',event,'<?php echo "help_data_1"; ?>', '<?php echo $arr_help[1]["help_type"]; ?>'); return false;" title='Click me for help'> <img src="<?php echo SITE_PATH."images/help_icon.gif";?>" width="16" height="16" border="0" /></a></td>
                <td width="68%" align="left"><input name="s_title"  class="textfield" value="<?php echo $s_title;?>"  size="70" type="text"></td>
                <td width="17%" align="left"><input name="s_date" class="textfield" id="s_date" size="10" maxlength="11" value="<?php echo $s_date;?>" type="text">
					<script type="text/javascript">	  
					 Calendar.setup({
					 inputField	 :	"s_date",	 // id of the input field
					 ifFormat	 :	"y-mm-dd",	  // format of the input field
					 button		 :	"s_date",  // trigger for the calendar (button ID)
					 align		 :	"Bl",		   // alignment (defaults to "Bl")
					 singleClick :	true
					});
					</script></td>
                <td width="7%" align="center"><input name="search" value="search"   type="submit"></td>
				</tr>
              <tr>
			  <th align="center"><a onmouseover="this.style.cursor='pointer';" onclick="initbox2('help_div',event,'<?php echo "help_data_3"; ?>', '<?php echo $arr_help[3]["help_type"]; ?>'); return false;" title='Click me for help'> <img src="<?php echo SITE_PATH."images/help_icon.gif";?>" width="16" height="16" border="0" /> </a></th>

             	<th align="left">
				<?php
				 echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort1"."'>Announcement Title</a>";
    				if($imgsort[1] == 1)
						echo "<img src='".$imgsort[0] ."' border='0'>&nbsp;"; 
				?>				</th>     
             	<th align="left">
				<?php
				echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort2"."'>Date</a>";
				if($i_disp == 1) #Loop for dispaly default sorting applied on listing
				{ 
				echo "<img src='".$sortimg_path."' border='0'>&nbsp;"; 
				$i_disp=0; 
				}
    			if($imgsort[1] == 2)
					echo "<img src='".$imgsort[0] ."' border='0'>&nbsp;"; 
				?>				</th>
             	<th align="center">&nbsp;</th>     
             	</tr>
			<?php 
			if (@mysql_num_rows($res_data)> 0) 
			{ 
				$cntr=$start+1;
				while($row = @mysql_fetch_assoc($res_data) )
					{
						$id=$row["anmnt_id"];
						$anmnt_title= stripslashes($row["anmnt_title"]);
						$anmnt_date=$row["anmnt_date"];
						$i_status=$row['status'] ;
						$str_status = $i_status=="0"?"Inactive":"Active";
						$row_class = $row_class=="row0" || $row_class=="" ? "row1": "row0";	
			?>
					<tr class="<?php echo $row_class;?>">
						<td align="center"><?php echo $cntr;?></td>
						<td align="left"><a title="Detail" href="<?php echo ANNOUNCEMENTS_VIEW_PHP."?id=".$id;?>"><?php echo $anmnt_title;?></a></td>
						<td align="left"><?php echo $anmnt_date;?></td>
						<td align="center"><!--<a href="<?php echo ANNOUNCEMENTS_VIEW_PHP."?id=".$id;?>"><img src="<?php echo $site_path;?>images/detail.png" width="16" height="16" border="0"></a>--></td>
						</tr>		
			<?php 	$cntr++;
					} #closing of while ?>			
			<tr align="center">
			  <td align="center">&nbsp;</td>
			  <td colspan="2" align="center" >
			  <?php	
			  		/*$page=navigation($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'], $str_params,''); #paging	 		
					 echo $page;*/
				$navigation= navigation_new($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'],$str_params);
			    echo($navigation[1]."&nbsp;".$navigation[2]."&nbsp;".$navigation[3]);
					 	?>			  </td>
			  <td align="center">&nbsp;</td>
			  </tr>
			</tbody></table>
<?php } # closing of record check
else {  ?>	
	<table width="90%" height="250" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
					<tr>
					  <th align="center"><span class="error"><?php echo ERR_NO_RESULT;?></span></th>
					</tr>
	</table>				
<?php } ?>	
</form>	
<?php include("footer.php");?>