<?php 
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name:change_password.php
	# Updated: 20-11-2008 Chetan Kothawade
	# Status: open
	# Purpose: Change the password of member.
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once ("includes/config.php");
	require_once ("includes/conn.php");
	require_once("lib/db_functions.php");
	require_once("lib/general_functions.php");
	require_once("lib/common_functions.php");
	require_once("includes/err_msg.php");
	require_once("includes/member_filenames.php");
	$debug_mode = 0;
##  Specify title of page
	$page_heading="Change Password";
	
	if(isset( $_POST['change_password']))
	{	
		//print_r($_POST);
		$str_old_password 	= trim($_POST['str_old_password']);
		$str_new_password 	= trim($_POST['str_new_password']);
		$str_confirm_pass 	= trim($_POST['str_confirm_pass']);
					
		if ($str_old_password == "") 		$arr_error[] ="Old Password"; 
		if ($str_new_password == "") 		$arr_error[] ="New Password"; 
		if ($str_confirm_pass == "") 		$arr_error[] ="Confirm Password";
		$str_err = generate_errmsg($arr_error);
		
		if (!$str_err)
		{
			$str_err=change_password($str_old_password, $str_new_password, $str_confirm_pass);
			echo get_err_div($str_err,SITE_PATH,5000); 
		}//if
		else
			echo get_err_div($str_err);
	}//if isset
?><?php  require_once("header.php"); ?>
<script language="javascript" src="<?php echo $site_path;?>javascript/form_validator.js"></script>
<script language="javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<SCRIPT LANGUAGE = "JavaScript">
	function checkForm(form)
	{ 	
		var frm = document.frmchgpwd;
		var req 		= new Array("str_old_password","str_new_password","str_confirm_pass");
		var email 		= new Array();
		var digits 		= new Array();
		var currs 		= new Array();
		var alpha 		= new Array();
		var alpha_space = new Array();
		res =  validate(req,email,digits,currs,alpha,alpha_space);
		if (res == false)
		{
			 return res;
		}
		else 
		{
			if (trim(frm.str_confirm_pass.value) == trim(frm.str_new_password.value))
			{
				if (trim(frm.str_old_password.value) != trim(frm.str_new_password.value))
				{
					return true;
				}
				else
				{
				 	alert ("<?php echo STR_ERR_PW_ALREADY_EXIST;?>"); 
					frm.str_new_password.style.border="1px solid #FF0000";
					frm.str_new_password.value="";
					frm.str_confirm_pass.value="";
					frm.str_new_password.focus(); 
					return false; 
				}
			}
			else
			{
				alert ("<?php echo STR_ERR_DIFF_OLD_NEW_PW; ?>");  
				frm.str_confirm_pass.style.border="1px solid #FF0000";
				frm.str_confirm_pass.value="";
			 	frm.str_confirm_pass.focus(); 
			 	return false; 
			}
		}
		
	}	
</SCRIPT>

<form name="frmchgpwd" method="post" action="<?php echo MEMBER_CHANGE_PASSWORD; ?>" onSubmit="javascript:return checkForm(this);" >
<BR /><BR />
	<table width="50%" border="0" align="center" cellpadding="0" cellspacing="0" class="shows">
	<tbody>
		<tr>
			<th colspan="3" align="center" valign="middle"><?php  echo $page_heading ;?></th>
		</tr>
		<tr class="row0">
			<td align="left" width="28%">Old Password <span class="error">*</span> </td>
			<td width="9%" align="center">:</td>
			<td width="63%"><input type="password" name="str_old_password" id="str_old_password" class="textfield" value="<?php echo $str_old_password; ?>" title="<?php echo STR_ERR_OLD_PW; ?>" /></td>
		</tr>
		<tr class="row0">
			<td align="left" width="28%">New Password <span class="error">*</span> </td>
			<td align="center">:</td>
			<td><input type="password" name="str_new_password" id="str_new_password" class="textfield" value="<?php echo $str_new_password; ?>" title="<?php echo STR_ERR_NEW_PW; ?>" /></td>
		</tr>
		<tr class="row0">
			<td align="left" width="28%">Confirm Password <span class="error">*</span> </td>
			<td align="center">:</td>
			<td><input type="password" name="str_confirm_pass" id="str_confirm_pass" class="textfield" value="<?php echo $str_confirm_pass; ?>" title="<?php echo STR_ERR_CONFIRM_PW; ?>" /></td>
		</tr>
		<tr align="center" class="row1">
			<td align="center" colspan="3"><input type="submit" name="change_password" value="Change Password" class="button-default" id="forgot_password" /></td>
		</tr>
	</tbody>
	</table>
</form>
<table width="100%">
  <tr>
    <td height="60">&nbsp;</td>
  </tr>
</table>
<?php include("footer.php"); ?>
