<?php @session_start();
	/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	#eLuminous Technologies and cant be used / modified without license.  
	#Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	#prohibhited 
	#############################################################################
	# Name: db_functions.php
	# Usage: included ( WRITE USAGE DETAILS ) 
	  {
	   -- This is include file and will be included wherever function will be in use.
	   -- files are include 
	  } 
	# Update: 26-09-2007  Sham Shriwastav  - commenting
	# Status: open
	# Purpose: write database related functions used in coding 
	
	DATABASE FUNCTION :
	  show_error() : displays error message
	  select_from_db : Select records form the database.
	  insert_into_db : Insert record into the database.
	  update_into_db : Update record into the database.
	  delete_from_db : Delete record into the database.
	  check_availibility :  Cehck the Availibility of record into the database. returns true if available else fale
	  get_field : returns a value in a particular field
	  get_total_rows : return total numbwer of rows
	  
*/
			 
##  function to display error message		
		function show_error()
		{	
			echo "<br><pre><font color='#FF0000'>Error No. ". mysql_errno() . " occured:" . mysql_error()." </font></pre><BR>";
		
		}

## function for retrive the records form the database two.		
		function select_from_db($str_table_names, $str_fields="*",$str_condition="", $str_order="",$str_limits="",$str_join_cond="",$str_group="",$str_having_cond="" )
		{
			global $prefix;
			global $debug_mode;
			
			$str_sql_select= "SELECT $str_fields FROM $str_table_names";
					
			if($str_join_cond !='')
			{
				$str_sql_select.= " ON ".$str_join_cond;
			}
			if($str_condition !='')
				{
					$str_sql_select.= " WHERE ".$str_condition;
				}	
			if($str_group!='')
				{
					$str_sql_select.=' GROUP BY '.$str_group;
				}
			if($str_having_cond!='')
				{
					$str_sql_select.=' HAVING '.$str_having_cond;
				}
			if($str_order!='')
				{
					$str_sql_select.=' ORDER BY '.$str_order;
				}	
			if($str_limits!='')
				{
					$str_sql_select.=" LIMIT ".$str_limits;
				}
				
			if ( $debug_mode == 1)
			{
					 echo "<br><pre>SELECT SQL : ".$str_sql_select."<BR>---------<BR></pre>";
			}
			$result_prod=mysql_query($str_sql_select);
			
			if ( $result_prod)
				return $result_prod;
			else
				{ 
					show_error();
					return false ;
				}
		} 			


## Function for insertion in database
		function insert_into_db($str_table_name, $str_fields, $str_values)
			{
				global $prefix;
				global $debug_mode;
				$str_sql_ins = "insert into $str_table_name ($str_fields) values ($str_values)";
				
				
				if ( $debug_mode == 1)
					{
						echo "<pre><br>INSERT SQL : ".$str_sql_ins."<BR>---------<BR></pre>";
						
					}
				if (mysql_query($str_sql_ins))
					{
						$id = mysql_insert_id();
						return $id;
					} 
				else
					{
						if ( $debug_mode == 1)
							{
								echo "<pre><br><font color='#FF0000'>INSERT SQL Error : ".mysql_error()."</font><BR>---------<BR></pre>";
							}
						show_error();
						return false;	
					}
			}

## Function for Updating records in database
		function update_into_db($str_tblname,$str_fields_values,$str_filter='',$str_limits='1')
			{
				global $prefix;
				global $debug_mode;
				$str_sql_updt='UPDATE '.$str_tblname.' SET ';
				$str_sql_updt.=$str_fields_values;
				if($str_filter!='')
					{
						$str_sql_updt.=" WHERE ".$str_filter;
					}
				if($str_limits!='')
					{
						$str_sql_updt.=" LIMIT ".$str_limits;
					}
				
				if ( $debug_mode == 1)
					{
						echo "<pre><br>UPDATE SQL :  " .$str_sql_updt."<BR>---------<BR></pre>";
					}
				
				if (mysql_query($str_sql_updt))
					{
						return true;
					}
				else
					{	show_error();
						return false;
					}	
			}
	 	

## Function for Delete records in database
		function delete_from_db($str_tblname, $str_filter='',$str_limit='')
			{
				global $prefix;
				global $debug_mode;
				$str_sql_del="DELETE FROM $str_tblname";
				if($str_filter!='')
					{
						$str_sql_del.=" WHERE ".$str_filter;
					}
				if($str_limit!='')
					{
						$str_sql_del.=" LIMIT ".$str_limit;
					}
				if ( $debug_mode == 1)
					{
						echo "<pre><br>DELETE SQL :  " .$str_sql_del."<BR>---------<BR></pre>";
					}
				if (mysql_query($str_sql_del))
					{
						mysql_query("OPTIMIZE TABLE ".$str_tblname);
						return true;
					}
				else
					{
						show_error();
						return false;
					}
	
			}
	 	

##  To Check the duplication of record
		function check_availibility($str_tblname,$str_fields='*',$str_condition='',$str_order='',$str_group='',$str_limits='', $str_join_cond='')
			{
					global $prefix;
					global $debug_mode;
					
					$result_sel = select_from_db($str_tblname, $str_fields,$str_condition, $str_order,$str_group,$str_limits,$str_join_cond);
					if($result_sel)
						{
							 
							$num_rows = mysql_num_rows($result_sel);
						}
					
					if ( $num_rows > 0 )
						{	
							//echo $num_rows;
							return true;
						}
					else
						{
							return false;
						}
				
			}

##  function get_field($tbl,$condition,$field)---------starts returns a value of a given field
	
	function get_field($str_table_name,$str_fields,$str_condition='',$str_order='',$str_group='',$str_limits='')
	 {
		 global $prefix;
		 global $debug_mode;
			
		 $result=select_from_db($str_table_name, $str_fields,$str_condition, $str_order,$str_group,$str_limits,$str_join_cond);
		 
		 if ($result && mysql_num_rows($result) > 0)
		 {
			$row = mysql_fetch_assoc($result);
			$value = $row[$str_fields];
			return $value ;
		 }
		 else
		 {
			return false;
		 }
	 }
	 
	 
## get total number of rows.
		 function get_total_rows($str_tblname,$str_fields='*',$str_condition='',$str_order='',$str_limits='', $str_join_cond='',$str_group='', $str_having_cond='')
		 {
		 	global $prefix;
			global $debug_mode;
		 				
		 	$str_sql_select='SELECT ';
			$str_sql_select.='count('.$str_fields.') as "total_row"';
			$str_sql_select.=' FROM '.$str_tblname;
			
			if($str_join_cond !='')
			{
				$str_sql_select.= " ON ".$str_join_cond;
			}
			if($str_condition !='')
			{
				$str_sql_select.= " WHERE ". $str_condition;
			}	
			if($str_group!='')
			{
				$str_sql_select.=' GROUP BY '.$str_group;
			}	
			if($str_having_cond!='')
			{
				$str_sql_select.=' HAVING '.$str_having_cond;
			}	
			if($str_order!='')
			{
				$str_sql_select.=' ORDER BY '.$str_order;	
			}	
			if($str_limits!='')
			{
				$str_sql_select.=" LIMIT ".$str_limits;
			}	
			
			if ( $debug_mode == 1)
			{
				echo "<pre><br>GET TOTAL ROWS SQL :  " .$str_sql_select."<BR>---------<BR></pre>"; 
			}
			
			//echo $str_sql_select;
			$result=mysql_query($str_sql_select);
			if ( !$result)
				show_error();
			 
			 $row_proj=mysql_fetch_assoc($result);
			 
			 if ($row_proj) 
			 	{  	
			 		$tot_row = $row_proj['total_row'];
			 	 	return $tot_row;
			 	}
			 else
			  	return 0;
		}	 
?>