<?php 
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name:main.php
	# Updated: 05-05-08 Mudassir Shaikh  
	# Status: open
	# Purpose: Home page of operator.
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once("../includes/config.php");
	require_once("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/member_filenames.php");
	require_once("../includes/operator_filenames.php");
	require_once("../includes/err_msg.php");
	
 // To get the count of open tickets 
  
 $my_dept=get_operator_dept($_SESSION["ses_opera_id"]);
 
 if(is_array($my_dept))
 {
 $my_dept_list=implode(',',$my_dept);
 $arr_cond[]=" (opera_id='".$_SESSION["ses_opera_id"]."' OR (dept_id in ($my_dept_list) AND opera_id ='0') ) "; 
 $arr_cond[]="ticket_flag=0";
 $str_cond= is_array($arr_cond) ? implode(" and ", $arr_cond)  : "" ;
 $open_tickets = get_total_rows("tbl_tickets","ticket_id",$str_cond); 
 }
 else
 {
  $open_tickets =0;
 }
 
 // To get the count of close tickets
 
 $my_dept1=get_operator_dept($_SESSION["ses_opera_id"]);
 if(is_array($my_dept1))
 {
	 $my_dept_list1=implode(',',$my_dept1);
	 $arr_cond1[]=" (opera_id='".$_SESSION["ses_opera_id"]."' OR (dept_id in ($my_dept_list) AND opera_id ='0') ) "; 
	 $arr_cond1[]="ticket_flag=1";
	 $str_cond1= is_array($arr_cond1) ? implode(" and ", $arr_cond1)  : "" ;
	 $close_tickets = get_total_rows("tbl_tickets","ticket_id",$str_cond1); 
 }
 else
 {
	  $close_tickets =0;
 }


 $page_heading="Operator Panel";	
?>
<?php include_once("header.php"); ?>

<table width="930" border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
                <td valign="top"><table width="80%" border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="32%"><div align="center">
                      <table width="85%" border="0" align="center" cellpadding="0" cellspacing="0" class="icon_bg">
                        <tr>
                          <td width="110" height="25">&nbsp;</td>
                          <td rowspan="2">
						   <div align="left">
						    <span class="page_subheading">
							 <a href="<?php echo OPT_MNG_TICKET_PHP;?>?s_status=0" class="page_subheading">Open Tickets</a></span> 
							 <a class="sublinks">(<?php echo $open_tickets; ?>)</a><br />
                           </div>
						  </td>
                        </tr>
                        <tr>
                          <td height="100" valign="top">
						  <div align="center">
						   <a href="<?php echo OPT_MNG_TICKET_PHP;?>?s_status=0"> 
						    <img src="<?php echo $site_path;?>images/open_ticket.jpg" alt="Ticket Status" width="61" height="55" border="0" />
						   </a>
						  </div>
						  </td>
                        </tr>
                      </table>
                    </div></td>
                    <td width="32%"><div align="center">
                      <table width="85%" border="0" align="center" cellpadding="0" cellspacing="0" class="icon_bg">
                        <tr>
                          <td width="110" height="25">&nbsp;</td>
                          <td rowspan="2"><div align="left"><a href="<?php echo OPT_MNG_TICKET_PHP;?>?s_status=1" class="page_subheading">Close Tickets</a>  <a  class="sublinks">(<?php echo $close_tickets; ?>)</a></div></td>
                        </tr>
                        <tr>
                          <td height="100" valign="top">
						   <div align="center">
						    <a href="<?php echo OPT_MNG_TICKET_PHP;?>?s_status=1">
						     <img src="<?php echo $site_path;?>images/close_tickets.jpg" alt="Ticket Status" width="61" height="55" border="0" />
							</a> 
						   </div>
						  </td>
                        </tr>
                      </table>
                    </div></td>
                  </tr>
                  <tr>
                    <td><div align="center"></div></td>
                    <td height="50"><div align="center"></div></td>
                  </tr>
                  <tr>
                    <td><div align="center">
                      <table width="85%" border="0" align="center" cellpadding="0" cellspacing="0" class="icon_bg">
                        <tr>
                          <td width="110" height="25">&nbsp;</td>
                          <td rowspan="2"><div align="left"><a href="<?php echo OPT_MNG_KNWBASE_PHP; ?>" class="page_subheading">Knowledgebase</a></div></td>
                        </tr>
                        <tr>
                          <td height="100" valign="top">
						   <div align="center">
						    <a href="<?php echo OPT_MNG_KNWBASE_PHP; ?>">
						     <img src="<?php echo $site_path;?>images/knowledgebase.jpg" alt="Knowledgebase" width="58" height="66" border="0" />
							</a>
						   </div>
						  </td>
                        </tr>
                      </table>
                    </div></td>
                    <td><div align="center">
                      <table width="85%" border="0" align="center" cellpadding="0" cellspacing="0" class="icon_bg">
                        <tr>
                          <td width="110" height="25">&nbsp;</td>
                          <td rowspan="2"><div align="left"><span class="page_subheading"><a href="#" class="page_subheading"></a></span><br />
                           <a href="http://sham/vipdesk_new/newadmin/manage_trouble_shooter.php"></a><a href="<?php echo OPT_MNG_TROUBLE_SHOOTER_PHP;?>" class="page_subheading">Trouble Shooter</a></div></td>
                        </tr>
                        <tr>
                          <td height="100" valign="top">
						   <div align="right">
						    <a href="<?php echo OPT_MNG_TROUBLE_SHOOTER_PHP;?>">
						     <img src="<?php echo $site_path;?>images/trouble_shooter.jpg" alt="Trouble Shooter" width="82" height="82" hspace="12" border="0" />
							</a> 
						   </div>
						  </td>
                        </tr>
                      </table>
                    </div></td>
                  </tr>
				  
				  <tr>
                    <td><div align="center"></div></td>
                    <td height="50"><div align="center"></div></td>
                  </tr>
                  				                    
                </table>
				</td>
              </tr>
            </table>
<?php include_once("footer.php");?>
		
