<?php 
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name:add_edit_announcements.php
	# Updated: 23-04-08 Sham Shriwastav  
	# Status: open
	# Purpose: 
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once ("../includes/config.php");
	require_once ("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once ("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/err_msg.php");
	require_once("../includes/admin_filenames.php");
	$debug_mode = 0;

##  Specify title of page
	$page_heading="Add Announcements";
	$str_params=$_REQUEST['str_params'];
	$id = $_REQUEST['id'] ;
	$action = $_REQUEST['action'] ;

## code to save details
if(isset($_POST["submit"]))
{
	# assignment to the local variable & genrate error message if requried field are left blank
	$txt_title	=trim($_POST["txt_title"]);
	$txt_desc	=trim($_POST["txt_desc"]);
	$prod_id	=trim($_POST["prod_id"]);
	
	if ($txt_title=='')	$arr_error[] ="Contest Title"; 	
	if ($txt_desc=='')	$arr_error[] ="Description";
	$str_err=generate_errmsg($arr_error);
	if($str_err=="")
	{
		#  code to add New 
			if($action!="edit")
			{
				$str_fields 		= "prod_id,anmnt_title,anmnt_desc,anmnt_by,anmnt_date,status";
				$str_field_values   = "'".$prod_id."','".addslashes($txt_title)."','".addslashes($txt_desc)."','admin','".date("Y-m-d H:i:s")."','1'";
				$anmnt_id       = insert_into_db("tbl_announcements", $str_fields,$str_field_values); 
				if($anmnt_id== false)// for the error tracking at the time of data insertion
				{
					 $str_err =  ERR_IN_SAVE ;
					 echo get_err_div($str_err);
				}	 
				else
				{ 
					 $str_err=MSG_ANMNT_ADD;
					 echo get_err_div($str_err,MNG_ANNOUNCEMENTS_PHP,3000);
					 //header("location:".MNG_ANNOUNCEMENTS_PHP."?str_err=".MSG_ANMNT_ADD);
					 //show_status_message("success",STR_MSG_CONTEST_SAVE,ADMIN_MNG_CONTESTS_PHP); 
				}	
			}
		#  code to update edited.   
			if($action=="edit")
			{
				$str_field_values   = "prod_id='".$prod_id."', anmnt_title='".addslashes($txt_title)."',anmnt_desc='".addslashes($txt_desc)."'";
				$str_update_cond	="anmnt_id='".$id."'";
				$anmnt_id       = update_into_db("tbl_announcements",$str_field_values,$str_update_cond); 
				if($anmnt_id== false)// for the error tracking at the time of data insertion
					 $str_err =  ERR_IN_UPDATE ;
				else
				{ 
	                 $str_err=MSG_ANMNT_UPDATE;
					 echo get_err_div($str_err,MNG_ANNOUNCEMENTS_PHP,3000); 			
				}	
			}
	}	
	else
		echo get_err_div($str_err); 		
}

## code to get the detial Of selected record from database for edit
if($action=="edit" && $id!="" && $str_err=="")
{	
	$res_data = select_from_db("tbl_announcements",'*', "anmnt_id='$id'");
	$row_data = mysql_fetch_array($res_data);
	if (@mysql_num_rows($res_data)!= 0)
	{	
		$page_heading="Edit Announcement"; 
		$prod_id=$row_data["prod_id"];
		$txt_title=stripslashes($row_data["anmnt_title"]);
		$txt_desc=stripslashes($row_data["anmnt_desc"]);
	}
}	
?>
<?php require_once("header.php"); ?>
<script language="javascript" src="<?php echo $site_path;?>javascript/form_validator.js"></script>
<script language="javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<SCRIPT LANGUAGE = "JavaScript" type="text/javascript">
function checkForm()
	{
		document.getElementById('txt_desc').value=tinyMCE.getContent('txt_desc');
		var req 		= new Array("prod_id","txt_title","txt_desc");
		var email 		= new Array();
		var digits 		= new Array();
		var currs 		= new Array();
		return validate(req,email,digits,currs);
	}
</SCRIPT>
<script language="javascript" type="text/javascript" src="<?php echo $site_path;?>tiny_mce/tiny_mce.js"></script>
  
<script type="text/javascript"> 
tinyMCE.init({ 
mode : "exact",
elements : "txt_desc",
theme : "advanced",
plugins : "safari,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template", 

// Theme options 
theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,styleselect,formatselect,fontselect,fontsizeselect", 
theme_advanced_buttons2 : "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor", 
theme_advanced_buttons3 : "tablecontrols,|,hr,removeformat,visualaid,|,sub,sup,|,charmap,|,ltr,rtl,", 
//theme_advanced_buttons4 : "insertlayer,moveforward,movebackward,absolute,|,styleprops,|,cite,abbr,acronym,del,ins,attribs,|,visualchars,nonbreaking,template,pagebreak", 
theme_advanced_toolbar_location : "top", 
theme_advanced_toolbar_align : "left", 
theme_advanced_statusbar_location : "bottom", 
theme_advanced_resizing : true, 

// Example content CSS (should be your site CSS) 
content_css : "css/content.css", 

// Drop lists for link/image/media/template dialogs 
template_external_list_url : "lists/template_list.js", 
external_link_list_url : "lists/link_list.js", 
external_image_list_url : "lists/image_list.js", 
media_external_list_url : "lists/media_list.js", 

// Replace values for the template plugin 
template_replace_values : { 
username : "Some User", 
staffid : "991234" 
} 
}); 
</script> 

<?php  
if($str_err)
 { 
 //echo get_err_div($str_err); 
 } 
?> 
 <form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post" enctype="multipart/form-data" name="frmpage" onsubmit="return checkForm();">
<input type="hidden" name="action" value="<?php echo $action;?>" >
<input type="hidden" name="id" value="<?php echo $id;?>" >
	 <table border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
				  <tbody>
					<tr>
					  <th  align="left" valign="middle"><?php  echo $page_heading ;?></th>
					  <th  align="right" valign="middle"><a href="<?php echo MNG_ANNOUNCEMENTS_PHP."?".base64_decode($str_params);?>">Back</a></th>
					</tr>
					<tr class="row1">
					  <td  align="left">For Product <span class="error"> * </span></td>
					  <td  align="left"><select name="prod_id" id="prod_id" title="<?php echo ERR_PROD_SEL;?>" >
					  <option value="" >Select Product</option>
                        <?php $resp=select_from_db("tbl_product","prod_id,prod_name","status='1'"); 
							   while($rowp=mysql_fetch_assoc($resp)) {	?>
                        <option value="<?php echo $rowp["prod_id"];?>" <?php echo $prod_id==$rowp["prod_id"] ? "selected" : "" ; ?>><?php echo $rowp["prod_name"];?></option>
                        <?php } ?>
                      </select></td>
					  </tr>
					<tr class="row1">
					  <td  align="left"> Name <span class="error"> * </span> </td>
				    <td  align="left"><input name="txt_title" type="text" class="textfield" id="txt_title" title="<?php echo ERR_ANN_TITLE; ?>" value="<?php echo $txt_title; ?>" size="80" /></td></tr>
					
					<tr class="row0">
					  <td  align="left" valign="top">Announcement<span class="error"> * </span></td>
				    <td  align="left"><textarea style="width:100%;"  wrap="hard" name="txt_desc" cols="80" rows="25" title="<?php echo ERR_ANN_DESC;?>" class="textfield" id="txt_desc"><?php echo $txt_desc; ?></textarea></td></tr>
					<tr class="row1">
					  <td  align="left"><input name="submit" type="submit"  value="Save"></td>
				      <td  align="left">&nbsp;</td>
					</tr>		
				</tbody>
	</table>
	<table width="100%">
	<tr>
	 <td height="60">&nbsp;</td>
	</tr>
	</table>
</form>	
<?php include("footer.php"); ?>			