<?php 
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name:add_edit_announcements.php
	# Updated: 23-04-08 Sham Shriwastav  
	# Status: open
	# Purpose: 
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once ("../includes/config.php");
	require_once ("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once ("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/err_msg.php");
	require_once("../includes/admin_filenames.php");
	$debug_mode = 0;
	$destination="../help_file/";
	$maxfilesize_bytes=2000000;
##  Specify title of page
	$page_heading="Add Help";
	$str_params=$_REQUEST['str_params'];
	$id = $_REQUEST['id'] ;
	$action = $_REQUEST['action'] ;

## code to save details
if(isset($_POST["submit"]))
{
	# assignment to the local variable & genrate error message if requried field are left blank
	$txt_title	=trim($_POST["txt_title"]);
	$sel_type	=trim($_POST["sel_type"]);
	$txt_desc	=stripslashes(trim($_POST["txt_desc"]));
	if ($txt_title=='')	$arr_error[] ="Help Title"; 
	if ($sel_type=='')	$arr_error[] ="Help Type";	
	
	if($sel_type=="Text" || $sel_type=="Embed")
	{
		if ($txt_desc=='')	$arr_error[] ="Description";
	}
	$str_err=generate_errmsg($arr_error);
	
	

	if($sel_type=="Audio" || $sel_type=="Video")
	{	
		if($str_err=="")
		{
				if($_FILES['av_file']['size']>0) // upload file if attached
					   {		
							//print_r($_FILES);
							$temp_name= $_FILES['av_file']['tmp_name'];
							$name=  $_FILES['av_file']['name'];
							$type= $_FILES['attach']['type'];
							$size= $_FILES['attach']['size'];
							$return=multiple_file_upload($temp_name,$name,$type,$size,$destination);
							switch($return)
							{	
								case "2" :
									$str_err=ERR_MAX_UPLOAD; break;
								case "3":
									$str_err=ERR_IN_FILEUPLOAD; break;	
								default:
									$upload_name=$return;
							}
						}
					else
					{
						$str_err=ERR_IN_FILEUPLOAD;
						echo get_err_div($str_err);	
					}	
		}
		else
		{
			echo get_err_div($str_err);	
		}
		
	}
	

	
	if($str_err=="")
	{
		#  code to update.   
			if($action=="edit")
			{
				
				if($sel_type=="Text" || $sel_type=="Embed")
				{
					$old_file=get_field("tbl_help","media_file","help_id='".$id."'");
					if($old_file!='')
					{
						@unlink($destination.$old_file);
					}
				}
				if($upload_name!="")
				{
					$old_file=get_field("tbl_help","media_file","help_id='".$id."'");
					if($old_file!='')
					{
						@unlink($destination.$old_file);
					}
					update_into_db("tbl_help","media_file='".$upload_name."'","help_id='".$id."'");
					$txt_desc=''; 
				}	
				
				$str_field_values   = "help_title='".addslashes($txt_title)."', help_type='".$sel_type."', help_text='".addslashes($txt_desc)."'";
				$str_update_cond	="help_id='".$id."'";
				$anmnt_id       = update_into_db("tbl_help",$str_field_values,$str_update_cond); 
				if($anmnt_id== false)// for the error tracking at the time of data insertion
				{
					 $str_err =  ERR_IN_UPDATE ;
					 echo get_err_div($str_err);	
				}	 
				else
				{ 
	                 $str_err=MSG_HELP_UPDATE;
					 echo get_err_div($str_err,MNG_HELP,3000); 			
					// header("location:".MNG_ANNOUNCEMENTS_PHP."?str_err=".MSG_ANMNT_UPDATE);
					 //show_status_message("success",STR_MSG_CONTEST_SAVE,ADMIN_MNG_CONTESTS_PHP); 
				}	
			}
	}
	else
	{
		echo get_err_div($str_err);	
	}		
}

## code to get the detial Of selected record from database for edit
if($action=="edit" && $id!="" && $str_err=="")
{	
	$res_data = select_from_db("tbl_help",'*', "help_id='$id'");
	$row_data = mysql_fetch_array($res_data);
	if (@mysql_num_rows($res_data)!= 0)
	{	
		$page_heading="Edit Help Content"; 
		$txt_title=stripslashes($row_data["help_title"]);
		$sel_type=$row_data["help_type"];
		$txt_desc=stripslashes($row_data["help_text"]);
	}
}	
?>
<?php require_once("header.php"); ?>
<script language="javascript" src="<?php echo $site_path;?>javascript/form_validator.js"></script>
<script language="javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<SCRIPT LANGUAGE = "JavaScript" type="text/javascript">
function checkForm()
	{
		if(document.getElementById('sel_type').value=='Text' || document.getElementById('sel_type').value=='Embed' )
		{
			var req 		= new Array("txt_title","sel_type","txt_desc");
		}
		else
		{
			if(document.frmpage.av_file.value!="")
			{
			var req 		= new Array("txt_title","sel_type");
			}
			else
			{
			 alert(document.frmpage.av_file.title);
			 document.frmpage.av_file.focus();
			 return false;
			}
		}

		var email 		= new Array();
		var digits 		= new Array();
		var currs 		= new Array();
		validate(req,email,digits,currs);
	}
</SCRIPT>
 <form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post" enctype="multipart/form-data" name="frmpage" onsubmit="return checkForm();">
<input type="hidden" name="action" value="<?php echo $action;?>" >
<input type="hidden" name="id" value="<?php echo $id;?>" >
	 <table width="80%" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
				  <tbody>
					<tr>
					  <th width="28%"  align="left" valign="middle"><?php  echo $page_heading ;?></th>
					  <th width="72%"  align="right" valign="middle"><a href="<?php echo MNG_HELP."?".base64_decode($str_params);?>">Back</a></th>
					</tr>
					<tr class="row1">
					  <td  align="left">Title<span class="error"> * </span></td>
					  <td  align="left"><input name="txt_title" type="text" class="textfield" id="txt_title" title="<?php echo ERR_HELP_TITLE; ?>" value="<?php echo $txt_title; ?>" size="80" /></td>
					  </tr>
					<tr class="row1">
					  <td  align="left">Type <span class="error"> * </span></td>
					  <td  align="left">
					  <select name="sel_type" id="sel_type" title="<?php echo ERR_HELP_TYPE; ?>" >
						  <option value="Text"  <?php echo $sel_type=='Text' ? "selected" : ""; ?>>Text</option>
						  <option value="Audio" <?php echo $sel_type=='Audio'? "selected" : ""; ?>>Audio</option>
						  <option value="Video" <?php echo $sel_type=='Video'? "selected" : ""; ?>>Video</option>
						   <option value="Embed" <?php echo $sel_type=='Embed'? "selected" : ""; ?>>Embed</option>
					  </select>
					  </td>
					  </tr>
					<tr class="row1" id="av_file">
					  <td  align="left"> Audio/Video</td>
				    <td  align="left"><input type="file" name="av_file" id="av_file" title="<?php echo ERR_HELP_AV_FILE;?>" /> <BR /><span class="error"> Select audio/video file  for non text help. </span> </td>
					</tr>
					
					<tr class="row0" id="txt_file">
					  <td  align="left" valign="top">Help Text / Embed Video Code <span class="error"> * </span></td>
				      <td  align="left"><textarea name="txt_desc" cols="80" rows="17" title="<?php echo ERR_HELP_TEXT;?>" class="textfield" id="txt_desc"><?php echo $txt_desc; ?></textarea></td></tr>
					<tr class="row1">
					  <td  align="left"><input name="submit" type="submit"  value="Save"></td>
				      <td  align="left">&nbsp;</td>
					</tr>		
				</tbody>
	</table>
	<table width="100%">
	<tr>
	 <td height="60">&nbsp;</td>
	</tr>
	</table>
</form>	
<?php include("footer.php"); ?>			