<?php 
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: add_edit_knwbase.php
	# Updated: 03-05-08 by Mudassir Shaikh  
	# Status: open
	# Purpose: add or edit knowledge base from admin side.
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once ("../includes/config.php");
	require_once ("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once ("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/err_msg.php");
	require_once("../includes/admin_filenames.php");
	$debug_mode = 0;

##  Specify title of page
	$page_heading    = "Add Knowledgebase";
	$str_params      = $_REQUEST['str_params'];
	$id              = $_REQUEST['id'];
	$prod_id         = $_REQUEST['prod_id'];
	$action          = $_REQUEST['action'] ;
	$txt_knwbase_ans = $_REQUEST['txt_knwbase_ans'] ;
	

## code to save details
if(isset($_POST["submit"]))
{
	# assignment to the local variable & genrate error message if requried field are left blank
	$txt_knwbase_ques	=trim($_POST["txt_knwbase_ques"]);
	$txt_knwbase_ans    =trim($_POST["txt_knwbase_ans"]);
	$sel_parent_div	    =trim($_POST["sel_parent_div"]);
	$prod_id=trim($_POST["prod_id"]);
	
	if ($txt_knwbase_ques=='')	$arr_error[] ="Knowledge Base Question"; 
	if ($txt_knwbase_ans=='')	$arr_error[] ="Knowledge Base Answer";
	if ($prod_id=='')           $arr_error[]="Product";	
	if ($sel_parent_div=='')    $arr_error[]="Department";	
	$str_err=generate_errmsg($arr_error);
	
	if($str_err=="")
	{
		#  code to add New 
			if($action!="edit")
			{
				
				$str_fields 		= "prod_id,knw_qns,knw_ans,dept_id,status,knw_priority";
				$str_field_values   = "'".$prod_id."','".addslashes($txt_knwbase_ques)."','".addslashes($txt_knwbase_ans)."','".$sel_parent_div."','1','0'";
				$knwb_id            = insert_into_db("tbl_knowledgebase_qns", $str_fields,$str_field_values); 
				if($knwb_id== false)// for the error tracking at the time of data insertion
				{
					 $str_err =  ERR_IN_SAVE ;
					 echo get_err_div($str_err);	
				}	 
				else
				{
				     //$up = update_into_db("tbl_knowledgebase_qns","knw_priority='".$knwb_id."'","knw_qns_id='".$knwb_id."'");	
			         $str_err=MSG_KNWBASE_ADD;
					 echo get_err_div($str_err,MNG_KNWBASE_PHP."?".base64_encode($str_params)."&s_prod_id=".$prod_id,5000);
				}	
			 	     //header("location:".MNG_KNWBASE_PHP."?str_err=".MSG_KNWBASE_ADD);
			 }
			
		#  code to update edited.   
			if($action=="edit")
			{
				$str_field_values   = "prod_id='".$prod_id."',knw_qns='".addslashes($txt_knwbase_ques)."',knw_ans='".addslashes($txt_knwbase_ans)."',dept_id='".$sel_parent_div."'";
				$str_update_cond	="knw_qns_id='".$id."'";
				$anmnt_id       = update_into_db("tbl_knowledgebase_qns",$str_field_values,$str_update_cond); 
				if($anmnt_id== false)// for the error tracking at the time of data insertion
				{
					 $str_err =  ERR_IN_UPDATE ;
					 echo get_err_div($str_err);	
				}	 
				else
				{
				     $str_err=MSG_KNWBASE_UPDATE;
					 echo get_err_div($str_err,MNG_KNWBASE_PHP."?".base64_encode($str_params)."&s_prod_id=".$prod_id,5000); 
				}
					 //header("location:".MNG_KNWBASE_PHP."?str_err=".MSG_KNWBASE_UPDATE);
					 //show_status_message("success",STR_MSG_CONTEST_SAVE,ADMIN_MNG_CONTESTS_PHP); 
						 
			} // closing of action edit
	} // closing of str_err	
	else
	{ echo get_err_div($str_err);	}		
}

## code to get the detial of selected record from database for edit
if($action=="edit" && $id!="" && $str_err=="")
{	
	$res_data = select_from_db("tbl_knowledgebase_qns",'*', "knw_qns_id='$id'");
	$row_data = mysql_fetch_array($res_data);
	if (@mysql_num_rows($res_data)!= 0)
	{	
		$page_heading="Edit Knowledgebase"; 
		$prod_id=$row_data["prod_id"];
		$txt_knwbase_ques=stripslashes($row_data["knw_qns"]);
		$txt_knwbase_ans=stripslashes($row_data["knw_ans"]);
		$sel_parent_div=stripslashes($row_data["cat_id"]);
		$depart_id=stripslashes($row_data["dept_id"]);
	}
}	
?>
<?php require_once("header.php"); ?>
<script language="javascript" src="<?php echo $site_path;?>javascript/form_validator.js"></script>
<br />
<script language="javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<SCRIPT LANGUAGE = "JavaScript" type="text/javascript">
function checkForm()
	{
		// give call to tiny_mice edotor function to get value
		document.getElementById('txt_knwbase_ans').value=tinyMCE.getContent('txt_knwbase_ans');
		var req 		= new Array("prod_id","txt_knwbase_ques","txt_knwbase_ans","sel_parent_div");
		var email 		= new Array();
		var digits 		= new Array();
		var currs 		= new Array();
		return validate(req,email,digits,currs);
	}
</SCRIPT>
<script language="javascript" type="text/javascript" src="<?php echo $site_path;?>tiny_mce/tiny_mce.js"></script>
<script language="javascript" type="text/javascript">
tinyMCE.init({ 
mode : "exact",
elements : "txt_knwbase_ans",
theme : "advanced",
plugins : "safari,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template", 

// Theme options 
theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,styleselect,formatselect,fontselect,fontsizeselect", 
theme_advanced_buttons2 : "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor", 
theme_advanced_buttons3 : "tablecontrols,|,hr,removeformat,visualaid,|,sub,sup,|,charmap,|,ltr,rtl,", 
//theme_advanced_buttons4 : "insertlayer,moveforward,movebackward,absolute,|,styleprops,|,cite,abbr,acronym,del,ins,attribs,|,visualchars,nonbreaking,template,pagebreak", 
theme_advanced_toolbar_location : "top", 
theme_advanced_toolbar_align : "left", 
theme_advanced_statusbar_location : "bottom", 
theme_advanced_resizing : true, 

// Example content CSS (should be your site CSS) 
content_css : "css/content.css", 

// Drop lists for link/image/media/template dialogs 
template_external_list_url : "lists/template_list.js", 
external_link_list_url : "lists/link_list.js", 
external_image_list_url : "lists/image_list.js", 
media_external_list_url : "lists/media_list.js", 

// Replace values for the template plugin 
template_replace_values : { 
username : "Some User", 
staffid : "991234" 
} 
}); 

</script>  


<?php  
if($str_err)
 { 
 // echo get_err_div($str_err); 
 } 
?> 
 <form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post" enctype="multipart/form-data" name="frmpage" onsubmit="return checkForm();">
<input type="hidden" name="action" value="<?php echo $action;?>" >
<input type="hidden" name="str_params" value="<?php echo $str_params;?>" >
<input type="hidden" name="id" value="<?php echo $id;?>" >

	 <table border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
				  <tbody>
					<tr>
					  <th  align="left" valign="middle"><?php  echo $page_heading ;?></th>
					  <th  align="right" valign="middle"><a href="<?php echo MNG_KNWBASE_PHP."?".base64_decode($str_params);?>">Back</a></th>
					</tr>
					
					<tr class="row1">
					  <td  align="left">For Product <span class="error"> * </span></td>
					  <td  align="left"><select name="prod_id" id="prod_id" title="<?php echo ERR_PROD_SEL;?>">
					  <option value="0">All Sites</option>
                        <?php $resp=select_from_db("tbl_product","prod_id,prod_name","status='1'"); 
							   while($rowp=mysql_fetch_assoc($resp)) {	?>
                        <option value="<?php echo $rowp["prod_id"];?>" <?php echo $prod_id== $rowp["prod_id"]  ? "selected" : "" ; ?>><?php echo $rowp["prod_name"];?></option>
                        <?php } ?>
                      </select></td>
					  </tr>
					<tr class="row0">
					  <td  align="left">Question<span class="error"> * </span> </td>
				      <td  align="left"><input name="txt_knwbase_ques" type="text" class="textfield" id="txt_knwbase_ques" title="<?php echo ERR_KNWBASE_QUES; ?>" value="<?php echo $txt_knwbase_ques; ?>" size="80" /></td>
					</tr>
					
					<tr class="row1">
					  <td  align="left" valign="top">Answer<span class="error"> * </span> </td>
				      <td  align="left">
					  	<textarea name="txt_knwbase_ans" style="width:100%; height:300px" wrap="hard"  cols="80" rows="25" class="textfield" id="txt_knwbase_ans" title="<?php echo ERR_KNWBASE_ANS; ?>"><?php echo $txt_knwbase_ans; ?></textarea>					  </td>
					</tr>
					<?php /*if($action!="edit"){*/?>
					<tr class="row0">
					  <td  align="left" valign="top">Department<span class="error"> * </span></td>
				      <td  align="left">
					  <select name="sel_parent_div" id="sel_parent_div" title="<?php echo ERR_KNWBASE_DEPT; ?>">
					  <option value="0" selected="selected">All Departments</option>
					  <?php 
					  	$str_tablenames = "tbl_departments a LEFT JOIN tbl_product b";
				  	  	$str_join_cond = "a.prod_id=b.prod_id";
				  		$str_fields = "a.dept_id, a.dept_name, b.prod_name";
			 			$str_cond = "a.cat_id=0 and a.status='1'";
			  			$res_dept=select_from_db($str_tablenames,$str_fields,$str_cond,"","",$str_join_cond);
					   while($row=mysql_fetch_assoc($res_dept))
					   { 
					     $dept=$row["dept_id"];  ?>
					     <option value="<?php echo $row["dept_id"];?>" <?php echo $sel_parent_div==$row["dept_id"] ? "selected" : "" ; if($dept==$depart_id){?> selected="selected"<?php }?>>&bull;<?php echo $row["dept_name"];?>&nbsp;(<?php echo $row['prod_name'];?>)</option>
					   <?php
					    $sub_dept=select_from_db("tbl_departments","dept_id, dept_name", "cat_id='".$dept."' and status='1'"); 
	           			while($sub_row=mysql_fetch_assoc($sub_dept))
	            		{
				  		  $sub=$sub_row["dept_id"];  ?>
				          <option value="<?php echo $sub_row["dept_id"];?>"<?php echo $sel_parent_div==$sub_row["dept_id"] ? "selected" : "" ; if($sub==$depart_id){?> selected="selected" <?php } ?> >&nbsp;<?php echo $sub_row["dept_name"];?></option>
				          <?php 
				        } // inner while for sub dept
					   
					    } ?>
					  </select>					  </td>
					</tr>
					<?php //} 
					/*else { ?>
					 <tr class="row0">
					  <td  align="left" valign="top">Department</td>
				      <td  align="left">
					  <select name="sel_parent_div" id="sel_parent_div" title="<?php echo ERR_KNWBASE_DEPT; ?>">
					  <option value="0" selected="selected">Select Department</option>
					  <?php $res_dept=select_from_db("tbl_departments","dept_id, dept_name", "cat_id=0");
					   while($row=mysql_fetch_assoc($res_dept))
					   { 
					     $dept=$row["dept_id"];  ?>
					     <option value="<?php echo $row["dept_id"];?>" <?php echo $sel_parent_div==$row["dept_id"] ? "selected" : "" ; if($dept==$depart_id){?> selected="selected"<?php } ?>>&bull;<?php echo $row["dept_name"];?></option>
					   <?php
					    $sub_dept=select_from_db("tbl_departments","dept_id, dept_name", "cat_id='".$dept."'"); 
	           			while($sub_row=mysql_fetch_assoc($sub_dept))
	            		{
				  		  $sub=$sub_row["dept_id"];  ?>
				          <option value="<?php echo $sub_row["dept_id"];?>"<?php echo $sel_parent_div==$sub_row["dept_id"] ? "selected" : "" ; if($sub==$depart_id){?> selected="selected" <?php } ?> >&nbsp;<?php echo $sub_row["dept_name"];?></option>
				          <?php 
				        } // inner while for sub dept
					   
					    } ?>
					  </select>
					  </td>
					</tr>
					<?php }*/ ?>
					<tr class="row1">
					  <td  align="left"><input name="submit" type="submit"  value="Save"></td>
				    <td  align="left">&nbsp;</td></tr>		
				</tbody>
	</table>
	<table width="100%">
	<tr>
	 <td height="70">&nbsp;</td>
	</tr>
	</table>
</form>	
<?php include("footer.php"); ?>	