<?php 

/*

	#############################################################################

	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 

	# This code is written by eLuminous Technologies, Its a sole property of 

	# eLuminous Technologies and cant be used / modified without license.  

	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly

	# prohibhited 

	#############################################################################

	# Name: add_edit_operators.php

	# Updated: 02-05-08 by Mudassir Shaikh  

	# Status: open

	# Purpose: add new operators and edit old operators.

	

	#############################################################################

	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 

	#############################################################################

*/

	require_once ("../includes/config.php");

	require_once ("../includes/conn.php");

	require_once("../lib/db_functions.php");

	require_once("../lib/general_functions.php");

	require_once("../lib/common_functions.php");

	require_once ("../lib/encrypt-decrytp_string.php");

	require_once ("check_session.php");

	require_once("../includes/sorting.php");

	require_once("../includes/err_msg.php");

	require_once("../includes/admin_filenames.php");

	$debug_mode =0;



##  Specify title of page

	$page_heading="Add Operator";

 	$str_params=$_REQUEST['str_params'];

	$id = $_REQUEST['id'] ;

 	$action = $_REQUEST['action'] ;

## code to save details

if(isset($_POST["submit"]))

{

	# assignment to the local variable & genrate error message if requried field are left blank

	

	$txt_operator_name	=trim($_POST["txt_operator_name"]);

	$txt_operator_pass  =trim($_POST["txt_operator_pass"]);

	$txt_operator_email =trim($_POST["txt_operator_email"]); 

	$sel_parent_div	= $_POST["sel_parent_div"];

	$txt_mailbox_host=trim($_POST["txt_mailbox_host"]);

	$txt_mailbox_pass=trim($_POST["txt_mailbox_pass"]);

	

	if($action!="edit")

	{			

		if($txt_operator_name=='')	$arr_error[] ="Operator username";

		if($txt_operator_pass=='')	$arr_error[] ="Operator password";

		if($txt_operator_email=='')	$arr_error[] ="Operator email";

		if(($txt_mailbox_host=='' && $txt_mailbox_pass!='') || ($txt_mailbox_host!='' && $txt_mailbox_pass=='')) $arr_error[] ="mailbox host and password";

		if(empty($sel_parent_div)) $arr_error[]="Department";

	} 	

	$str_err=generate_errmsg($arr_error);

	

	if($str_err=="")

	{

		#  code to add New 

			if($action!="edit")

			{

				if ($str_err=="" && check_availibility("tbl_operators",'opera_id',"opera_user='".addslashes($txt_operator_name)."'" ))   

				 {

				 $str_err =ERR_DUPLICATE_OPERATOR; 

				 }

				 

				 if ($str_err=="" && check_availibility("tbl_operators",'opera_id',"opera_email='".addslashes($txt_operator_email)."'" ))   

				 $str_err =ERR_DUPLICATE_EMAIL; 

				 

				if($str_err=="")

				{

					$str_fields 		= "opera_user,opera_passd,opera_email,mailbox_host,mailbox_pass,flag";

					$str_field_values   = "'".addslashes($txt_operator_name)."','".$txt_operator_pass."','".$txt_operator_email."','".$txt_mailbox_host."','".$txt_mailbox_pass."','1'";

					$opera_id       = insert_into_db("tbl_operators", $str_fields,$str_field_values); 

					

					foreach($sel_parent_div as $value)

					{

						$str_fields1 		= "opera_id,dept_id,flag";

						$str_field_values1  = "'".addslashes($opera_id)."','".$value."','1'";

						$rela_id=insert_into_db("tbl_relationship", $str_fields1,$str_field_values1); 

					}

					if($rela_id== false)// for the error tracking at the time of data insertion

						echo get_err_div(ERR_IN_SAVE);

					else

					 {   

						$res_mail = select_from_db("admin_automail","*","mid='4'");

						$row_mail=mysql_fetch_assoc($res_mail);

						$mail_subject=stripslashes($row_mail['subject']);

						$mail_message=stripslashes($row_mail['message']);

						$search=array("[operatorname]","[operatorpass]","[siteurl]","[sitename]","[loginlink]");

						$replace=array($txt_operator_name,$txt_operator_pass,SITE_PATH,SITE_PATH,$operatorlink);

						$subj = str_replace($search, $replace, $mail_subject);

						$mess = str_replace($search, $replace, $mail_message);

						send_mail($mess,ADMIN_MAIL,'',$txt_operator_email,$txt_operator_name,$subj,'3',REPLY_TO); 

						$str_err=MSG_OPERATOR_ADD;

					    echo get_err_div($str_err,MNG_OPERATORS_PHP,4000);

						//echo get_err_div(MSG_OPERATOR_ADD,MNG_OPERATORS_PHP,12000);

					 }	

				}

				else

				{

					echo get_err_div($str_err);	

				}	 

					

			}

		#  code to update edited.   

			if($action=="edit")

			{

			   if ($str_err=="" && check_availibility("tbl_operators",'opera_id',"opera_email='".addslashes($txt_operator_email)."' and opera_id<>'".$id."'" ))    

			   $str_err =ERR_DUPLICATE_EMAIL; 

			   

			   if(($txt_mailbox_host=='' && $txt_mailbox_pass!='') || ($txt_mailbox_host!='' && $txt_mailbox_pass=='')) 

			   { 

			    $arr_error[] ="mailbox host and password";

			   }

			   if($txt_operator_pass=='')	$arr_error[] ="Operator password";

			   $str_err=generate_errmsg($arr_error);

		        

				if($str_err=="")

				{

					$str_del_cond="opera_id='".$id."'";

					$del_rel=delete_from_db("tbl_relationship",$str_del_cond); //del the relation

					

					/*if($txt_mailbox_host=='' && $txt_mailbox_pass=='')

					{

					 $upd_op="update tbl_operators set opera_email='$txt_operator_email' where opera_id='$id'";

					 $upd_res=mysql_query($upd_op);

					}*/

					/*else

					{*/

					 $upd_op="update tbl_operators set opera_email='$txt_operator_email',opera_passd='$txt_operator_pass',mailbox_host='$txt_mailbox_host',mailbox_pass='$txt_mailbox_pass' where opera_id='$id'";

					 $upd_res=mysql_query($upd_op);

		 			//}	

					$str_fields1 = "opera_id,dept_id,flag";

					

					foreach($sel_parent_div as $value){

					$str_field_values1   = "'".addslashes($id)."','".$value."','1'";

			        $relation_id=insert_into_db("tbl_relationship", $str_fields1,$str_field_values1); 

					}	

					if($relation_id== false)// for the error tracking at the time of data insertion

					$str_err =  ERR_IN_SAVE ;

					else{

					     $str_err=MSG_OPERATOR_UPDATE;

					     echo get_err_div($str_err,MNG_OPERATORS_PHP,4000); }

					//header("location:".MNG_OPERATORS_PHP."?str_err=".MSG_OPERATOR_UPDATE);

				}		 

			} // closing of action edit

	} // closing of str_err		

	else

	{ echo get_err_div($str_err); }

}



## code to get the detial of selected record from database for edit

if($action=="edit" && $id!="")

{	

	$dept_query="select dept_id from tbl_relationship where opera_id='$id'";

	$dept_res=mysql_query($dept_query);

	$dep_array=array();

	while($dep_row=mysql_fetch_assoc($dept_res))

	{

	 $dep_array[]=$dep_row['dept_id'];

	}

		

	$res_data = select_from_db("tbl_operators",'*', "opera_id='$id'");

	$row_data = mysql_fetch_array($res_data);

	if (@mysql_num_rows($res_data)!= 0)

	{	

		$page_heading="Edit Operators"; 

		$txt_operator_name=stripslashes($row_data["opera_user"]);

		$txt_operator_pass=stripslashes($row_data["opera_passd"]);

		$txt_operator_email=stripslashes($row_data["opera_email"]);

		$operator_name=$row_data["opera_user"];

		$operator_email=stripslashes($row_data["opera_email"]);

		$txt_mailbox_host=$row_data["mailbox_host"];

		$txt_mailbox_pass=$row_data["mailbox_pass"];		

	//	$sel_parent_div=stripslashes($row_data["opera_id"]);

	}

}	

?>

<?php require_once("header.php"); ?>

                        <script language="javascript" src="<?php echo $site_path;?>javascript/form_validator.js"></script>

                        <script language="javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>

                        <SCRIPT LANGUAGE = "JavaScript" type="text/javascript">

function checkForm()

	{

		var req 		= new Array("txt_operator_name","txt_operator_pass","txt_operator_email","sel_parent_div");

		var email 		= new Array("txt_operator_email");

		var digits 		= new Array();

		var currs 		= new Array();

		var req1        = new Array("txt_operator_pass");

		<?php if($action!="edit"){?>

		return validate(req,email,digits,currs);

		<?php }

		else{?>

		return validate(req1,email,digits,currs);

		<?php }

		?>

	}

</SCRIPT>

                        <?php  

if($str_err)

 {

  //echo get_err_div($str_err); 

  } 

?>

	<form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post" enctype="multipart/form-data" name="frmpage" onsubmit="return checkForm();">

	  <input type="hidden" name="action" value="<?php echo $action;?>" >

	  <input type="hidden" name="id" value="<?php echo $id;?>" >

	  <table border="0" align="center" cellpadding="1" cellspacing="1" class="shows">

		<tbody>

		  <tr>

			<th  align="left" valign="middle"><?php  echo $page_heading ;?></th>

			<th  align="right" valign="middle"><a href="<?php echo MNG_OPERATORS_PHP."?".base64_decode($str_params);?>">Back</a></th>

		  </tr>

		  <?php if($action!="edit"){ ?>

		  <tr class="row1">

			<td  align="left"> Operator username <span class="error"> * </span> </td>

			<td  align="left"><input name="txt_operator_name" type="text" class="textfield" id="txt_operator_name" title="<?php echo ERR_OPERATOR_NAME; ?>" value="<?php echo $txt_operator_name; ?>" size="45" />			</td>

		  </tr>

		  <?php }  else{ ?>

		  <tr class="row1">

			<td  align="left"> Operator username </td>

			<td  align="left"><?php echo $operator_name;?></td>

		  </tr>

		  <?php } 

		  if($action!="edit"){ ?>

		  <tr class="row0">

			<td  align="left"> Operator password <span class="error"> * </span> </td>

			<td  align="left">

			  <input name="txt_operator_pass" type="password" class="textfield" id="txt_operator_pass" title="<?php echo ERR_OPERATOR_PASS; ?>" value="<?php echo $txt_operator_pass; ?>" size="45" />			</td>

		  </tr>

		  <?php } else{ ?>

		  <tr class="row0">

			<td  align="left"> Operator password <span class="error"> * </span> </td>

			<td  align="left">

			  <input name="txt_operator_pass" type="text" class="textfield" id="txt_operator_pass" title="<?php echo ERR_OPERATOR_PASS; ?>" value="<?php echo $txt_operator_pass; ?>" size="45" />			</td>

		  </tr>

		  <?php } ?>

		  <tr class="row1">

			<td  align="left"> Operator email <span class="error"> * </span> </td>

			<td  align="left">

			  <input name="txt_operator_email" type="text" class="textfield" id="txt_operator_email" title="<?php echo ERR_OPERATOR_EMAIL; ?>" value="<?php echo $txt_operator_email; ?>" size="45" />			</td>

		  </tr>

		  

		 <tr class="row0">

			<td  align="left" valign="top">Department<span class="error"> * </span></td>

			<td  align="left"><select name="sel_parent_div[]" id="sel_parent_div" multiple="multiple" title="<?php echo ERR_OPERATOR_DEPT; ?>" size="7">

              <?php 

			  $str_tablenames = "tbl_departments a LEFT JOIN tbl_product b";

			  $str_join_cond = "a.prod_id=b.prod_id";

			  $str_fields = "a.dept_id, a.dept_name, b.prod_name";

			  $str_cond = "a.cat_id=0";

			  $res_dept=select_from_db($str_tablenames,$str_fields,$str_cond,"","",$str_join_cond);

              while($row=mysql_fetch_assoc($res_dept))

              {   

			    $dept=$row["dept_id"];  ?>

              <option value="<?php echo $row["dept_id"];?>" <?php echo @in_array($row["dept_id"],$_POST["sel_parent_div"]) ? "selected" : "" ;if($action==edit){ if(in_array($dept,$dep_array)){?> selected="selected" <?php } }  ?>>&bull;<?php echo $row["dept_name"];?>&nbsp;(<?php echo $row['prod_name'];?>)</option>

              <?php 

	            $sub_dept=select_from_db("tbl_departments","dept_id, dept_name", "cat_id='".$dept."'"); 

	            while($sub_row=mysql_fetch_assoc($sub_dept))

	            {

				  $sub=$sub_row["dept_id"];  ?>

              <option value="<?php echo $sub_row["dept_id"];?>"<?php echo @in_array($sub,$_POST["sel_parent_div"]) ? "selected" : "" ;if($action==edit){ if(in_array($sub,$dep_array)){?> selected="selected" <?php } } ?>> <?php echo $sub_row["dept_name"];?></option>

              <?php 

				} // inner while for sub dept

              } // while for main dept ?>

            </select></td>

		  </tr>

		 	

		    <tr class="row0">

		   <td align="left">&nbsp;</span> </td>

			<td  align="left">

			 <span class="error">Note:</span>mailbox host and password are required for ticket posting by mail.			</td>

		  </tr>

		  

		  <tr class="row1">

		   <td align="left">Mailbox Host<span class="error"></span> </td>

			<td  align="left">

			  <input name="txt_mailbox_host" type="text" class="textfield" id="txt_mailbox_host" value="<?php echo $txt_mailbox_host; ?>" size="45" />			</td>

		  </tr>

		  

		  <tr class="row0">

		   <td align="left">Mailbox Password<span class="error"></span> </td>

			<td  align="left">

			  <input name="txt_mailbox_pass" type="text" class="textfield" id="txt_mailbox_pass" value="<?php echo $txt_mailbox_pass; ?>" size="45" />			</td>

		  </tr>

		  	  	  

		  <tr class="row1">

			<td  align="left"><input name="submit" type="submit"  value="Save"></td>

			<td  align="left">&nbsp;</td>

		  </tr>

		</tbody>

	  </table>

	</form>

<?php include("footer.php"); ?>