<?php 
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: add_edit_prod_type.php
	# Updated: 25-04-08 by Sham Shriwastav  
	# Updated: 17-01-09 by Swati Sharma  
	# Status : open
	# Purpose: To add or edit product types
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once ("../includes/config.php");
	require_once ("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once ("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/err_msg.php");
	require_once("../includes/admin_filenames.php");
	
	$debug_mode = 0;

    $str_params = $_REQUEST['str_params'];
	$id 		= $_REQUEST['id'] ;
	$action 	= $_REQUEST['action'] ;
	
	##  Specify title of page
	$page_heading = "Add Product Types";
	
	

## code to save details
if(isset($_POST["submit"]))
{
	# assignment to the local variable & genrate error message if requried field are left blank
	$txt_prod_type	= trim($_POST["txt_prod_type"]);
	
	if($txt_prod_type == '')	$arr_error[] = "Product type Name"; 
	
	$str_err = generate_errmsg($arr_error);
	$today   = time();
	
	if($str_err == "")
	{
		#  code to add New 
		if($action != "edit")
		{
			if ($str_err == "" && check_availibility("tbl_product_type",'prod_type_id',"prod_type_name='".addslashes($txt_prod_type)."'"))
			{
				$str_err = ERR_DUPLICATE_PROD_TYPE;
				echo get_err_div($str_err);
			}
			if($str_err == "")
			{
			   
				$str_fields 		= "prod_type_name, date_added, date_modified, status,prod_priority";
				$str_field_values   = "'".addslashes($txt_prod_type)."','".$today."','".$today."','1','0'";
				
				$pr_type_id         = insert_into_db("tbl_product_type", $str_fields,$str_field_values);
			
				if($pr_type_id == false)// for the error tracking at the time of data insertion
				{
					 $str_err =  ERR_IN_SAVE ;
					 echo get_err_div($str_err);	
				}	//if 
				else
				{
					// $up = update_into_db("tbl_product_type","	prod_priority='".$pr_type_id."'","prod_type_id='".$pr_type_id."'");
					 $str_msg = MSG_PROD_TYPE_ADD;
					 echo get_err_div($str_msg,MNG_PROD_TYPE_PHP,3000);
				}//else	 
				
			} // if($str_err == "")
			
		}//if($action != "edit")
			
		#  code to update added  
			if($action == "edit")
			{
				if ($str_err == "" && check_availibility("tbl_product_type",'prod_type_id',"prod_type_name='".addslashes($txt_prod_type)."' and prod_type_id<>'".$id."'"))   
				{
			 		$str_err = ERR_DUPLICATE_PROD_TYPE;
 					echo get_err_div($str_err);
				}
				if($str_err == "")
				{
					
					$str_field_values   = "prod_type_name='".addslashes($txt_prod_type)."',date_modified='".$today."'";
					$str_update_cond	= "prod_type_id='".$id."'";
					$updt_pr_id       	= update_into_db("tbl_product_type",$str_field_values,$str_update_cond); 
					if($updt_pr_id == false)// for the error tracking at the time of data insertion
					{
						 $str_err =  ERR_IN_UPDATE ;
						 echo get_err_div($str_err);	
					}	 
					else
					{
					      $str_msg = MSG_PROD_TYPE_UPDATE;
						  echo get_err_div($str_msg,MNG_PROD_TYPE_PHP,3000);
						
					} //else
						 
				} // if($str_err == "")
				
			} // closing of action edit
			
	} // closing of outer str_err	
	else
	echo get_err_div($str_err);	

					
} // if(isset($_POST["submit"]))

## code to get the detial of selected record from database for edit
if($action == "edit" && $id != "" && $str_err == "")
{	
	$res_data = select_from_db("tbl_product_type",'*', "prod_type_id='$id'");
	$row_data = mysql_fetch_assoc($res_data);
	if (mysql_num_rows($res_data)!= 0)
	{	
		$page_heading = "Edit Product Types";
		$txt_prod_type = stripslashes($row_data["prod_type_name"]);
	}
}	
?>
<?php require_once("header.php"); ?>
<script language="javascript" src="<?php echo $site_path;?>javascript/form_validator.js"></script>
<script language="javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<script language="javascript" src="<?php echo $site_path; ?>javascript/ajax_request_handler.js"></script>
<SCRIPT LANGUAGE = "JavaScript" type="text/javascript">
function checkForm()
	{
		var req 		= new Array("txt_prod_type");
		var email 		= new Array();
		var digits 		= new Array();
		var currs 		= new Array();
		return validate(req,email,digits,currs);
	}
</SCRIPT>


 <form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post" enctype="multipart/form-data" name="frmpage" onsubmit="return checkForm();">
<input type="hidden" name="action" value="<?php echo $action;?>" >
<input type="hidden" name="id" value="<?php echo $id;?>" >
	 <table border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
				  <tbody>
					<tr>
					  <th  align="left" valign="middle"><?php  echo $page_heading ;?></th>
					  <th  align="right" valign="middle"><a href="<?php echo MNG_PROD_TYPE_PHP."?".base64_decode($str_params);?>">Back</a></th>
					</tr>
					<tr class="row1">
					  <td  align="left"> Product Type Name <span class="error"> * </span> </td>
				      <td  align="left"><input name="txt_prod_type" type="text" class="textfield" id="txt_prod_type" title="<?php echo ERR_PROD_TYPE; ?>" value="<?php echo $txt_prod_type; ?>" size="60" /></td></tr>
					
					<tr class="row1">
					  <td  align="left"><input name="submit" type="submit"  value="Save"></td>
				    <td  align="left">&nbsp;</td></tr>		
				</tbody>
	</table>
	<table width="100%">
	<tr>
	 <td height="150">&nbsp;</td>
	</tr>
	</table>
</form>	
<?php include("footer.php"); ?>			
