<?php
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name   : add_ticket_note.php
	# Updated: 12-01-09 Swati Sharma   
	# Status : open
	# Purpose: To add notes to tickets from ticket detail page
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once("../includes/config.php");
	require_once("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once ("../lib/encrypt-decrytp_string.php");
	require_once("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/admin_filenames.php");
	require_once("../includes/member_filenames.php");
	require_once("../includes/operator_filenames.php");
	require_once("../includes/err_msg.php");
	
	
    $ticket_id=$_REQUEST["ticket_id"];
    if($ticket_id == "" )
	{
	 header("location:".MNG_TICKET_PHP);
	}
    
	//---------------------------------------------
	$debug_mode = 0;

	if($debug_mode == 1)
	{
		echo '<pre>'; print_r($_POST); echo '</pre>';
		echo '<pre>'; print_r($_FILES); echo '</pre>';
	}
	//------------- End of "SET Debug related settings" 

# code to get ticket Detail
	$str_tablenames =" tbl_priorities c , tbl_tickets a LEFT JOIN tbl_departments b ";
	$str_fields="a.*, b.dept_name, c.prior_name";
	$str_cond=" a.ticket_priority=c.prior_id AND ticket_id='".$ticket_id."'";
	$str_join_cond = "a.dept_id=b.dept_id";
	$res_ticket=select_from_db($str_tablenames,$str_fields,$str_cond,'','',$str_join_cond);
	$row_ticket=mysql_fetch_assoc($res_ticket);
	$ticket_product_id=$row_ticket["prod_id"];
	if($ticket_product_id!='')
	{
	 	$ticket_product_name=get_field("tbl_product","prod_name","prod_id='$ticket_product_id'");
	}
	else
	{
		$ticket_product_name = "--";
	}
	$ticket_dept_id=$row_ticket["dept_id"];
	$sel_dept = $ticket_dept_id;
	$dept_name= $row_ticket["dept_name"];
	$ticket_name= stripslashes($row_ticket["ticket_name"]);
	$ticket_email= stripslashes($row_ticket["ticket_email"]);
	$ticket_subject= stripslashes($row_ticket["ticket_subject"]);
	$ticket_request= stripslashes($row_ticket["ticket_request"]);
	$attachments= $row_ticket["attachments"];
	$ticket_priority= $row_ticket["prior_name"];
	$ticket_date= $row_ticket["ticket_date"];
	$ticket_flag= $row_ticket["ticket_flag"];
	$opera_id= $row_ticket["opera_id"];
	if($opera_id>0)
	{
	 $opera_name=get_field("tbl_operators","opera_user","opera_id='$opera_id'");
	}
	else
	{
	 $opera_name="--";
	}
# end of code to get ticket Detail
	
if(isset($_POST["add_submit"]))
{
	$note_type   = $_POST["note_type"];
	$sel_visible = $_POST["sel_visible"];
	
	$all_operators = select_from_db("tbl_operators o JOIN tbl_relationship r ON 
	o.opera_id=r.opera_id","o.opera_id","r.flag='1' and o.flag='1' and r.dept_id=".
	$ticket_dept_id);
	if(mysql_num_rows($all_operators) > 0)
	{
	 $i=0;
	 while($all_rec = mysql_fetch_assoc($all_operators))
	 {
	  $opr_id[$i] = $all_rec['opera_id'];
	  $i++;
	 }
    }
	
	if(is_array($sel_visible))
	{
		if(in_array("all",$sel_visible))
		{
		 $str_visible = implode(",",$opr_id);
		}
		else
		{
		 $str_visible = implode(",",$sel_visible);
		}
	}
	
	$txt_content = $_POST["txt_content"];
	$note_addedby = "admin";
	
	$move_url = ADM_ADD_TICKET_NOTE_PHP."?ticket_id=".$ticket_id;
	if($txt_content == "" )
	{
	 $str_err = ERR_NOTE_CONTENT;
	 echo get_err_div($str_err,$move_url,3000);
	}
	
	if($str_err == "")
	{
	        $str_cond  = "ticket_id=".$ticket_id;
			
			$get_tcres = select_from_db("tbl_tickets","ticket_email",$str_cond);
			
			if($get_tcres && mysql_num_rows($get_tcres) > 0)
			{
			 $get_tcrec   = mysql_fetch_assoc($get_tcres);
			 $ticket_email = $get_tcrec['ticket_email'];
			 
			 if($ticket_email != "" )
			 {
			  $str_con_mem = "member_email='".$ticket_email."'";
			  
			  $get_memres = select_from_db("tbl_member","member_id",$str_con_mem);
				
				if($get_memres && mysql_num_rows($get_memres) > 0)
				{
				 $get_memrec   = mysql_fetch_assoc($get_memres);
				 $i_member_id  = $get_memrec['member_id'];
				} //if 
				
			  } // if($ticket_email != "" )
			 
			} //if($get_tcres && mysql_num_rows($get_tcres) > 0)
			
				if($i_member_id != "" && $i_member_id > 0)
				{
				 $dt = date('Y-m-d H:i:s');
				 $str_fields = "ticket_id, dept_id, prod_id, note_type, member_id, visible_to, note_contents, note_addedby, date_added";
				$str_field_values = "'".$ticket_id."','".$ticket_dept_id."','".$ticket_product_id."','".$note_type."','".$i_member_id."','". $str_visible."','".$txt_content."','".$note_addedby."','".$dt."'";
				
				$ins_noteid = insert_into_db("tbl_ticket_notes", $str_fields,
				 $str_field_values);  
				 
				 $returnurl = TICKET_DETAIL_PHP."?ticket_id=".$ticket_id;
					 if($ins_noteid > 0)
					 {
					  header("location:".$returnurl."");
					 }
					 else
					 {
				      echo get_err_div(ERR_NOTE_ADD,$move_url,3000);
					 } 
				}//if
		
	 }//!$str_err
	
} //submit


?>
<?php require_once("header.php");?>
<script language="javascript" src="<?php echo $site_path;?>javascript/form_validator.js"></script>
<script language="javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<script language="javascript" src="<?php echo $site_path; ?>javascript/ajax_request_handler.js"></script>
<SCRIPT LANGUAGE = 'JavaScript' type='text/javascript'>
	function checkForm()
		{
			var req 		= new Array("txt_content");
			var email 		= new Array();
			var digits 		= new Array();
			var currs 		= new Array();
			return validate(req,email,digits,currs);
		}
</SCRIPT>
<form name="frm_addnote" action="<?php echo $_SERVER['PHP_SELF'];?>" enctype="multipart/form-data" method="post" onsubmit="return checkForm();">
<input type="hidden" value="<?php echo $ticket_id;?>"  id="ticket_id" name="ticket_id" />
<div align="center">
<table width="80%" border="0" cellpadding="0" cellspacing="0" class="shows">
	<tr align="left" valign="top">
		<th colspan="3">Ticket Detail</th>
	</tr>
	<tr class="row1">
	  <td align="left" valign="top">Ticket Id</td>
	  <td align="center" valign="top">:</td>
	  <td align="left" valign="top"><?php echo $ticket_id; ?></td>
	  </tr>
	<tr class="row0">
	  <td width="18%" align="left" valign="top">Ticket By</td>
	  <td width="2%" align="center" valign="top">:</td>
	  <td width="80%" align="left" valign="top"><?php echo ucfirst($ticket_name).", ".$ticket_email ;?></td>
	</tr>
	<tr class="row1">
	  <td align="left" valign="top">Priority</td>
	  <td align="center" valign="top">:</td>
	  <td align="left" valign="top"><?php echo $ticket_priority; ?></td>
	  </tr>
	
	<tr class="row0"><td align="left" valign="top">Department</td>
	  <td align="center" valign="top">:</td>
	  <td align="left" valign="top"><?php echo $dept_name !=''? $dept_name : '--';?></td>
	</tr>
	
	<tr class="row1">
	  <td align="left" valign="top">Posted On </td>
	  <td align="center" valign="top">:</td>
	  <td align="left" valign="top"><?php echo date('l dS \of F Y h:i:s A',$ticket_date);?></td>
	</tr>
	<tr class="row0">
	  <td align="left" valign="top">Subject</td>
	  <td align="center" valign="top">:</td>
	  <td align="left" valign="top"><?php echo ucfirst(wordwrap($ticket_subject,250));?></td>
	</tr>
	</table>
	<BR />
	<table width="70%" border="0" cellpadding="0" cellspacing="0" class="shows">
	<tr class="row1">
	  <th colspan="4" align="center" valign="top"><span style="font-weight: bold">New Ticket Note </span></th>
	  </tr>
	<tr class="row0">
	  <td align="left" valign="top">&nbsp;</td>
	  <td align="left" valign="top">Note Type <span class="error"> * </span></td>
	  <td align="center" valign="top">:</td>
	  <td align="left" valign="top">
	  
	  <input type="radio" name="note_type" <?php echo $note_type=="ticket" ||  $note_type=="" ? "checked" : "" ; ?> value="ticket" />&nbsp;Ticket &nbsp;(Visible to staff members only on this ticket)
	 <br /><br />
	  <input type="radio" name="note_type" <?php echo $note_type=="user" ? "checked" : "" ; ?> value="user" />&nbsp;User &nbsp;(Visible to staff members on every ticket created by this user)	  	  </td>
	  </tr>
	
	<tr class="row1">
	  <td width="2%" align="left" valign="top">&nbsp;</td>
	  <td width="17%" align="left" valign="top">Note Visible to <span class="error"> * </span></td>
	  <td width="3%" align="center" valign="top">:</td>
	  <td width="78%" align="left" valign="top">
			<select name="sel_visible[]" id="sel_visible" multiple="multiple" size="2">
			<option value="all" selected="selected">-- All Staff Users -- </option>
			  <?php 
			  $str_tbls = "tbl_operators opt JOIN tbl_relationship rel ON opt.opera_id=rel.opera_id";
			  $str_con  = "rel.dept_id=".$ticket_dept_id." and rel.flag='1' and opt.flag='1'";
			  $resp = select_from_db($str_tbls,"opt.opera_id,opt.opera_user",$str_con); 
			   while($rowp = mysql_fetch_assoc($resp)) {	?>
			   <option <?php if(!empty($sel_visible)) { if(in_array($rowp["opera_id"],$sel_visible)) { ?> selected="selected" <?php } } ?> value="<?php echo $rowp["opera_id"];?>" ><?php echo $rowp["opera_user"];?></option>
		      <?php 
			   } ?> 
		  </select><br /><br />
			  (The ticket note can be made visible to a specific staff member only)		  </td>
	  </tr>
	
	<tr class="row0">
	  <td align="left" valign="top">&nbsp;</td>
	  <td align="left" valign="top">Contents</td>
	  <td align="center" valign="top">:</td>
	  <td align="left" valign="top"><textarea style="width:100%;"  wrap="hard" name="txt_content" cols="80" rows="10" title="<?php echo ERR_NOTE_CONTENT;?>" class="textfield" id="txt_content"><?php echo $txt_content; ?></textarea></td>
	  </tr>
	<tr class="row1">
	  <td align="left" valign="top">&nbsp;</td>
	  <td align="left" valign="top"><input name="add_submit" type="submit"  value="Add"></td>
	  <td align="center" valign="top">&nbsp;</td>
	  <td align="left" valign="top">&nbsp;</td>
	  </tr>
</table>
</div>
</form>

<?php require_once("footer.php");?>