<?php 
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name:edit_admin_password.php
	# Updated: 05-05-08 Mudassir Shaikh  
	# Status: open
	# Purpose: Edit the admins password.
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once ("../includes/config.php");
	require_once ("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once ("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/err_msg.php");
	require_once("../includes/admin_filenames.php");
	$debug_mode = 0;

##  Specify title of page
	$page_heading="Edit Admin Password";
	$page_heading1="Edit Admin Username";
	$str_params=$_REQUEST['str_params'];
	

	
## code to save details
if(isset($_POST["submit"]))
{
    
	# assignment to the local variable & genrate error message if requried field are left blank
	$txt_pass	    = trim($_POST["txt_pass"]);
	$txt_new_pass	= trim($_POST["txt_new_pass"]);
	$txt_new_cpass	= trim($_POST["txt_new_cpass"]); 
	
	if ($txt_pass=='')	    $arr_error[] = "Old Password"; 
	if ($txt_new_pass=='')	$arr_error[] = "New Password"; 
	if ($txt_new_cpass=='')	$arr_error[] = "New Confirm Password"; 	
	$str_err=generate_errmsg($arr_error);
	
	//if($txt_pass != $txt_new_pass)
	//$str_err=ERR_OLD_PASS;
	
	
	#check if new password & confirm passwords match
	if($txt_new_pass != $txt_new_cpass)
	$str_err         = ERR_PASS_CONFIRM;
		
	if($str_err == "")
	{
		$str_field_values   = "admin_pass='".addslashes($txt_new_pass)."'";
		$str_update_cond	= "";
		$anmnt_id           = update_into_db("tbl_admin",$str_field_values,$str_update_cond); 
		if($anmnt_id == false)// for the error tracking at the time of data insertion
		$str_err =  ERR_IN_UPDATE ;
		else
		{ 
			//header("location:".MNG_ADMIN_PHP."?str_err=".MSG_ADMIN_EMAIL);
			$str_err=MSG_ADMIN_PASS;
			//echo get_err_div($str_err,MNG_ADMIN_PHP,12000);
			//echo get_err_div(MSG_ADMIN_PASS,MNG_ADMIN_PHP,4500);
			//show_status_message("success",STR_MSG_CONTEST_SAVE,ADMIN_MNG_CONTESTS_PHP); 
		}	
	}			
}

if(isset($_POST["submit_username"]))
{
	# assignment to the local variable & genrate error message if requried field are left blank
	$txt_username	    = trim($_POST["txt_username"]);
	$txt_new_username	= trim($_POST["txt_new_username"]);
	
	if ($txt_username == '')     $arr_error[] = "Old Username"; 
	if ($txt_new_username=='')	 $arr_error[] = "New Username"; 
	$str_err=generate_errmsg($arr_error);
	
		
	if($str_err == "")
	{
	    
		$str_field_values   = "admin_user='".addslashes($txt_new_username)."'";
		$str_update_cond	= "admin_user='".$txt_username."'";
		$anmnt_id           = update_into_db("tbl_admin",$str_field_values,$str_update_cond); 
		 
		$num_affected = mysql_affected_rows();
		if($anmnt_id == false)// for the error tracking at the time of data insertion
		$str_err =  ERR_IN_UPDATE;
		else
		{ 
			//header("location:".MNG_ADMIN_PHP."?str_err=".MSG_ADMIN_EMAIL);
			if($num_affected > 0)
			{
			 $str_err = MSG_ADMIN_USERNAME;
			}
			else
			{
			 $str_err = MSG_ADMIN_NO_USERNAME;
			}
			
			//echo get_err_div($str_err,MNG_ADMIN_PHP,12000);
			//echo get_err_div(MSG_ADMIN_PASS,MNG_ADMIN_PHP,4500);
			//show_status_message("success",STR_MSG_CONTEST_SAVE,ADMIN_MNG_CONTESTS_PHP); 
		}	
	}			
}



## code to get the detial Of selected record from database for edit
	/*$res_data = select_from_db("tbl_admin",'*');
	if ($res_data && mysql_num_rows($res_data)!= 0)
	{		
	    $row_data     = mysql_fetch_array($res_data);
		$txt_old_pass = stripslashes($row_data["admin_pass"]);
		$txt_username = stripslashes($row_data["admin_user"]);
	}*/


?>
<?php require_once("header.php"); ?>
<script language="javascript" src="<?php echo $site_path;?>javascript/form_validator.js"></script>
<script language="javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<SCRIPT LANGUAGE = "JavaScript" type="text/javascript">
function checkForm()
	{
		var req 		= new Array("txt_pass","txt_new_pass","txt_new_cpass");
		var email 		= new Array();
		var digits 		= new Array();
		var currs 		= new Array();
		return validate(req,email,digits,currs);
	}
	
	function checkForm1()
	{
		var req 		= new Array("txt_username","txt_new_username");
		var email 		= new Array();
		var digits 		= new Array();
		var currs 		= new Array();
		return validate(req,email,digits,currs);
	}
</SCRIPT>
<?php  
if($str_err)
 { echo get_err_div($str_err); } 
?>
                        <form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post" enctype="multipart/form-data" name="frmpage" onsubmit="return checkForm();">
                          <input type="hidden" name="action" value="<?php echo $action;?>" >
                          <input type="hidden" name="id" value="<?php echo $id;?>" >
                          <table width="456" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
                            <tbody>
                              <tr>
                                <th width="182"  align="left" valign="middle"><?php  echo $page_heading ;?></th>
                                <th width="267"  align="right" valign="middle"><a href="<?php echo ADMIN_MAIN_PHP."?".base64_decode($str_params);?>">Back</a></th>
                              </tr>
                              <tr class="row1">
                                <td  align="left">Old Password <span class="error">*</span> </td>
                                <td  align="left"><input name="txt_pass" type="password" id="txt_pass" title="<?php echo ERR_PASS;?>" value="<?php echo $txt_pass;?>" size="40" /></td>
                              </tr>
                              <tr class="row0">
                                <td  align="left" valign="top">New Password <span class="error">*</span></td>
                                <td  align="left"><input name="txt_new_pass" type="password" id="txt_new_pass" title="<?php echo ERR_NEW_PASS;?>" size="40" /></td>
                              </tr>
                              <tr class="row1">
                                <td  align="left">Confirm New Password <span class="error">*</span></td>
                                <td  align="left"><input name="txt_new_cpass" type="password" id="txt_new_cpass" title="<?php echo ERR_NEW_CPASS;?>" size="40" /></td>
                              </tr>
                              <tr class="row1">
                                <td  align="left"><input name="submit" type="submit"  value="Save"></td>
                                <td  align="left">&nbsp;</td>
                              </tr>
                            </tbody>
                          </table>
						   </form>
						   <br /><br />
						   <form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post" enctype="multipart/form-data" name="frmpage1" onsubmit="return checkForm1();">
                           <input type="hidden" name="id" value="<?php echo $id;?>" >
                          <table width="456" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
                            <tbody>
                              <tr>
                                <th width="182"  align="left" valign="middle"><?php  echo $page_heading1;?></th>
                                <th width="267"  align="right" valign="middle"><a href="<?php echo ADMIN_MAIN_PHP."?".base64_decode($str_params);?>">Back</a></th>
                              </tr>
                              <tr class="row1">
                                <td  align="left">Old Username <span class="error">*</span> </td>
                                <td  align="left"><input name="txt_username" type="text" id="txt_username" title="<?php echo ERR_ADMIN_USERNAME;?>"  size="40" /></td>
                              </tr>
                              <tr class="row0">
                                <td  align="left" valign="top">New Username <span class="error">*</span></td>
                                <td  align="left"><input name="txt_new_username" type="text" id="txt_new_username" title="<?php echo ERR_ADMIN_NEW_USERNAME;?>" size="40" /></td>
                              </tr>
                              <tr class="row1">
                                <td  align="left"><input name="submit_username" type="submit"  value="Save"></td>
                                <td  align="left">&nbsp;</td>
                              </tr>
                            </tbody>
                          </table>
						   </form>
						  <table width="100%">
							<tr>
							 <td height="120">&nbsp;</td>
							</tr>
						  </table>
                       
<?php include("footer.php"); ?>