<?php
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: manage_dept.php
	# Updated: 25-04-08 Sham Shriwastav  
	# Status: open
	# Purpose: 
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once("../includes/config.php");
	require_once("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/admin_filenames.php");
	require_once("../includes/err_msg.php");
	
	
	$debug_mode = 0;

##  Specify title of page
	$page_heading="Manage Departments";

##  to get search field
	$start			= trim($_REQUEST['start']);
	$sort			= trim($_REQUEST['sort']);
	$s_dept_name	= trim($_REQUEST['s_dept_name']);
	$s_dept_name2	= trim($_REQUEST['s_dept_name2']);
	$s_prod_id		= trim($_REQUEST['s_prod_id']);
	$s_parent 		= trim($_REQUEST['s_parent']);	
	$s_status		= trim($_REQUEST['s_status']);
	$str_err		= trim($_REQUEST["str_err"]);
	if(isset($_POST["search"]))
	{
	 $str_err="";
	}

## code to delete 
		## single delete
		if(isset($_GET['del_id']))
		{
			$res_parent_dept = select_from_db("tbl_departments","dept_id","cat_id='".$_GET['del_id']."'");
			$total_sub_dept = mysql_num_rows($res_parent_dept);
			if($total_sub_dept==0)
			{
		 		delete_from_db("tbl_departments","dept_id='".$_GET['del_id']."'");
		 		$str_err=MSG_DEPT_DELETE;
			}
			else
			{
				$str_err=MSG_SUB_DEPT_PRESENT;
			}	
		}
		##multiple delete
		if(isset($_POST['del_all']))
		{	
			$counter = 0;//For counting how many records are deleted.
			for($i=0; $i<=count($_POST["chk"])-1; $i++)
			{
				$flag=0;
			 	$delete_id = $_POST["chk"][$i];
			 	$res_parent_dept = select_from_db("tbl_departments","dept_id","cat_id='".$delete_id."'");
				$total_sub_dept = mysql_num_rows($res_parent_dept);
				if($total_sub_dept==0)
				{
					$flag=1;
					$counter++;
				}
				if($flag==1)
				 	delete_from_db("tbl_departments","dept_id='".$delete_id."'");		 		
			} 
			
			//if($i == count($_POST["chk"]))
				//$str_err=MSG_DEPT_DELETE;
			if($i == $counter)
				$str_err=MSG_DEPT_DELETE;
			else if($i != $counter)
				$str_err= $counter." record(s) are deleted successfully.";
			else
				$str_err = ERR_IN_DELETE;
		}
## change Active/inactive status
	if ($_GET['chgastatus']==1)
	{  	
		$str_table_name = "tbl_departments" ;
		$str_fields_values = "status='".$_GET['status']."'";
		$str_filter = "dept_id='".$_GET['st_id']."'";
		$up = update_into_db($str_table_name,$str_fields_values,$str_filter);
	}

## code to params creation
	$str_params.="&s_dept_name=".urlencode($s_dept_name);
	$str_params.="&s_dept_name2=".urlencode($s_dept_name2);
	$str_params.="&s_parent=".urlencode($s_parent);
	$str_params.="&s_prod_id=".urlencode($s_prod_id);
	$str_params.="&s_status=".urlencode($s_status);		
	//$params.="&sort=".$sort;

## code for select query condition Creation
		if($s_prod_id!="")
			$arr_cond[]=" a.prod_id='".$s_prod_id."'";
		if($s_dept_name!="")
			$arr_cond[]=" a.dept_name like '$s_dept_name%'";
		if($s_dept_name2!="")
			$arr_cond[]=" b.dept_name like '$s_dept_name2%'";
		//if($s_parent!="")
		//	$arr_cond[]=" b.dept_name  Like '$s_parent%'";
		if($s_status!="")
			$arr_cond[]=" a.status = '$s_status'";
		if (is_array($arr_cond))
			$str_cond = implode(" and ", $arr_cond);
		else
			$str_cond = "";


	
## code for get sort condition filter		
		if($sort=="") 	//-- by default registeration date descending
		{  
			$i_disp=1;
			$str_order ="a.dept_id desc ";
			$sort = "3";
		}
		elseif($sort == "1") 		$str_order=" a.dept_name asc";
		elseif($sort == "-1") 		$str_order=" a.dept_name desc";	
		elseif($sort == "2") 		$str_order=" a.cat_id asc";
		elseif($sort == "-2") 		$str_order=" a.cat_id desc";	
		elseif($sort == "3") 		$str_order=" a.dept_id asc";
		elseif($sort == "-3") 		$str_order=" a.dept_id desc";	


## to get start for paging
	if ($start=="")
		$start=0;
		
## get total rows without limits
	$str_tablename = " ( tbl_departments a LEFT JOIN tbl_departments b ON a.cat_id = b.dept_id) LEFT JOIN tbl_product c ON a.prod_id = c.prod_id ";
	//$str_join_cond = "a.cat_id= b.dept_id ";
	$num_rows = get_total_rows($str_tablename,"a.dept_id",$str_cond,"","",$str_join_cond);
	
## get data by applying limit
	$str_limits =  $start.",".$RECORDS_PER_PAGE; 
	$str_field_names="c.prod_id, c.prod_name, a.dept_id,a.dept_name,b.dept_name AS parent_dept, a.status ";
	$str_group_by="";
	$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond, $str_group_by);

## To change the value of start if all records from last page are deleted. go to prevoius page.
	if ( $res_data && mysql_num_rows($res_data) == 0)
	{	
		if ($start!= 0)
		{
			$start = $start - $RECORDS_PER_PAGE;
			if ($start < 0)
				$start = 0;
			$str_limits 	= $start.",".$RECORDS_PER_PAGE;	
			$num_rows = get_total_rows($str_tablename,"a.dept_id",$str_cond);
			$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);
		}
	}
	
?>	
<?php include("header.php"); ?>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/checkbox_functions.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<link rel="stylesheet" type="text/css" media="all" href="<?php echo $site_path ; ?>javascript/calendar/calendar-win2k-cold-1.css" title="win2k-cold-1" />
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar.js"></script>
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar-en.js"></script>
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar-setup.js"></script>
<form name="frm_manage" method="post" action="<?php echo $_SERVER['PHP_SELF'];?>"><BR />
<?php  
if($str_err)
 { echo get_err_div($str_err); } 
?> 

<table width="90%" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
              <tbody>
                <tr>
                  <th align="center"></th>
                  <th align="left"><?php echo  $page_heading;?></th>
                  <th align="left">&nbsp;</th>
                  <th align="left">&nbsp;</th>
                  <th colspan="5" align="right"><a href="<?php echo ADD_EDIT_DEPT_PHP."?str_params=".@base64_encode($str_params); ?>" title="Add New">Add New</a>&nbsp; | &nbsp; <a  href="<?php echo MNG_DEPT_PHP;?>">Clear Search</a> </th>
                </tr>
                <tr>
			  	<td width="3%" align="center"></td>
                <td width="29%" align="left"><input name="s_dept_name" value="<?php echo $s_dept_name;?>"  size="45" type="text"></td>
                <td width="24%" align="left"><select name="s_prod_id" id="s_prod_id"  >
                      <option value="">All Products </option>
                      <?php $resp=select_from_db("tbl_product","prod_id,prod_name","status='1'"); 
							   while($rowp=mysql_fetch_assoc($resp)) {	?>
                      <option value="<?php echo $rowp["prod_id"];?>" <?php echo $s_prod_id==$rowp["prod_id"] ? "selected" : "" ; ?>><?php echo $rowp["prod_name"];?></option>
                      <?php } ?>
                    </select></td>
                <td width="11%" align="left"><!--<input name="s_parent"   value="<?php echo $s_parent;?>" size="10"  type="text">-->
                  <input name="s_dept_name2" value="<?php echo $s_dept_name2;?>"  size="15" type="text" /></td>
                <td width="9%" align="left">
					<select class="textfield" name="s_status">
						<option value="">All</option>
						<option value="1" <?php echo $s_status=="1"?"selected": "" ; ?>>Active</option>
						<option value="0" <?php echo $s_status=="0"?"selected": "" ; ?>>Inactive</option>
					</select>				</td>
				<td width="9%" align="center"><input name="search" value="search"   type="submit" /></td>
				<td width="3%" align="center">&nbsp;</td>
				<td width="5%" align="center">&nbsp;</td>
				<td width="7%" align="center"><input type="submit" name="del_all" value="Delete"  title="Delete selected"  onClick="return action_check(document.frm_manage.chk_all,document.frm_manage.chk,'delete')" ></td>
              </tr>
              <tr>
			 	<th align="center">#</th>
              	<th align="left">
					<?php echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort1"."'>Name</a>";
					 /*if($i_disp ==1 )
						echo("<img src='".$sortimg_path."' border='0'>&nbsp;");
					 else 
						$i_desp=0 ;
					echo $imgsort[1] == 1 ? "<img src='".$imgsort[0] ."' border='0'>&nbsp;" : "" ; */
					
					echo $imgsort[1] == 1 ? "<img src='".$imgsort[0] ."' border='0'>&nbsp;" : "";?>			
				</th>     
             	<th align="left">Product</th>
             	<th align="left">
					<?php echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort2"."'>Parent</a>";
					 	echo $imgsort[1] == 2 ? "<img src='".$imgsort[0] ."' border='0'>&nbsp;" : "";?>				</th>
				<th align="left">Status</th>
				<th align="center"> Set Fields</th>
             	<th align="center">Edit</th>     
             	<th align="center">Delete</th>    
			    <th width="7%" align="center"><input type="checkbox" id="chk_all" name="chk_all" value="1" onClick="return check_all(this,document.frm_manage.chk);"></th>
              </tr>
			<?php 
			if ($res_data && mysql_num_rows($res_data)> 0) 
			{ 
				$cntr=$start+1;
				while($row = mysql_fetch_assoc($res_data) )
					{
						$id=$row["dept_id"];
						$prod_id=$row["prod_id"];
						$dept_name= stripslashes($row["dept_name"]);
						$parent_dept=$row["parent_dept"];
						$prod_name=stripslashes($row["prod_name"]);
						//$total_operators=get_field("tbl_relationship","count(rela_id)","dept_id='".$id."'");
						$i_status=$row['status'] ;
						$str_status = $i_status=="0"?"Inactive":"Active";
						$row_class = $row_class=="row0" || $row_class=="" ? "row1": "row0";	
			?>
					<tr class="<?php echo $row_class;?>">
						<td align="center"><?php echo $cntr;?></td>
						<td align="left"><?php echo limit_string_length($dept_name,50);?></td>
						<td align="left"><?php echo limit_string_length($prod_name,50);?></td>
						<td align="left"><?php echo $parent_dept!="" ? limit_string_length($parent_dept,50):"<b>Root</b>";?></td>
						<td align="left">
						<?php 
							$querystring=$_SERVER['PHP_SELF']."?chgastatus=1&st_id=".$id."&start=$start".$str_params;    	
							if($i_status!=1)
							{
								$querystring.="&status=1";
								$st_lnk ='<span title="Change Status"><a href='.$querystring.'><font color="#FF0000">Inactive</font></a></span>';
							}
							else
							{
								$querystring.="&status=0";
								$st_lnk ='<span title="Change Status"><a href='.$querystring.'><font color="#00FF00">Active</font></a></span>';
							}
							
							echo $st_lnk;
							?>						</td>
						<td align="center">
						<a href="<?php echo ADD_FIELD_PHP;?>?s_dept_id=<?php echo $id; ?>&s_prod_id=<?php echo $prod_id;?>">Add</a>
						</td>
						<td align="center"><a href="<?php echo ADD_EDIT_DEPT_PHP."?id=$id&action=edit&start=$start&str_params=".@base64_encode($str_params);?>" title="Edit"><img src="<?php echo $site_path;?>images/edit.png" width="16" height="16" border="0"></a></td>
						<td align="center"><a href="<?php echo $_SERVER['PHP_SELF']."?del_id=".$id?>" title="Delete" onclick="return confirm('Are you sure you want to delete?')"><img src="<?php echo $site_path;?>images/drop.png" width="16" height="16" border="0" bordre="0"></a></td>
						<td align="center"><input id="chk" name="chk[]" value="<?php echo $id;?>" onclick="return check_single(document.frm_manage.chk_all,document.frm_manage.chk);" type="checkbox"></td>
					</tr>		
			<?php 	$cntr++;
					} #closing of while ?>			
			<tr align="center">
			  <td align="center">&nbsp;</td>
			  <td colspan="8" align="center" >
			  <?php	
			  		/*$page=navigation($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'], $str_params,''); #paging	 		
					 echo $page;*/
				$navigation= navigation_new($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'],$str_params);
					 echo($navigation[1]."&nbsp;".$navigation[2]."&nbsp;".$navigation[3]);
					 	?>			  </td>
			</tr>
			  </tbody>
			  </table>
<?php  } # closing of record check 
else {  ?>	
	<table width="90%" height="250" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
					<tr>
					  <th width="62%" align="center"><span class="error"><?php echo ERR_NO_RESULT;?></span></th>
					</tr>
	</table>				
<?php } ?>	
</form>	
<?php include("footer.php");?>