<?php
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: manage_help.php
	# Updated: 19-05-08 Sham Shriwastav  
	# Status: open
	# Purpose: 
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once("../includes/config.php");
	require_once("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/admin_filenames.php");
	require_once("../includes/err_msg.php");
	
	$debug_mode = 0;

##  Specify title of page
	$page_heading="Manage Help ";

##  to get search field
	$start			= trim($_REQUEST['start']);
	$sort			= trim($_REQUEST['sort']);
	$s_title		= trim($_REQUEST['s_title']);
	$s_detail 		= trim($_REQUEST['s_detail']);	
	$s_type			= trim($_REQUEST['s_type']);
	$str_err		= trim($_REQUEST["str_err"]);
	if(isset($_POST["search"]))
	{
	 $str_err="";
	}

## code to delete 

## change Active/inactive status

## code to params creation
	$str_params="&s_title=".urlencode($s_title);
	$str_params.="&s_detail=".urlencode($s_detail);
	$str_params.="&s_type=".urlencode($s_type);		

## code for select query condition Creation
		if($s_title!="")
			$arr_cond[]=" help_title like '$s_title%'";
		if($s_detail!="")
			$arr_cond[]=" help_text  Like '$s_detail%'";
		if($s_type!="")
			$arr_cond[]=" help_type = '$s_type'";
	
		if (is_array($arr_cond))
			$str_cond = implode(" and ", $arr_cond);
		else
			$str_cond = "";

	
## code for get sort condition filter		
	if($sort=="") 	//-- by default registeration date descending
		{  
			$i_disp=1;
			$str_order ="help_title desc ";
			$sort = "1";
		}
		elseif($sort == "1") 		$str_order=" help_title asc ";
		elseif($sort == "-1") 		$str_order=" help_title desc ";	


## to get start for paging
	if ($start=="")
		$start=0;
		
## get total rows without limits
	$num_rows = get_total_rows("tbl_help",'help_id',$str_cond);
	
## get data by applying limit
	$str_tablename = "tbl_help";
	$str_join_cond = "";
	$str_limits =  $start.",".$RECORDS_PER_PAGE; 
	$str_field_names="*";
	$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);

## To change the value of start if all records from last page are deleted. go to prevoius page.
	if ( $res_data && @mysql_num_rows($res_data) == 0)
	{	
		if ($start!= 0)
		{
			$start = $start - $RECORDS_PER_PAGE;
			if ($start < 0)
				$start = 0;
			$str_limits 	= $start.",".$RECORDS_PER_PAGE;	
			$num_rows = get_total_rows($str_tablename,'help_id',$str_cond);
			$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);
		}
	}

$arr_help=get_help("1,2,3,4");
while (list($key, $value) = each($arr_help))
{
 echo "<div id='help_data_$key' style='display:none;'>".$value["help_text"]."</div>";
}
?>	

</div>
<?php include("header.php"); ?>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/checkbox_functions.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/ajax_request_handler.js"></script>

<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/nodropin.js"></script>
		<div id="dropin" style="background-color: #CCCCCC; position:absolute; visibility: hidden; z-index: 1000000;
		left: 300px; width: 350px; padding:5px 5px; border: 1px solid #2E2E2E;	background-color:#FFFFFF;  ">
			<div align="right">
				<font face="Tahoma" size="1">
		  			<a href="#" onClick="dismissbox();return false">[Close]</a>
		  		</font>&nbsp;&nbsp;
				<hr  size="1px"/>
		  	</div>
		  	<div id="help_div" class="text"></div>	
		</div>
		<form name="frm_manage" method="post" action="<?php echo $_SERVER['PHP_SELF'];?>"><BR />
<?php  
if($str_err) 
	{ 
	 echo get_err_div($str_err);
	} 
?>
<table width="90%" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
              <tbody>
                <tr>
                  <th align="center"></th>
                  <th align="left"><?php echo  $page_heading;?></th>
                  <th align="left">&nbsp;</th>
                  <th colspan="2" align="center"><a href="<?php echo MNG_HELP;?>">Clear Search</a></th>
                  </tr>
                <tr>
			  	<td width="3%" align="center">
				<!--<a onMouseOver="this.style.cursor='pointer';" onClick="initbox2('help_div',event,encodeURI('<?php echo $arr_help[1]["help_text"]; ?>'), '<?php echo $arr_help[1]["help_type"]; ?>'); return false;" title='Click me for help'>-->
				<a onMouseOver="this.style.cursor='pointer';" onClick="initbox2('help_div',event,'<?php echo "help_data_1"; ?>', '<?php echo $arr_help[1]["help_type"]; ?>'); return false;" title='Click me for help'>
				<img src="<?php echo SITE_PATH."images/help_icon.gif";?>" width="16" height="16" border="0" /></a>				</td>
                <td width="35%" align="left"><input name="s_title"  class="textfield" value="<?php echo $s_title;?>"  size="45" type="text"></td>
                <td width="45%" align="left"><!--<input name="s_detail" class="textfield" id="s_detail" size="10" maxlength="11" value="<?php echo $s_detail;?>" type="text">--></td>
                <td width="9%" align="center">
					<select name="s_type" class="textfield" id="s_type">
						<option value="">All</option>
						<option value="Text" <?php echo $s_type=="Text"?"selected": "" ; ?>>Text</option>
						<option value="Audio" <?php echo $s_type=="Audio"?"selected": "" ; ?>>Audio</option>
						<option value="Video" <?php echo $s_type=="Video"?"selected": "" ; ?>>Video</option>
						<option value="Embed" <?php echo $s_type=="Embed"?"selected": "" ; ?>>Embed</option>
					</select>				</td>
				<td width="8%" align="center"><input name="search" value="search"   type="submit"></td>
				</tr>
              <tr>
			  <th align="center">
			  <a onMouseOver="this.style.cursor='pointer';" onClick="initbox2('help_div',event,'<?php echo "help_data_3"; ?>', '<?php echo $arr_help[3]["help_type"]; ?>'); return false;" title='Click me for help'>
			   <img src="<?php echo SITE_PATH."images/help_icon.gif";?>" width="16" height="16" border="0" /> </a></th>
             <th align="left">
				<?php
				 echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort1"."'>Title</a>";
					if($i_disp == 1) #Loop for dispaly default sorting applied on listing
					{ 
						echo "<img src='".$sortimg_path."' border='0'>&nbsp;"; 
						$i_disp=0; 
					}
					if($imgsort[1] == 1)
						echo "<img src='".$imgsort[0] ."' border='0'>&nbsp;"; 
				?>			 </th>     
			<th align="left">Detail</th>
			<th align="center">Type</th>     
			<th align="center">Edit</th>     
			</tr>
			<?php 
			if (@mysql_num_rows($res_data)> 0) 
			{ 
				$cntr=$start+1;
				while($row = @mysql_fetch_assoc($res_data) )
					{
						$id=$row["help_id"];
						$help_title= stripslashes($row["help_title"]);
						$help_type= stripslashes($row["help_type"]);
						$help_text=  $row["help_text"]!="" ? stripslashes($row["help_text"]): "";
						$media_file= stripslashes($row["media_file"]);
						
						if($help_type=="Text" )
						{
							$display_detail=limit_string_length($help_text,150);
						}
						if($help_type=="Video" ||  $help_type=="Audio")
						{
						 $display_detail="<a href='".SITE_PATH."help_file/".$media_file."' target='_blank'>Check $help_type</a>";
						}	
						if($help_type=="Embed")
						{
						  $display_detail="See detail";
						}
						
						$i_status=$row['status'] ;
						$str_status = $i_status=="0"?"Inactive":"Active";
						$row_class = $row_class=="row0" || $row_class=="" ? "row1": "row0";	
			?>
					
					<tr valign="top" class="<?php echo $row_class;?>">
						<td align="center" valign="top"><?php echo $cntr;?></td>
						<td align="left" valign="top"><?php echo limit_string_length($help_title,50);?></td>
						<td align="left" valign="top"><?php echo $display_detail;?></td>
						<td align="center"><?php echo $help_type;?></td>
						<td align="center" valign="top"><a href="<?php echo ADD_EDIT_HELP_PHP."?id=$id&action=edit&start=$start&str_params=".@base64_encode($str_params);?>" title="Edit"><img src="<?php echo $site_path;?>images/edit.png" width="16" height="16" border="0"></a></td>
						</tr>		
			<?php 	$cntr++;
					} #closing of while ?>			
			<tr align="center">
			  <td align="center">&nbsp;</td>
			  <td colspan="4" align="center" >
			  <?php	
			  		/*$page=navigation($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'], $str_params,''); #paging	 		
					 echo $page;*/
				$navigation= navigation_new($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'],$str_params);
					 echo($navigation[1]."&nbsp;".$navigation[2]."&nbsp;".$navigation[3]);
			?></td>
			  </tr>
			<tr align="center">
			<td align="center"><a onmouseover="this.style.cursor='pointer';" onclick="initbox2('help_div',event, '<?php echo "help_data_2"; ?>','<?php echo $arr_help[2]["help_type"]; ?>'); return false;" title='Click me for help'> <img src="<?php echo SITE_PATH."images/help_icon.gif";?>" width="16" height="16" border="0" /> </a></td>
			<td align="left">Demo of Video help </td>
			<td align="left">&nbsp;</td>
			<td align="center">&nbsp;</td>
			<td align="center">&nbsp;</td>
			</tr>
			<tr align="center">
			  <td align="center"><a onmouseover="this.style.cursor='pointer';" onclick="initbox2('help_div',event, '<?php echo "help_data_4"; ?>','<?php echo $arr_help[4]["help_type"]; ?>'); return false;" title='Click me for help'> <img src="<?php echo SITE_PATH."images/help_icon.gif";?>" width="16" height="16" border="0" /> </a></td>
			  <td align="left">Demo of Embed Video help </td>
			  <td align="left">&nbsp;</td>
			  <td align="center">&nbsp;</td>
			  <td align="center">&nbsp;</td>
			  </tr>
              </tbody></table>
<?php }
else {  ?>	
	<table width="90%" height="250" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
					<tr>
					  <th width="58%" align="center"><span class="error"><?php echo ERR_NO_RESULT;?></span></th>
					  </tr>
	</table>				
<?php } ?>	
</form>	
<?php include("footer.php")?>