<?php
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name:manage_operators.php
	# Updated: 06-05-08 Mudassir shaikh  
	# Status: open
	# Purpose: manage operators.
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once("../includes/config.php");
	require_once("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/admin_filenames.php");
	require_once("../includes/err_msg.php");
	
	$debug_mode = 0;

##  Specify title of page
	$page_heading="Manage Operator";

##  to get search field
	$start			= trim($_REQUEST['start']);
	$sort			= trim($_REQUEST['sort']);
	$s_title		= trim($_REQUEST['s_title']);
	$s_status		= trim($_REQUEST['s_status']);
	$str_err		= trim($_REQUEST["str_err"]);
	if(isset($_POST["search"]))
	{
	 $str_err="";
	}

## code to delete 
		## single delete
			if(isset($_GET['del_id']))
			{
			 delete_from_db("tbl_operators","opera_id='".$_GET['del_id']."'");
			 delete_from_db("tbl_relationship","opera_id='".$_GET['del_id']."'");
			 $str_err=MSG_OPERATOR_DELETE;	
			}
		##multiple delete
			if(isset($_POST['del_all']))
			{	
				for($i=0; $i<=count($_POST["chk"])-1; $i++)
				{
				 $delete_id = $_POST["chk"][$i];
				 delete_from_db("tbl_operators","opera_id='".$delete_id."'");	
				 delete_from_db("tbl_relationship","opera_id='".$delete_id."'");	 		
				} 
				
				if($i == count($_POST["chk"]))
						$str_err=MSG_OPERATOR_DELETE;
				else
						$str_err = ERR_IN_DELETE;
    		}
	
## change Active/inactive status
	if ($_GET['chgastatus']==1)
	{  	
		$str_table_name = "tbl_operators " ;
		$str_fields_values = "flag='".$_GET['status']."'";
		$str_filter = "opera_id='".$_GET['st_id']."'";
		$up = update_into_db($str_table_name,$str_fields_values,$str_filter);
	}
	
## code to params creation
	$str_params="&s_title=".urlencode($s_title);
	//$str_params.="&s_status=".urlencode($s_status);		
	//$params.="&sort=".$sort;

## code for select query condition Creation
		if($s_title!="")
			$arr_cond[]=" opera_user like '$s_title%'";
		
		if($s_status!="")
			$arr_cond[]=" flag = '$s_status'";
	     
		if (is_array($arr_cond))
			$str_cond = implode(" and ", $arr_cond);
		else
     		$str_cond = "";
	
## code for get sort condition filter		
		if($sort=="") 	//-- by default registeration date descending
		{  
			$i_disp=1;
			$str_order ="opera_user desc ";
			$sort = "-1";
		}
		elseif($sort == "1") 		$str_order=" opera_user asc ";
		elseif($sort == "-1") 		$str_order=" opera_user desc ";	
	
## to get start for paging
	if ($start=="")
		$start=0;
		
## get total rows without limits
	$num_rows = get_total_rows("tbl_operators",'opera_id',$str_cond);
	
## get data by applying limit
    
	$str_tablename = "tbl_operators";
	$str_join_cond = "";
	$str_limits =  $start.",".$RECORDS_PER_PAGE; 
	$str_field_names="*";
	$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);

/*  $str_tablename = "tbl_relationship b JOIN tbl_operators a JOIN tbl_departments c";
	$str_join_cond = "a.opera_id= b.opera_id and b.dept_id=c.dept_id";
	$str_limits =  $start.",".$RECORDS_PER_PAGE; 
	$str_field_names="a.opera_user,a.flag,c.dept_name as dep_name";
    $str_group_by="a.opera_name";
    $res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);
*/ 
 
## To change the value of start if all records from last page are deleted. go to prevoius page.
	if ( $res_data && mysql_num_rows($res_data) == 0)
	{	
		if ($start!= 0)
		{
			$start = $start - $RECORDS_PER_PAGE;
			if ($start < 0)
				$start = 0;
			$str_limits 	= $start.",".$RECORDS_PER_PAGE;	
			$num_rows = get_total_rows($str_tablename,'opera_id',$str_cond);
			$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);
		}
	}
	
?>	
<?php include("header.php"); ?>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/checkbox_functions.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<form name="frm_manage" method="post" action="<?php echo $_SERVER['PHP_SELF'];?>"><BR /><?php  
if($str_err) 
	{ 
	 echo get_err_div($str_err);
	} 
?><table width="80%" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
              <tbody>
                <tr>
                  <th align="center"></th>
                  <th align="left"><?php echo  $page_heading;?></th>
                  <th width="26%" align="left">&nbsp;</th>
                  <th width="15%" align="left">&nbsp;</th>
                  <th colspan="3" align="right"><a href="<?php echo ADD_EDIT_OPERATORS_PHP."?str_params=".@base64_encode($str_params); ?>">Add New</a>  &nbsp; | &nbsp; <a  href="<?php echo MNG_OPERATORS_PHP ;?>">Clear Search</a></th>
                  </tr>
                <tr>
			  	<td width="3%" align="center"></td>
                <td width="26%" align="left"><input name="s_title"  class="textfield" value="<?php echo $s_title;?>"  size="30" type="text"></td>
                <td align="left">&nbsp;</td>
                <td align="left">
				 <select class="textfield" name="s_status">
						<option value="">All</option>
						<option value="1" <?php echo $s_status=="1"?"selected": "" ; ?>>Active</option>
						<option value="0" <?php echo $s_status=="0"?"selected": "" ; ?>>Inactive</option>
				 </select>				</td>
				<td width="11%" align="center"><input name="search" value="search"   type="submit"></td>
				<td width="6%" align="center">&nbsp;</td>
				<td width="9%" align="center"><input type="submit" name="del_all" value="Delete"  title="Delete selected"  onClick="return action_check(document.frm_manage.chk_all,document.frm_manage.chk,'delete')" ></td>
              </tr>
              <tr>
			  <th align="center">#</th>

             	<th align="left">
				 <?php
				  echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort1"."'>Operator</a>";
					if($i_disp == 1) #Loop for dispaly default sorting applied on listing
					{ 
						echo "<img src='".$sortimg_path."' border='0'>&nbsp;"; 
						$i_disp=0; 
					}	
					
    			  if($imgsort[1] == 1)
				  echo "<img src='".$imgsort[0] ."' border='0'>&nbsp;"; 
				 ?>	
				</th>     
             	<th align="left">Departments</th>
				<th align="left">Status</th>     
             	<th align="center">Edit</th>     
             	<th align="center">Delete</th>    
			    <th width="9%" align="center"><input type="checkbox" id="chk_all" name="chk_all" value="1" onClick="return check_all(this,document.frm_manage.chk);"></th>
              </tr>
			<?php if ($res_data && mysql_num_rows($res_data)> 0) 
			  { 
				$cntr=$start+1;
				while($row = mysql_fetch_assoc($res_data) )
					{
						$id=$row["opera_id"];
						$operator= stripslashes($row["opera_user"]);
						$i_status=$row['flag'] ;
						$str_status = $i_status=="0" ? "Inactive":"Active";
						$row_class = $row_class=="row0" || $row_class=="" ? "row1": "row0";	
						//$dep=$row["dep_name"];
			?>
					<tr class="<?php echo $row_class;?>">
						<td align="center"><?php echo $cntr;?></td>
						<td align="left"><?php echo $operator; ?></td>
						<td align="left">
						<?php
						  $depart_query="select dept_id from tbl_relationship where opera_id='$id'";
						  $depart_res=mysql_query($depart_query);
						  $depart_rows=mysql_num_rows($depart_res);
						  if($depart_rows > 1)
						  {
						   $count=0;
						   while($dep_row=mysql_fetch_assoc($depart_res))
						   {
						    ++$count;
						    $dep1=$dep_row['dept_id'];
							//$str_tblnames="tbl_departments a LEFT JOIN tbl_product b";
							//$str_condition="a.dept_id='$dep1'";
							//$str_join_condition="a.prod_id=b.prod_id";
							$single_depart="select a.dept_name,b.prod_name from tbl_departments a LEFT JOIN tbl_product b on a.prod_id=b.prod_id where a.dept_id='$dep1'";
							//$single_depart="select dept_name from tbl_departments where dept_id='$dep1'";
						    $single_res=mysql_query($single_depart);
						    $dep1=mysql_fetch_row($single_res);
						    $department=$dep1[0];
							$productname=$dep1[1];
						    echo $department." (".$productname.")";
							if($count < $depart_rows){
							echo ",";}					  
						   } 
						  }
						  else if($depart_rows==1)
						  {
						   $s_row=mysql_fetch_array($depart_res);
						   $dep=$s_row[0];
						   $single_depart="select a.dept_name,b.prod_name from tbl_departments a LEFT JOIN tbl_product b on a.prod_id=b.prod_id where a.dept_id='$dep'";
						   //$single_depart="select dept_name from tbl_departments where dept_id='$dep'";
						   $single_res=mysql_query($single_depart);
						   $dep1=mysql_fetch_row($single_res);
						   $department=$dep1[0];
						   $productname=$dep1[1];
						   echo $department." (".$productname.")";					  
						  }
						  else
						  {
						  	echo "------";
						  }
						?>						</td>
						<?php 
						if($id != 99999){?>
						<td align="left">
						 <?php 
							$querystring=$_SERVER['PHP_SELF']."?chgastatus=1&st_id=".$id."&start=$start".$str_params;    	
							if($i_status!=1)
							{
								$querystring.="&status=1";
								$st_lnk ='<span title="Change Status"><a href='.$querystring.'><font color="#FF0000">Inactive</font></a></span>';
							}
							else
							{
								$querystring.="&status=0";
								$st_lnk ='<span title="Change Status"><a href='.$querystring.'><font color="#00FF00">Active</font></a></span>';
							}
							echo $st_lnk;
							?>						</td>
						<?php } 
						else {
						//echo"<td>Active</td><?php"; 
							echo "<td>------</td>";	} ?>
						<?php if($id!=99999){ ?>
						<td align="center">
							<a href="<?php echo ADD_EDIT_OPERATORS_PHP."?id=$id&action=edit&start=$start&str_params=".@base64_encode($str_params);?>" title="Edit"><img src="<?php echo $site_path;?>images/edit.png" width="16" height="16" border="0"></a>						</td>
						<td align="center"><a href="<?php echo $_SERVER['PHP_SELF']."?del_id=".$id?>" title="Delete" onclick="return confirm('Are you sure you want to delete?')"><img src="<?php echo $site_path;?>images/drop.png" width="16" height="16" border="0" bordre="0"></a></td>
						<td align="center"><input id="chk" name="chk[]" value="<?php echo $id;?>" onclick="return check_single(document.frm_manage.chk_all,document.frm_manage.chk);" type="checkbox"></td>
						<?php } 
						else {
						 /*echo '<td align="center">&nbsp;</td><td align="center">&nbsp;</td>
						<td align="center">&nbsp;</td><td align="center">&nbsp;</td>';*/
						echo '<td align="center">-----</td><td align="center">-----</td>
						<td align="center">-----</td>';
						 } ?>
					</tr>		
			<?php 	$cntr++;
					} #closing of while ?>			
			<tr align="center">
			  <td align="center">&nbsp;</td>
			  <td colspan="6" align="center" >
			   <?php	
			  		/*$page=navigation($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'], $str_params,''); #paging	 		
					 echo $page;*/
				$navigation= navigation_new($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'],$str_params);
				echo($navigation[1]."&nbsp;".$navigation[2]."&nbsp;".$navigation[3]);
			   ?>			  </td>
			  </tr>
		 </tbody></table>
<?php }
else {  ?>	
	<table width="80%" height="250" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
					<tr>
					  <th width="59%" align="center"><span class="error"><?php echo ERR_NO_RESULT;?></span></th>
					  </tr>
	</table>				
<?php } ?>	
</form>	
<?php include("footer.php");?>