<?php
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: manage_tickets.php
	# Updated: 5-05-08 Sham Shriwastav  
	# Status: open
	# Purpose: 
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once("../includes/config.php");
	require_once("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once ("../lib/encrypt-decrytp_string.php");
	require_once("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/admin_filenames.php");
	require_once("../includes/member_filenames.php");
	require_once("../includes/operator_filenames.php");
	require_once("../includes/err_msg.php");
	$debug_mode =0;


##  Specify title of page
	$page_heading="Manage Ticket";

##  to get search field
	$start			= trim($_REQUEST['start']);
	$sort			= trim($_REQUEST['sort']);
	$s_id			= trim($_REQUEST['s_id']);
	$s_name			= trim($_REQUEST['s_name']);
	$s_subject 		= trim($_REQUEST['s_subject']);	
	$s_dept			= trim($_REQUEST['s_dept']);
	$s_priority		= trim($_REQUEST['s_priority']);
	$sea_prod_id	= trim($_REQUEST['sea_prod_id']);
	$s_prod_id		= trim($_REQUEST['s_prod_id']);	
	$s_date			= trim($_REQUEST["s_date"]);	
	$s_status		= trim($_REQUEST['s_status']);
	$search_by		=trim($_REQUEST['search_by']);
	$search_by_string=trim($_REQUEST["search_by_string"]);
	$str_err		= trim($_REQUEST["str_err"]);
	if(isset($_POST["search"]))
	{
	 $str_err="";
	}

## code to delete 
	## single delete
	if(isset($_GET['del_id']))
	{
		delete_from_db("tbl_tickets","ticket_id='".$_GET['del_id']."'");
		//delete_from_db("tbl_relationship","opera_id='".$_GET['del_id']."'");
		$str_err=MSG_TICKET_DELETE;	
	}
	##multiple delete
	if(isset($_POST['del_all']))
	{	
		for($i=0; $i<=count($_POST["chk"])-1; $i++)
		{
			$delete_id = $_POST["chk"][$i];
			delete_from_db("tbl_tickets","ticket_id='".$delete_id."'");
			delete_from_db("tbl_assign_log","ticket_id='".$delete_id."'");
			delete_from_db("tbl_feedback","ticket_id='".$delete_id."'");
			delete_from_db("tbl_ticket_hack_log","ticket_id='".$delete_id."'");
			delete_from_db("tbl_ticket_replies","ticket_id='".$delete_id."'");
			//delete_from_db("tbl_relationship","opera_id='".$delete_id."'");	 		
		} 
	
		if($i == count($_POST["chk"]))
			$str_err=MSG_TICKET_DELETE;
		else
			$str_err = ERR_IN_DELETE;
	}

		## Code for multiple assign
		if(isset($_POST['assign_all']))
		{	
			$sea_prod_id=$_POST["sea_prod_id"];
			$sel_dept=$_POST["sel_dept"];
			$sel_opt=$_POST["sel_opt"];
			$assign_time=date('l dS \of F Y h:i:s A',time());
			if($sel_dept!='')
				$dept_name= get_field("tbl_departments","dept_name", "dept_id='$sel_dept'");
			if($sel_opt!='')
				$opera_user= get_field("tbl_operators","opera_user" ,"opera_id='$sel_opt'");
			
			if($sel_dept!='' && $sea_prod_id!='')
			{
						$ticket_detail="";
						for($i=0; $i<=count($_POST["chk"])-1; $i++)
						{
							$tmp_ticket_id = $_POST["chk"][$i];
							
							$up= update_into_db("tbl_tickets","dept_id='$sel_dept',opera_id='$sel_opt'","ticket_id='$tmp_ticket_id'"); # update ticket table
							$res_ticket_detial=select_from_db("tbl_tickets","ticket_name,ticket_email,ticket_subject,ticket_priority","ticket_id='".$tmp_ticket_id."'");
							$row_ticket=mysql_fetch_assoc($res_ticket_detial);
							$ticket_name=stripslashes(ucfirst($row_ticket["ticket_name"]));
							$ticket_email=$row_ticket["ticket_email"];
							$ticket_subject=stripslashes($row_ticket["ticket_subject"]);
							$ticket_priority=$row_ticket["ticket_priority"];
							
							$ticket_detail.="<TR><td>$tmp_ticket_id</td><td>$ticket_subject</td><td>$dept_name</td><td>$opera_user</td></tr>";
						    $ticket_id_list.= "$tmp_ticket_id, ";
						} 
						
						
						if($sel_opt>0) # mail to assigned member
						{
							if(check_operator_setting($sel_opt, "admin_ticket_assign") ) // check the operator notify setting
							{
								$res_mail = select_from_db("admin_automail","*","mid='7'");
								$row_mail=mysql_fetch_assoc($res_mail);
								$mail_subject=stripslashes($row_mail['subject']);
								$mail_message=stripslashes($row_mail['message']);
								$res_opera_detial=select_from_db("tbl_operators","opera_user,opera_email","opera_id='".$sel_opt."'");
								list($opera_name,$opera_email)=mysql_fetch_row($res_opera_detial);
								$log_id=insert_into_db("tbl_assign_log","assign_by,assign_to,ticket_id,assign_date","'0','$sel_opt','".$tmp_ticket_id."','".time()."'");
								$search=array("[username]", "[assign_by]","[assign_time]","[ticket_detail]","[opt_login_link]","[site_url]","[sitename]");
								$replace=array(ucfirst($opera_name),"Admin",$assign_time,$ticket_detail,SITE_PATH."operators/",SITE_PATH,$sitename);
								$subj = str_replace($search, $replace, $mail_subject);
								$mess = str_replace($search, $replace, $mail_message);
								send_mail($mess,ADMIN_MAIL,'',$opera_email,$opera_name,$subj,'3',REPLY_TO); 
							}
							echo get_err_div("ticket $ticket_id_list Assigned to $opera_name");

						}
						else # mail to assigned department
						{
								$res_mail = select_from_db("admin_automail","*","mid='8'");
								$row_mail=mysql_fetch_assoc($res_mail);
								$mail_subject=stripslashes($row_mail['subject']);
								$mail_message=stripslashes($row_mail['message']);
								$tmp_tbl_names="tbl_relationship as rel LEFT OUTER JOIN tbl_departments as dept ";
								$tmp_str_join_cond = "dept.dept_id = rel.dept_id";
								$tmp_str_cond=" rel.dept_id='".$sel_dept."' OR dept.cat_id = '".$sel_dept."'";
								$res_operatos= select_from_db($tmp_tbl_names,"opera_id",$tmp_str_cond,"","",$tmp_str_join_cond);
								while($row_opera=mysql_fetch_assoc($res_operatos))
								{
									if(check_operator_setting($row_opera["opera_id"], "admin_ticket_assign") ) // check the operator notify setting
									{
										$res_opera_detial=select_from_db("tbl_operators","opera_user,opera_email","opera_id='".$row_opera["opera_id"]."'");
										list($opera_name,$opera_email)=mysql_fetch_row($res_opera_detial);
										$search=array("[username]", "[assign_by]","[assign_time]","[ticket_detail]","[opt_login_link]","[site_url]","[sitename]");
										$replace=array(ucfirst($opera_name),"Admin",$assign_time,$ticket_detail,SITE_PATH."operators/",SITE_PATH,$sitename);
										$subj = str_replace($search, $replace, $mail_subject);
										$mess = str_replace($search, $replace, $mail_message);
										send_mail($mess,ADMIN_MAIL,'',$opera_email,$opera_name,$subj,'3',REPLY_TO); 
									}	
									
								}
							echo get_err_div("ticket $ticket_id_list Assigned to $dept_name");
						}
			}
			else
			{
			 	echo get_err_div("No product or department or operator is selected for assignement.");
			}					
		}		
## change Active/inactive status
	if ($_GET['chgastatus']==1)
	{  	
		$str_table_name = "tbl_tickets" ;
		$str_fields_values = "ticket_flag='".$_GET['status']."'";
		$str_filter = "ticket_id='".$_GET['st_id']."'";
		$up = update_into_db($str_table_name,$str_fields_values,$str_filter);
		if($up)
		{
				$ticket_id=$_GET['st_id'];
				$ticket_status= $_GET['status']=="0"? "Opened" : "Closed";
				$res_ticket_detial=select_from_db("tbl_tickets","dept_id,ticket_name,ticket_email,ticket_subject,ticket_priority,opera_id","ticket_id='".$ticket_id."'");
				list($dept_id,$ticket_name,$ticket_email,$ticket_subject,$ticket_priority,$opera_id)=mysql_fetch_row($res_ticket_detial);
				
				$ticket_status_link=TICKET_STATUS_DETAIL_PHP."?ticket_id=".encrypt_string($ticket_id);
				$opt_ticket_status_link=OPT_TICKET_DETAIL_PHP."?ticket_id=".$ticket_id;
				
				$res_mail = select_from_db("admin_automail","*","mid='5'");
				$row_mail=mysql_fetch_assoc($res_mail);
				$mail_subject=stripslashes($row_mail['subject']);
				$mail_message=stripslashes($row_mail['message']);
				# get the password of the user
						$str_pass=get_field("tbl_member","password","member_email='".addslashes($ticket_email)."'");
				
				# mail to member who open the ticket
				$search=array("[username]","[ticket_id]","[ticket_subject]","[status]","[taken_by]","[site_url]","[sitename]","[ticket_status_link]","[user_mail]","[user_password]");
				$replace=array(ucfirst($ticket_name),$ticket_id,$ticket_subject,$ticket_status,"Admin",SITE_PATH,$sitename,$ticket_status_link,$ticket_email,$str_pass);
				$subj = str_replace($search, $replace, $mail_subject);
				$mess = str_replace($search, $replace, $mail_message);
				send_mail($mess,ADMIN_MAIL,'',$ticket_email,$ticket_name,$subj,$ticket_priority,REPLY_TO); 
				
			
			/*	# mail to admin about ticket status change
				$search=array("[username]","[ticket_id]","[ticket_subject]","[status]","[taken_by]","[site_url]","[sitename]","[ticket_status_link]");
				$replace=array("Admin",$ticket_id,$ticket_subject,$ticket_status,ucfirst($ticket_name),SITE_PATH,$sitename,$ticket_status_link);
				$subj = str_replace($search, $replace, $mail_subject);
				$mess = str_replace($search, $replace, $mail_message);
				send_mail($mess,ADMIN_MAIL,'',ADMIN_MAIL,"Admin",$subj,$ticket_priority);
			*/	
				
				
				if ($opera_id>0)  #mail to operator if assigned to the ticket
				{
					if(check_operator_setting($opera_id, "admin_ticket_status_change") ) // check the operator notify setting
					{
						$res_opera_detial=select_from_db("tbl_operators","opera_user,opera_email","opera_id='".$opera_id."'");
						list($opera_name,$opera_email)=mysql_fetch_row($res_opera_detial);
						$search=array("[username]","[ticket_id]","[ticket_subject]","[status]","[taken_by]","[site_url]","[sitename]","[ticket_status_link]");
						$replace=array(ucfirst($opera_name),$ticket_id,$ticket_subject,$ticket_status,"Admin",SITE_PATH,$sitename,$opt_ticket_status_link);
						$subj = str_replace($search, $replace, $mail_subject);
						$mess = str_replace($search, $replace, $mail_message);
						send_mail($mess,ADMIN_MAIL,'',$opera_email,$opera_name,$subj,$ticket_priority,REPLY_TO); 
					}	
				}
				else # mail to all operators of department & its sub departments 
				{
					$tmp_tbl_names="tbl_relationship as rel LEFT OUTER JOIN tbl_departments as dept ";
					$tmp_str_join_cond = "dept.dept_id = rel.dept_id";
					$tmp_str_cond=" rel.dept_id='".$dept_id."' OR dept.cat_id = '".$dept_id."'";
					$res_operatos= select_from_db($tmp_tbl_names,"opera_id",$tmp_str_cond,"","",$tmp_str_join_cond);
					while($row_opera=mysql_fetch_assoc($res_operatos))
					{
						if(check_operator_setting($row_opera["opera_id"], "admin_ticket_status_change") ) // check the operator notify setting
						{
							$res_opera_detial=select_from_db("tbl_operators","opera_user,opera_email","opera_id='".$row_opera["opera_id"]."'");
							list($opera_name,$opera_email)=mysql_fetch_row($res_opera_detial);
							//echo $opera_name."<BR>";
							$search=array("[username]","[ticket_id]","[ticket_subject]","[status]","[taken_by]","[site_url]","[sitename]","[ticket_status_link]");
							$replace=array(ucfirst($opera_name),$ticket_id,$ticket_subject,$ticket_status,"Admin",SITE_PATH,$sitename,$opt_ticket_status_link);
							$subj = str_replace($search, $replace, $mail_subject);
							$mess = str_replace($search, $replace, $mail_message);
							send_mail($mess,ADMIN_MAIL,'',$opera_email,$opera_name,$subj,$ticket_priority,REPLY_TO); 
						}	
					}
				}
		}
	}

## code to params creation
	$str_params="&s_name=".urlencode($s_name);
	$str_params.="&s_id=".urlencode($s_id);	
	$str_params.="&s_subject=".urlencode($s_subject);	
	$str_params.="&s_priority=".urlencode($s_priority);	
	$str_params.="&s_date=".urlencode($s_date);	
	$str_params.="&s_status=".urlencode($s_status);	
	$str_params.="&s_prod_id=".urlencode($s_prod_id);	
	$str_params.="&sea_prod_id=".urlencode($sea_prod_id);	
	$str_params.="&search_by=".urlencode($search_by);	
	$str_params.="&search_by_string=".urlencode($search_by_string);	
## code for select query condition Creation
		$arr_cond[]="a.ticket_priority=b.prior_id";
		//$arr_cond[]="a.dept_id=c.dept_id";
		//$arr_cond[]="a.opera_id=d.opera_id";
		if($s_prod_id!="")
			$arr_cond[]=" a.prod_id='$s_prod_id'";
		if($search_by!="" && $search_by_string!="")
		{
		$arr_cond[]=" a.$search_by LIKE '%$search_by_string%'";
		}
		if($s_name!="")
			$arr_cond[]=" a.ticket_name LIKE '$s_name%'";
		if($s_id!="")
			$arr_cond[]=" a.ticket_id ='$s_id'";
		if($s_subject!="")
			$arr_cond[]="a.ticket_subject LIKE '$s_subject%'";
		if($s_priority!="")
			$arr_cond[]=" a.ticket_priority = '$s_priority'";
		if($s_subject!="")
			$arr_cond[]=" a.ticket_subject LIKE '$s_subject%'";
		if($s_dept!="")
			$arr_cond[]=" c.dept_name  LIKE '$s_dept%'";
		if($s_date!="")
		{
			$from_date=strtotime($s_date." 00:00:00");
			$to_date=strtotime($s_date." 23:59:59");
			$arr_cond[]=" a.ticket_date  BETWEEN '".$from_date."' AND '".$to_date."' ";
		}	
		if($s_status!="")
			$arr_cond[]=" a.ticket_flag = '$s_status'";
		
		$str_cond= is_array($arr_cond) ? implode(" and ", $arr_cond)  : "" ;


	
## code for get sort condition filter		
		if($sort=="") 	//-- by default registeration date descending
		{  
			$i_disp=1;
			$str_order ="ticket_date desc ";
			$sort = "-4";
		}
		elseif($sort == "1") 		$str_order=" a.ticket_id asc";
		elseif($sort == "-1") 		$str_order=" a.ticket_id desc";	
		elseif($sort == "2") 		$str_order=" a.ticket_subject asc";
		elseif($sort == "-2") 		$str_order=" a.ticket_subject desc";	
		elseif($sort == "3") 		$str_order=" a.ticket_priority asc";
		elseif($sort == "-3") 		$str_order=" a.ticket_priority desc";	
		elseif($sort == "4") 		$str_order=" a.ticket_date asc";
		elseif($sort == "-4") 		$str_order=" a.ticket_date desc";	


## to get start for paging
	if ($start=="")
		$start=0;
		
## get total rows without limits
	$str_tablename = " tbl_priorities b , tbl_tickets a LEFT JOIN tbl_departments c ON a.dept_id=c.dept_id LEFT JOIN tbl_product e ON c.prod_id = e.prod_id LEFT JOIN tbl_operators d ON a.opera_id=d.opera_id ";
	//$str_join_cond = "a.opera_id=d.opera_id";
	$num_rows = get_total_rows($str_tablename,"ticket_id",$str_cond,"","",$str_join_cond);
	
## get data by applying limit
	
	$str_limits =  $start.",".$RECORDS_PER_PAGE; 
	$str_field_names="a.*, b.prior_name, c.dept_name, d.opera_user, e.prod_name ";
	$str_group_by="";
	$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond, $str_group_by);

## To change the value of start if all records from last page are deleted. go to prevoius page.
	if ( $res_data && @mysql_num_rows($res_data) == 0)
	{	
		if ($start!= 0)
		{
			$start = $start - $RECORDS_PER_PAGE;
			if ($start < 0)
				$start = 0;
			$str_limits 	= $start.",".$RECORDS_PER_PAGE;	
			$num_rows = get_total_rows($str_tablename,"ticket",$str_cond);
			$res_data = select_from_db($str_tablename,$str_field_names,$str_cond,$str_order,$str_limits,$str_join_cond);
		}
	}
	
	
# get help section
$arr_help=get_help("1,3,6");
while (list($key, $value) = each($arr_help))
{
 echo "<div id='help_data_$key' style='display:none;'>".$value["help_text"]."</div>";
}
?>	
<?php include("header.php"); ?>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/checkbox_functions.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<link rel="stylesheet" type="text/css" media="all" href="<?php echo $site_path ; ?>javascript/calendar/calendar-win2k-cold-1.css" title="win2k-cold-1" />
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar.js"></script>
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar-en.js"></script>
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar-setup.js"></script>
<script language="javascript" src="<?php echo $site_path; ?>javascript/ajax_request_handler.js"></script>
<SCRIPT LANGUAGE = 'JavaScript' type='text/javascript'>
	function get_operator()
	{
				parameters="action=get_operator";
				str_dept	=document.getElementById("sel_dept").value;
				if(str_dept!='')
				{
					parameters=parameters+"&sel_dept="+str_dept;
					document.getElementById('show_opt').innerHTML="<img src='<?php echo SITE_PATH;?>images/ajax-loader.gif' />";
				}
				getData('POST','<?php echo SITE_PATH;?>ajax_process.php',parameters,"show_opt",1)
			
	}
</SCRIPT>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/nodropin.js"></script>
		<div id="dropin" style="background-color: #CCCCCC; position:absolute; visibility: hidden; z-index: 1000000;
		left: 300px; width: 350px; padding:5px 5px; border: 1px solid #2E2E2E;	background-color:#FFFFFF;  ">
			<div align="right">
				<font face="Tahoma" size="1">
		  			<a href="#" onClick="dismissbox();return false">[Close]</a>
		  		</font>&nbsp;&nbsp;
				<hr  size="1px"/>
		  	</div>
		  	<div id="help_div" class="text"></div>	
		</div>
<form name="frm_manage" method="post" action="<?php echo $_SERVER['PHP_SELF'];?>">
<input type="hidden" name="txt_email" id="txt_email" value="<?php echo $txt_email;?>" />
<BR />
<table border="0" width="98%" align="center" cellpadding="1" cellspacing="1">
<tr>
<td width="26%" class="title">&nbsp;Search ticket By : 
<select name="search_by" id="search_by">
<option value="" <?php echo $search_by=="" ? "Selected" : ""; ?>>Select Field</option>
<option value="ticket_email" <?php echo $search_by=="ticket_email" ? "Selected" : ""; ?>>Email Address</option>
<option value="ticket_request" <?php echo $search_by=="ticket_request" ? "Selected" : ""; ?>>Ticket Message</option>
</select></td>
<td width="68%"><input type="text" name="search_by_string" id="search_by_string" value="<?php echo $search_by_string;?>" /></td>
<td width="3%"></td>
<td width="3%">&nbsp;</td>
</tr>
<tr>
  <td colspan="2" class="title">Search  for Product :
    <select name="s_prod_id" id="s_prod_id" onchange="document.frm_manage.submit();" >
      <option value="">All Products </option>
      <?php $resp=select_from_db("tbl_product","prod_id,prod_name","status='1'"); 
							   while($rowp=mysql_fetch_assoc($resp)) {	?>
      <option value="<?php echo $rowp["prod_id"];?>" <?php echo $s_prod_id==$rowp["prod_id"] ? "selected" : "" ; ?>><?php echo $rowp["prod_name"];?></option>
      <?php } ?>
    </select></td>
  <td></td>
  <td>&nbsp;</td>
</tr>
</table>
<BR />
<?php  
if($str_err)
 { echo get_err_div($str_err); } 
?>
 
<table width="98%" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
              <tbody>
                <tr>
                  <th width="4%" align="center"></th>
                  <th colspan="2" align="left"><?php echo  $page_heading;?></th>
                  <th width="15%" align="left">&nbsp;</th>
                  <th width="15%" align="left">&nbsp;</th>
                  <th width="9%" align="left">&nbsp;</th>
                  <th width="7%" align="left">&nbsp;</th>
                  <th width="9%" align="center">&nbsp;</th>
                  <th colspan="2" align="right"><a  href="<?php echo MNG_TICKET_PHP;?>">Clear Search</a></th>
                  </tr>
                <tr>
			  	<td align="center"><a onmouseover="this.style.cursor='pointer';" onclick="initbox2('help_div_1',event,'<?php echo "help_data_1"; ?>', '<?php echo $arr_help[1]["help_type"]; ?>'); return false;" title='Click me for help'> <img src="<?php echo SITE_PATH."images/help_icon.gif";?>" width="16" height="16" border="0" /></a></td>
                <td width="7%" align="left"><input name="s_id" type="text" id="s_id" value="<?php echo $s_id;?>"  size="8"></td>
                <td width="22%" align="left"><input name="s_subject" type="text" id="s_subject" value="<?php echo $s_subject;?>"  size="25" /></td>
                <td align="left"><input name="s_name" type="text" id="s_name" value="<?php echo $s_name;?>"  size="10" /></td>
                <td align="left"><!--<input name="s_parent"   value="<?php echo $s_parent;?>" size="10"  type="text">-->
                  <input name="s_dept" type="text" id="s_dept" value="<?php echo $s_dept;?>"  size="15" /></td>
                <td align="left"><select name="s_priority"  id="s_priority">
                  <option value="">All</option>
                 
                      <?php $resp=select_from_db("tbl_priorities","prior_id,prior_name","","prior_id desc"); 
					   while($rowp=mysql_fetch_assoc($resp)) {	?>
					    <option value="<?php echo $rowp["prior_id"];?>" <?php echo $s_priority== $rowp["prior_id"] ? "selected": ""; ?>><?php echo $rowp["prior_name"];?></option>
                      <?php } ?>
                    </select></td>
				<td align="left">
				<input name="s_date" class="textfield" id="s_date" size="8" value="<?php echo $s_date;?>" type="text" />
				<script type="text/javascript">	  
					 Calendar.setup({
					 inputField	 :	"s_date",	 // id of the input field
					 ifFormat	 :	"y-mm-dd",	  // format of the input field
					 button		 :	"s_date",  // trigger for the calendar (button ID)
					 align		 :	"Bl",		   // alignment (defaults to "Bl")
					 singleClick :	true
					});
					</script>				</td>
				<td align="center"><select class="textfield" name="s_status">
                  <option value="">All</option>
                  <option value="1" <?php echo $s_status=="1"?"selected": "" ; ?>>Close</option>
                  <option value="0" <?php echo $s_status=="0"?"selected": "" ; ?>>Open</option>
                </select></td>
				<td width="8%" align="center"><input name="search" value="search"   type="submit" /></td>
				<td width="4%" align="center">
				<input type="submit" name="del_all" value="Delete"  title="Delete selected"  onClick="return action_check(document.frm_manage.chk_all,document.frm_manage.chk,'delete')" >
				</td>
              </tr>
              <tr>
			 	<th align="center"><a onmouseover="this.style.cursor='pointer';" onclick="initbox2('help_div',event,'<?php echo "help_data_3"; ?>', '<?php echo $arr_help[3]["help_type"]; ?>'); return false;" title='Click me for help'> <img src="<?php echo SITE_PATH."images/help_icon.gif";?>" width="16" height="16" border="0" /> </a></th>
              	<th align="left">
				<?php echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort1"."'>Ticket ID</a>";
					 	echo $imgsort[1] == 1 ? "<img src='".$imgsort[0] ."' border='0'>&nbsp;" : "";?>				</th>     
             	<th align="left">
				<?php echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort2"."'>Subject</a>";
					 	echo $imgsort[1] == 2 ? "<img src='".$imgsort[0] ."' border='0'>&nbsp;" : "";?>				</th>
             	<th align="left">Member</th>
             	<th align="left">Department  : operator </th>
				<th align="left"><?php echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort3"."'>Priority</a>";
					 	echo $imgsort[1] == 3 ? "<img src='".$imgsort[0] ."' border='0'>&nbsp;" : "";?></th>     
             	<th align="left"><?php echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort4"."'>Date</a>";
					 if($i_disp ==1 )
						echo("<img src='".$sortimg_path."' border='0'>&nbsp;");
					 else 
						$i_desp=0 ;
					echo $imgsort[1] == 4 ? "<img src='".$imgsort[0] ."' border='0'>&nbsp;" : "" ; 
				?></th>     
             	<th align="center">Status</th>    
			    <th align="center">Detail</th>
			    <th align="center">&nbsp;</th>
              </tr>
			<?php 
			if (@mysql_num_rows($res_data)> 0) 
			{ 
				$cntr=$start+1;
				while($row = @mysql_fetch_assoc($res_data) )
					{
						
						$id=$row["ticket_id"];
						$dept_name= stripslashes($row["dept_name"]);
						$opera_user=stripslashes($row["opera_user"]);
						$ticket_subject=stripslashes($row["ticket_subject"]);
						$ticket_priority=stripslashes($row["prior_name"]);
						$ticekt_name= stripslashes($row["ticket_name"]);
						$product_name=stripslashes($row["prod_name"]);

						$ticket_date=date("Y-m-d",$row["ticket_date"]);
						$i_status=$row['ticket_flag'] ;
						$str_status = $i_status=="0"?"Inactive":"Active";
						$row_class = $row_class=="row0" || $row_class=="" ? "row1": "row0";	
			?>
					<tr valign="top" class="<?php echo $row_class;?>">
						<td align="center"><?php echo $cntr;?></td>
						<td align="left"><?php echo $id;?></td>
						<td align="left">
						<a title="Detail" href="<?php echo TICKET_DETAIL_PHP."?ticket_id=".$id."&str_params=".@base64_encode($str_params."&start=$start"); ?>">
						<?php echo limit_string_length($ticket_subject,35);?>						</a></td>
						<td align="left"><?php echo $ticekt_name;?></td>
						<td align="left"><?php echo limit_string_length($dept_name,50);?>(<?php echo $product_name;?>)<?php  if ($opera_user!="") {echo " : ".limit_string_length($opera_user,20); }?></td>
						<td align="left"><?php echo $ticket_priority;?></td>
						<td align="left"><?php echo $ticket_date;?></td>
						<td align="center"><a href="<?php echo ADD_EDIT_DEPT_PHP."".@base64_encode($str_params);?>">
						  <?php 
							$querystring=$_SERVER['PHP_SELF']."?chgastatus=1&st_id=".$id."&start=$start".$str_params;    	
							if($i_status!=1)
							{
								$querystring.="&status=1";
								$st_lnk ='<span title="Change Status"><a href='.$querystring.'><font color="#FF0000">Open</font></a></span>';
							}
							else
							{
								$querystring.="&status=0";
								$st_lnk ='<span title="Change Status"><a href='.$querystring.'><font color="#00FF00">Close</font></a></span>';
							}
							
							echo $st_lnk;
							?>
						</a></td>
						<td align="center"><a title="Reply" href="<?php echo TICKET_DETAIL_PHP."?ticket_id=".$id."&str_params=".@base64_encode($str_params."&start=$start");?>"><img src="<?php echo SITE_PATH;?>images/reply_button.gif"  border="0"  /></a></td>
						<td align="center"><input id="chk" name="chk[]" value="<?php echo $id;?>" onclick="return check_single(document.frm_manage.chk_all,document.frm_manage.chk);" type="checkbox"></td>
					</tr>		
			<?php 	$cntr++;
					} #closing of while ?>			
			<tr align="center">
			  <td align="center">&nbsp;</td>
			  <td colspan="7" align="center" >
			  <?php	
			  		/*$page=navigation($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'], $str_params,''); #paging	 		
					 echo $page;*/
				$navigation= navigation_new($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'],$str_params);
					 echo($navigation[1]."&nbsp;".$navigation[2]."&nbsp;".$navigation[3]);
					 	?>			  </td>
			  <td align="center">Select All </td>
			  <td align="center"><input type="checkbox" id="chk_all" name="chk_all" value="1" onclick="return check_all(this,document.frm_manage.chk);" /></td>
			  </tr>
			
			<tr align="center">
			  <td colspan="10" class="row0" align="right">
                <table border="0" class="shows" cellpadding="2" cellspacing="2">
					<tr class="row1">
					  <td><a onmouseover="this.style.cursor='pointer';" onclick="initbox2('help_div',event, '<?php echo "help_data_6"; ?>','<?php echo $arr_help[6]["help_type"]; ?>'); return false;" title='Click me for help'> <img src="<?php echo SITE_PATH."images/help_icon.gif";?>" width="16" height="16" border="0" /> </a></td>
					  <td>Assigned selected ticket To : </td>
					  <td><select name="sea_prod_id" id="sea_prod_id" onchange="document.frm_manage.submit();" >
						  <option value="">Select Products </option>
						  <?php $resp=select_from_db("tbl_product","prod_id,prod_name","status='1'"); 
												   while($rowp=mysql_fetch_assoc($resp)) {	?>
						  <option value="<?php echo $rowp["prod_id"];?>" <?php echo $sea_prod_id==$rowp["prod_id"] ? "selected" : "" ; ?>><?php echo $rowp["prod_name"];?></option>
						  <?php } ?>
						</select></td>
					  <td><select name="sel_dept" id="sel_dept" onChange="if(this.value!=''){get_operator(); }">
									<option value="">Select Department </option>
								  <?php 
								  if($sea_prod_id!="") 
								  {
								  $str_condition = "cat_id = '0'";
								  if($sea_prod_id!="")
								  	  $str_condition .=" and prod_id='".$sea_prod_id."'";
								  $resp=select_from_db("tbl_departments","dept_id,dept_name",$str_condition); 
								   while($rowp=mysql_fetch_assoc($resp)) {	?>
								   <option value="<?php echo $rowp["dept_id"];?>" <?php echo $sel_dept==$rowp["dept_id"] ? "selected" : "" ; ?>><?php echo $rowp["dept_name"];?></option>
								  <?php 
										$res_sub=select_from_db("tbl_departments","dept_id,dept_name","cat_id='".$rowp["dept_id"]."'"); 
								   while($row_sub=mysql_fetch_assoc($res_sub)) 
								   {	
								  ?>		
									<option value="<?php echo $row_sub["dept_id"];?>" <?php echo $sel_dept==$row_sub["dept_id"] ? "selected" : "" ; ?>> -><?php echo $row_sub["dept_name"];?></option>	
								<?php }
									}
								  } ?> 
								  </select></td>
					  <td><div id="show_opt"></div><script language="javascript" type="text/javascript">get_operator();</script></td>
					  <td><input type="submit" name="assign_all" value="assign"  title="Assign selected"  onClick="return action_check(document.frm_manage.chk_all,document.frm_manage.chk,'assign')" > </td>
					</tr>
				  </table></td></tr>
              </tbody></table>
<?php }
else {  ?>	
	<table width="98%" height="250" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
					<tr>
					  <th width="66%" align="center"><span class="error"><?php echo ERR_NO_RESULT;?></span></th>
					  </tr>
	</table>				
<?php } ?>	
</form>	

<?php require_once("footer.php"); ?>