<?php
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: view_ticket_transfer_log.php
	# Updated: 09-05-08 Mudassir Shaikh  
	# Status: open
	# Purpose: to view the assignment of tickets.
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once("../includes/config.php");
	require_once("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/admin_filenames.php");
	require_once("../includes/err_msg.php");
	
	$debug_mode = 0;

##  Specify title of page
	$page_heading="View Ticket Transfer Log";

##  to get search field
	$start			= trim($_REQUEST['start']);
	$sort			= trim($_REQUEST['sort']);
	$s_ticket		= trim($_REQUEST['s_ticket']);
	$s_assigned_by  = trim($_REQUEST['s_assigned_by']);
	$s_assigned_to  = trim($_REQUEST['s_assigned_to']);
	$s_date 		= trim($_REQUEST['s_date']);	
	$s_status		= trim($_REQUEST['s_status']);
	$str_err		= trim($_REQUEST["str_err"]);
	if(isset($_POST["search"]))
	{
	 $str_err="";
	}

## code for select query condition Creation
		if($s_ticket!="")
			$arr_cond[]=" ticket_id like '$s_ticket%'";

		if($s_assigned_by!="")
			$arr_cond[]=" c.opera_user like '$s_assigned_by%'";
			
		if($s_assigned_to!="")
			$arr_cond[]=" b.opera_user like '$s_assigned_to%'";	
		
		if($s_date!="")
			$arr_cond[]=" assign_date  Like '$s_date%'";
		
		if($s_status!="")
			$arr_cond[]=" status = '$s_status'";
	
		if (is_array($arr_cond))
			$str_cond = implode(" and ", $arr_cond);
		else
			$str_cond = "";
	
## code for get sort condition filter		
		if($sort=="") 	//-- by default registeration date descending
		{  
			$i_disp=1;
			$str_order="assign_date desc";
			$sort = "-4";
		}
		elseif($sort == "1") 		$str_order=" ticket_id asc ";
		elseif($sort == "-1") 		$str_order=" ticket_id desc ";	
	    elseif($sort == "2") 		$str_order=" assign_by asc ";
		elseif($sort == "-2") 		$str_order=" assign_by desc ";
		elseif($sort == "3") 		$str_order=" assign_to asc ";
		elseif($sort == "-3") 		$str_order=" assign_to desc ";
		elseif($sort == "4") 		$str_order=" assign_date asc ";
		elseif($sort == "-4") 		$str_order=" assign_date desc ";	

## to get start for paging
	if ($start=="")
		$start=0;
		
## get total rows without limits
	$str_tablename = " tbl_assign_log a LEFT JOIN tbl_operators b ON a.assign_to = b.opera_id LEFT JOIN tbl_operators c ON a.assign_by = c.opera_id";
	$num_rows = get_total_rows($str_tablename,'log_id',$str_cond);
	
## get data by applying limit
    //$debug_mode=0;
	
	$str_join_cond = "";
	$str_limits =  $start.",".$RECORDS_PER_PAGE; 
	$str_field_names="a.*,b.opera_user as given_to,c.opera_user as given_by";
	$res_data = select_from_db($str_tablename,$str_field_names,$str_cond,$str_order,$str_limits,$str_join_cond);
 
	

## To change the value of start if all records from last page are deleted. go to prevoius page.
	if ( $res_data && @mysql_num_rows($res_data) == 0)
	{	
		if ($start!= 0)
		{
			$start = $start - $RECORDS_PER_PAGE;
			if ($start < 0)
				$start = 0;
			$str_limits 	= $start.",".$RECORDS_PER_PAGE;	
			$num_rows = get_total_rows($str_tablename,'log_id',$str_cond);
			$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);
		}
	}
	
?>	
<?php include("header.php"); ?>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/checkbox_functions.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<link rel="stylesheet" type="text/css" media="all" href="<?php echo $site_path ; ?>javascript/calendar/calendar-win2k-cold-1.css" title="win2k-cold-1" />
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar.js"></script>
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar-en.js"></script>
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar-setup.js"></script>
<form name="frm_manage" method="post" action="<?php echo $_SERVER['PHP_SELF'];?>"><BR />
<?php  
if($str_err) 
	{ 
	 echo get_err_div($str_err);
	} 
?>
<table width="90%" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
              <tbody>
                <tr>
                  <th align="center"></th>
                  <th width="20%" align="left"><?php echo  $page_heading;?></th>
                  <th align="left">&nbsp;</th>
				  <th>&nbsp;</th>
				  <th>&nbsp;</th>
				  <th colspan="2"><a href="<?php echo VIEW_TICKET_TRANSFER_LOG_PHP; ?>">Clear Search</a></th>
				  </tr>
                <tr>
			  	<td width="3%" align="center"></td>
				<td><input name="s_ticket"  class="textfield" value="<?php echo $s_ticket;?>"  size="18" type="text"></td>
                <td width="25%" align="left"><input name="s_assigned_by"  class="textfield" value="<?php echo $s_assigned_by;?>"  size="25" type="text"></td>
				<td width="22%" align="left"><input name="s_assigned_to"  class="textfield" value="<?php echo $s_assigned_to;?>"  size="25" type="text"></td>
				<td width="18%" align="left"><input name="s_date" class="textfield" id="s_date" size="15" maxlength="11" value="<?php echo $s_date;?>" type="text">
					<script type="text/javascript">	  
					 Calendar.setup({
					 inputField	 :	"s_date",	 // id of the input field
					 ifFormat	 :	"y-mm-dd",	  // format of the input field
					 button		 :	"s_date",  // trigger for the calendar (button ID)
					 align		 :	"Bl",		   // alignment (defaults to "Bl")
					 singleClick :	true
					});
					</script>				</td>
				
				<td>
				<!--<select class="textfield" name="s_status">
						<option value="">All</option>
						<option value="1" <?php echo $s_status=="1"?"selected": "" ; ?>>Active</option>
						<option value="0" <?php echo $s_status=="0"?"selected": "" ; ?>>Inactive</option>
				</select>-->				</td>
				<td width="8%"><input name="search" value="search"   type="submit"></td>
                </tr>
              <tr>
			  <th align="center">#</th>
               
			   <th align="left">
				<?php
				 echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort1"."'>Ticket id</a>";
    				if($imgsort[1] == 1)
						echo "<img src='".$imgsort[0] ."' border='0'>&nbsp;"; 
				 ?>				</th>  
				 
               <th align="left">
				<?php
				 echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort2"."'>Assigned By</a>";
    				if($imgsort[1] == 2)
						echo "<img src='".$imgsort[0] ."' border='0'>&nbsp;"; 
				?>				</th>     
				
				<th align="left">
				<?php
				 echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort3"."'>Assigned To</a>";
    				if($imgsort[1] == 3)
						echo "<img src='".$imgsort[0] ."' border='0'>&nbsp;"; 
				?>				</th>     
				
             	<th width="18%" align="left">
				<?php
				echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort4"."'>Date</a>";
				if($i_disp == 1) #Loop for dispaly default sorting applied on listing
				{ 
				echo "<img src='".$sortimg_path."' border='0'>&nbsp;"; 
				$i_disp=0; 
				}
    			if($imgsort[1] == 4)
					echo "<img src='".$imgsort[0] ."' border='0'>&nbsp;"; 
				?>				</th>
				<th width="4%" align="left">
				<!--<?php
				 echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort5"."'>Status</a>";
    				if($imgsort[1] == 5)
						echo "<img src='".$imgsort[0] ."' border='0'>&nbsp;"; 
				?>	-->			</th>
				<th>&nbsp;</th>
             	</tr>
			<?php 
			if (@mysql_num_rows($res_data)> 0) 
			{ 
				$cntr=$start+1;
				while($row = @mysql_fetch_assoc($res_data) )
					{
						$id=$row["ticket_id"];
						$assign_by= stripslashes($row["given_by"]);
						$assign_to=$row["given_to"];
						$anmnt_date=date('d:F:Y H:i',$row["assign_date"]);
						$i_status=$row['status'] ;
						$str_status = $i_status=="0"?"Inactive":"Active";
						$row_class = $row_class=="row0" || $row_class=="" ? "row1": "row0";	
					?>
					<tr class="<?php echo $row_class;?>">
						<td align="center"><?php echo $cntr;?></td>
						<td align="left">
						 <a href="<?php echo TICKET_DETAIL_PHP."?ticket_id=".$id;?>"><?php echo $id;?></a>						</td>
						<td align="left">
							<?php 
							if($assign_by!="")
							{
							 echo limit_string_length($assign_by,50);
							}
							else
							{
							 echo "Admin";
							} 
												
							?>						</td>
						<td><?php echo $assign_to;?></td>
						<td align="left"><?php echo $anmnt_date;?></td>
						<td>
						<!--<?php 
							$querystring=$_SERVER['PHP_SELF']."?chgastatus=1&st_id=".$id."&start=$start".$str_params;    	
							if($i_status!=1)
							{
								$querystring.="&status=1";
								$st_lnk ='<span title="Change Status"><a href='.$querystring.'><font color="#FF0000">Inactive</font></a></span>';
							}
							else
							{
								$querystring.="&status=0";
								$st_lnk ='<span title="Change Status"><a href='.$querystring.'><font color="#00FF00">Active</font></a></span>';
							}
							
							echo $st_lnk;
							?>-->						</td>
						<td>&nbsp;</td>
						</tr>		
			<?php 	$cntr++;
					} #closing of while ?>			
			<tr align="center">
			  <td align="center">&nbsp;</td>
			  <td colspan="6" align="center" >
			  <?php	
			  		/*$page=navigation($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'], $str_params,''); #paging	 		
					 echo $page;*/
				$navigation= navigation_new($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'],$str_params);
					 echo($navigation[1]."&nbsp;".$navigation[2]."&nbsp;".$navigation[3]);
			?></td>
			  </tr>
			</tbody></table>
<?php }
else {  ?>	
	<table width="90%" height="250" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
					<tr>
					  <td width="65%" align="center"><span class="error"><?php echo ERR_NO_RESULT;?></span></td>
					  </tr>
	</table>				
<?php } ?>	
</form>	
<?php include("footer.php");?>