<?php 
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: add_edit_knwbase.php
	# Updated: 06-05-08 by Mudassir Shaikh  
	# Status: open
	# Purpose: give add/edit knowledgebase facility to operator.
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once ("../includes/config.php");
	require_once ("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once ("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/err_msg.php");
	require_once("../includes/operator_filenames.php");
	$debug_mode =0;
##  Specify title of page
	$page_heading="Notification Setting";
	$str_params=$_REQUEST['str_params'];


## code to save details
	if(isset($_POST["submit"]))
	{
		# assignment to the local variable & genrate error message if requried field are left blank
		$admin_ticket_assign= isset($_POST["admin_ticket_assign"]) ? $_POST["admin_ticket_assign"] : '0';
		$opt_ticket_assign  = isset($_POST["opt_ticket_assign"]) ? $_POST["opt_ticket_assign"] : '0';
		$admin_ticket_reply  = isset($_POST["admin_ticket_reply"]) ? $_POST["admin_ticket_reply"] : '0';
		$user_ticket_reply = isset($_POST["user_ticket_reply"]) ? $_POST["user_ticket_reply"] : '0'; 
		$admin_ticket_status_change  = isset($_POST["admin_ticket_status_change"]) ? $_POST["admin_ticket_status_change"] : '0';
		$opt_ticket_status_change= isset($_POST["opt_ticket_status_change"]) ? $_POST["opt_ticket_status_change"] : '0';
		if($str_err=="")
		{
			$str_field_values = "admin_ticket_assign='".$admin_ticket_assign."'";
			$str_field_values.= ",opt_ticket_assign='".$opt_ticket_assign."'";
			$str_field_values.= ",admin_ticket_reply='".$admin_ticket_reply."'";
			$str_field_values.= ",user_ticket_reply='".$user_ticket_reply."'";
			$str_field_values.= ",admin_ticket_status_change='".$admin_ticket_status_change."'";
			$str_field_values.= ",opt_ticket_status_change='".$opt_ticket_status_change."'";
			$str_update_cond	="opera_id='".$_SESSION["ses_opera_id"]."'";
			
			if(check_availibility("tbl_operator_setting",'id',$str_update_cond )) // update if already operator have set his setting
			{
				$anmnt_id       = update_into_db("tbl_operator_setting",$str_field_values,$str_update_cond); 
			}
			else // set the operators setting when he arrive for settings first time.
			{
				$ins_field="opera_id,admin_ticket_assign,opt_ticket_assign,admin_ticket_reply,user_ticket_reply,admin_ticket_status_change,opt_ticket_status_change";
				$ins_field_val="'".$_SESSION["ses_opera_id"]."','".$admin_ticket_assign."','".$opt_ticket_assign."','".$admin_ticket_reply."','".$user_ticket_reply."','".$admin_ticket_status_change."','".$opt_ticket_status_change."'";
				insert_into_db("tbl_operator_setting",$ins_field,$ins_field_val);
				$anmnt_id =true;
			}	
		
			if($anmnt_id== false)// for the error tracking at the time of data insertion
				$str_err =  ERR_IN_UPDATE ;
			else
			{ 
				$str_err=" Notification setting updated successfully.";
				echo get_err_div($str_err,OPT_MAIN_PHP,3000);
			}	
		}
		else
		{
			 echo get_err_div($str_err); 
		}			
	}

## code to get the detial Of selected record from database for edit
	$debug_mode=0;
	$res_data = select_from_db("tbl_operator_setting",'*',"opera_id='".$_SESSION["ses_opera_id"]."'");
	$row_data = mysql_fetch_array($res_data);
	if (@mysql_num_rows($res_data)!= 0 )
	{	
		$page_heading="Notification Setting"; 
		$admin_ticket_assign=$row_data["admin_ticket_assign"];	
		$opt_ticket_assign=$row_data["opt_ticket_assign"];	
		$admin_ticket_reply=$row_data["admin_ticket_reply"];	
		$user_ticket_reply=$row_data["user_ticket_reply"];	
		$admin_ticket_status_change=$row_data["admin_ticket_status_change"];	
		$opt_ticket_status_change=$row_data["opt_ticket_status_change"];	
	}
?>
<?php require_once("header.php"); ?>
<script language="javascript" src="<?php echo $site_path;?>javascript/form_validator.js"></script>
<script language="javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<SCRIPT LANGUAGE = "JavaScript" type="text/javascript">
function checkForm()
	{
		var req 		= new Array();
		var email 		= new Array();
		var digits 		= new Array();
		var currs 		= new Array();
		return validate(req,email,digits,currs);
	}
</SCRIPT>
                        <form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post" enctype="multipart/form-data" name="frmpage" onsubmit="">
                          <input type="hidden" name="action" value="<?php echo $action;?>" >
                          <input type="hidden" name="id" value="<?php echo $id;?>" >
                          <table width="60%" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
                            <tbody>
                              <tr>
                                <th width="375"  align="left" valign="middle"><?php  echo $page_heading ;?></th>
                                <th width="346"  align="right" valign="middle">&nbsp;</th>
                              </tr>
                              <tr class="row1">
                                <td  align="right"><label for="admin_ticket_assign"> Notify me when admin assign ticket</label></td>
                                <td  align="left"><input type="checkbox" name="admin_ticket_assign" value="1" id="admin_ticket_assign"  <?php echo $admin_ticket_assign=="1" || $admin_ticket_assign=="" ?"checked":"";?> /></td>
                              </tr>
                              <tr class="row0">
                                <td  align="right" valign="top"><label for="opt_ticket_assign">Notify me when other operator assign ticket</label> </td>
                                <td  align="left"><input type="checkbox" name="opt_ticket_assign" value="1" id="opt_ticket_assign" <?php echo $opt_ticket_assign=="1" || $opt_ticket_assign=="" ?"checked":"";?> /></td>
                              </tr>
                              <tr class="row1">
                                <td  align="right"><label for="admin_ticket_reply">Notify me when admin reply to ticket </label></td>
                                <td  align="left"><input type="checkbox" name="admin_ticket_reply" value="1" id="admin_ticket_reply" <?php echo $admin_ticket_reply=="1" || $admin_ticket_reply==""  ?"checked":"";?> /></td>
                              </tr>
                              <tr class="row1">
                                <td  align="right"><label for="user_ticket_reply">Notify me when user reply to ticket</label> </td>
                                <td  align="left"><input type="checkbox" name="user_ticket_reply" value="1" id="user_ticket_reply" <?php echo $user_ticket_reply=="1" || $user_ticket_reply=="" ?"checked":"";?> /></td>
                              </tr>
                              <tr class="row1">
                                <td  align="right"><label for="admin_ticket_status_change">Notify me when ticket Status change by admin </label></td>
                                <td  align="left"><input type="checkbox" name="admin_ticket_status_change" value="1" id="admin_ticket_status_change" <?php echo $admin_ticket_status_change=="1" || $admin_ticket_status_change==""  ?"checked":"";?> /></td>
                              </tr>
                              <tr class="row1">
                                <td  align="right"><label for="opt_ticket_status_change">Notify me when ticket Status change by operator </label></td>
                                <td  align="left"><input type="checkbox" name="opt_ticket_status_change" value="1" id="opt_ticket_status_change" <?php echo $opt_ticket_status_change=="1" || $opt_ticket_status_change==""  ?"checked":"";?> /></td>
                              </tr>
                              <tr class="row1">
                                <td  align="right"><input name="submit" type="submit"  value="Save"></td>
                                <td  align="left">&nbsp;</td>
                              </tr>
                            </tbody>
                          </table>
						  <table width="100%">
							<tr>
							 <td height="120">&nbsp;</td>
							</tr>
						  </table>
                        </form>
<?php require_once("footer.php"); ?>
