<?php
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: ticket_detail.php
	# Updated: 5-05-08 Sham Shriwastav  
	# Status: open
	# Purpose: 
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once("../includes/config.php");
	require_once("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once ("../lib/encrypt-decrytp_string.php");
	require_once("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/admin_filenames.php");
	require_once("../includes/member_filenames.php");
	require_once("../includes/operator_filenames.php");
	require_once("../includes/err_msg.php");

	//---------------------------------------------
	$debug_mode = 0;

	if($debug_mode == 1)
	{
		echo '<pre>'; print_r($_POST); echo '</pre>';
		echo '<pre>'; print_r($_FILES); echo '</pre>';
	}
	//------------- End of "SET Debug related settings" 
	
	
  $ticket_id=$_REQUEST["ticket_id"]; 
  $str_params=$_REQUEST["str_params"];   
  $prev_operator=get_field("tbl_tickets","opera_id","ticket_id='".$ticket_id."'");
  
 

 if($ticket_id=="" )
 header("location:".OPT_MNG_TICKET_PHP);

 
 
 //to display paging for ticket log history
 $start	= trim($_REQUEST['start']);
 
 ##  to delete note
	if(isset($_GET['delid']))
	{		
		$delid = $_GET['delid'];
			
		if($delid != "")
		{
			$res_del = delete_from_db("tbl_ticket_notes","note_id='$delid'",$debug_mode);
			
			if($res_del)
			{
			
			 echo get_err_div(MSG_NOTE_DELETE);
			
			}
			else
			{
			 echo get_err_div(ERR_NOTE_DELETE);
			}
			
		}
    }
	
  
 if(isset($_POST["submit"]) || $_REQUEST['sel_status'] == '1')
 {
  	$txt_reply  = $_POST["txt_reply"];
 	$sel_status = $_POST["sel_status"] == "" ? $_REQUEST['sel_status'] : $_POST["sel_status"];
	
			if($_FILES['attach']['size'] > 0) // upload file if attached
				   {		
						$temp_name= $_FILES['attach']['tmp_name'];
						$name=  $_FILES['attach']['name'];
						$type= $_FILES['attach']['type'];
						$size= $_FILES['attach']['size'];
						$destination="../attachments/";
						$maxfilesize_bytes=2000000;
						$return=multiple_file_upload($temp_name,$name,$type,$size,$destination);
						switch($return)
						{	
							case "2" :
								$str_err=ERR_MAX_UPLOAD;
								echo get_err_div($str_err);
								break;
							case "3":
								$str_err=ERR_IN_FILEUPLOAD; 
								echo get_err_div($str_err);
								break;	
								
							default:
								$upload_name=$return;
						}
					}
	
	if($str_err=="")
	{	
	  	if($sel_status==2) 
		 	$up=true;
		else 
			$up=update_into_db("tbl_tickets","ticket_flag='".$sel_status."'","ticket_id='".$ticket_id."'");
		
		if($up)
			{
				if($prev_operator ==0 || $prev_operator!=$_SESSION["ses_opera_id"])
				{
					## assign the ticket to the current operator
					$update_assign = update_into_db("tbl_tickets","opera_id='".$_SESSION["ses_opera_id"]."'","ticket_id='".$ticket_id."'");
					$log_id=insert_into_db("tbl_assign_log","assign_by,assign_to,assign_date","'".$_SESSION["ses_opera_id"]."','".$_SESSION["ses_opera_id"]."','".time()."'");
				}
					
					if($sel_status=="1")
					{
						$ticket_status="Closed";
						if($txt_reply=="")
						$ticket_msg="Ticket by ".$_SESSION["ses_opera_user"]." Closed Without reply  ";
						else
						$ticket_msg="Ticket Closed by ".$_SESSION["ses_opera_user"]." : ".stripslashes($txt_reply);
					}
					if($sel_status=="0")
					{
						$ticket_status="Re-Opened";
						$ticket_msg="Ticket Re-Opened by ".$_SESSION["ses_opera_user"];
					}
					if($sel_status=="2")
					{
						$ticket_status="Open";
						$ticket_msg=stripslashes($txt_reply);
					}
					$time=time();
					$replace_time=date('l dS \of F Y h:i:s A',$time);
					
					$res_ticket_detial=select_from_db("tbl_tickets","dept_id,ticket_name,ticket_email,ticket_subject,ticket_priority,opera_id,ticket_flag","ticket_id='".$ticket_id."'");
					list($dept_id,$ticket_name,$ticket_email,$ticket_subject,$ticket_priority,$opera_id,$ticket_flag)=mysql_fetch_row($res_ticket_detial);
					 
					$str_fields="opera_id,ticket_id,tkt_reply,tkt_rply_date,user_id ,flag,last_reply";
					$str_field_values="'".$_SESSION["ses_opera_id"]."','".$ticket_id."','".addslashes($ticket_msg)."','".$time."','0','".$ticket_flag."','Operator'";
					$reply_id= insert_into_db("tbl_ticket_replies",$str_fields,$str_field_values);
					
					if($reply_id)
					{
						if ($upload_name!="")
						{
						  update_into_db("tbl_ticket_replies","attachments='$upload_name'","tkt_rpl_id='$reply_id'");
						}
					 	//echo "done" ;
						$res_mail = select_from_db("admin_automail","*","mid='2'");
						$row_mail=mysql_fetch_assoc($res_mail);
						
						$mail_subject=stripslashes($row_mail['subject']);
						$mail_message=stripslashes($row_mail['message']);
						$ticket_status_link=TICKET_STATUS_DETAIL_PHP."?ticket_id=".encrypt_string($ticket_id);
						# get the password of the user
						$str_pass=get_field("tbl_member","password","member_email='".addslashes($ticket_email)."'");
						
						# mail to Member about ticket
						$search=array("[username]","[ticket_id]","[ticket_message]","[subject]","[status]","[taken_by]","[site_url]","[sitename]","[action_time]","[ticket_status_link]","[user_mail]","[user_password]");
						$replace=array($ticket_name,$ticket_id,$ticket_msg,$ticket_subject,$ticket_status,$_SESSION["ses_opera_user"],SITE_PATH,$sitename, $replace_time,$ticket_status_link,$ticket_email,$str_pass);
						$subj = str_replace($search, $replace, $mail_subject);
						$mess = str_replace($search, $replace, $mail_message);
						$mail_sent = send_mail($mess,ADMIN_MAIL,'Admin',$ticket_email,$ticket_name,$subj,$ticket_priority,REPLY_TO);
						
					} # closing of reply_id	
					 
					 ## code to add reply to knowledge base 
						if(isset($_POST['addto_knowledgebase']))
						{
							 echo"<pre>&nbsp;<form name='frm_add' action='".OPT_ADD_EDIT_KNWBASE_PHP."' method='post'>
							<input type='hidden' name='txt_knwbase_ans' value='".$txt_reply."' /></form></pre>
							<script language='javascript'>document.frm_add.submit();</script>";
						}
					## end of code to add reply to knowledgebase	
		}# closing of update
	} # closing of str err
} # closing of if submit


# ticket Detail
	$str_tablenames =" tbl_priorities c , tbl_tickets a LEFT JOIN tbl_departments b ";
	$str_fields="a.*, b.dept_name, c.prior_name";
	$str_cond=" a.ticket_priority=c.prior_id AND ticket_id='".$ticket_id."'";
	$str_join_cond = "a.dept_id=b.dept_id";
	
	$res_ticket=select_from_db($str_tablenames,$str_fields,$str_cond,'','',$str_join_cond);
	$row_ticket=mysql_fetch_assoc($res_ticket);
	$ticket_dept_id=$row_ticket["dept_id"];
	$dept_name= $row_ticket["dept_name"];
	$ticket_product_id=$row_ticket["prod_id"];
	if($ticket_product_id!='')
	{
	    $debug_mode = 0;
		$res_prod_details=select_from_db("tbl_product","prod_name,admin_url","prod_id='$ticket_product_id'");
		$row_prod_details=mysql_fetch_assoc($res_prod_details);
		
		 $debug_mode = 0;
		$ticket_product_name=$row_prod_details["prod_name"];
		$ticket_prod_admin_url=$row_prod_details["admin_url"];
	 	//$ticket_product_name=get_field("tbl_product","prod_name","prod_id='$ticket_product_id'");
	}
	else
	{
		$ticket_product_name = "--";
	}
	
	$ticket_name= stripslashes($row_ticket["ticket_name"]);
	$ticket_email= stripslashes($row_ticket["ticket_email"]);
	$ticket_subject= stripslashes($row_ticket["ticket_subject"]);
	$ticket_request= stripslashes($row_ticket["ticket_request"]);
	$attachments= $row_ticket["attachments"];
	$ticket_priority= $row_ticket["prior_name"];
	$ticket_date= $row_ticket["ticket_date"];
	$ticket_flag= $row_ticket["ticket_flag"];
	$opera_id= $row_ticket["opera_id"];
	if($opera_id>0)
	{
	 $opera_name=get_field("tbl_operators","opera_user","opera_id='$opera_id'");
	}
	else
	{
	 $opera_name="--";
	}


# to get ticket member id
   
	 if($ticket_email != "" )
	 {
	  $str_con_mem = "member_email='".$ticket_email."'";
	  
	  $get_memres = select_from_db("tbl_member","member_id",$str_con_mem);
		
		if($get_memres && mysql_num_rows($get_memres) > 0)
		{
		 $get_memrec   = mysql_fetch_assoc($get_memres);
		 $i_member_id  = $get_memrec['member_id'];
		} //if 
		
	  } // if($ticket_email != "" )
	 
	# ticket Reply

	## to get start for paging
		if ($start=="")
		{
			$start=0;
		}
	
	$str_tablename = "tbl_ticket_replies a LEFT JOIN tbl_operators b  ";
	$str_fields = "a.*, b.opera_user";
	$str_cond = "ticket_id='".$ticket_id."'";
	$str_orderby =" tkt_rply_date" ;

	$str_limit_reply = $start.",".$records_per_page;	
	$str_join_cond = "a.opera_id=b.opera_id";
	
	 
	$res_reply=select_from_db($str_tablename,$str_fields,$str_cond,$str_orderby,'',$str_join_cond);
	
	if ($res_reply && mysql_num_rows($res_reply) == 0)
	{	
		# get total no of rows
		$tot_reply = mysql_num_rows($res_reply);
		
		if ($start!= 0)
		{
			$start = $start - $records_per_page;
			
			if ($start < 0)
			{
				$start = 0;
			}
			
			## get data by applying limit
			$res_reply=select_from_db($str_tablename,$str_fields,$str_cond,$str_orderby,$str_limit_reply,$str_join_cond);
			$tot_reply=mysql_num_rows($res_reply);
	
	
		}
	}
	else if($res_reply && mysql_num_rows($res_reply) > 0)
	{
			# get total no of rows
			$tot_reply = mysql_num_rows($res_reply);
		
		   
			## get data by applying limit
			$res_reply=select_from_db($str_tablename,$str_fields,$str_cond,$str_orderby,$str_limit_reply,$str_join_cond);
			
			//$tot_reply=mysql_num_rows($res_reply);
	}
	
	       
    # ticket notes
     $str_cond_notes = "IF(note_type='ticket',ticket_id='".$ticket_id."', ticket_id='".$ticket_id."' OR  member_id='".$i_member_id."')";// and dept_id=".$ticket_dept_id;
	
	 $str_order_notes = "date_added DESC";
	 $str_limit_notes = "0,4";
    
	 
	 $res_count_notes_all = select_from_db("tbl_ticket_notes","*",$str_cond_notes,
	 $str_order_notes);
	 $tot_count_notes_all = mysql_num_rows($res_count_notes_all);
	 $debug_mode = 0;
	 $res_count_notes = select_from_db("tbl_ticket_notes","*",$str_cond_notes,
	 $str_order_notes,$str_limit_notes);
	 $debug_mode = 0;
	 $tot_count_notes = mysql_num_rows($res_count_notes);
	
	
	#to get count of total number of tickets by same member
	if($ticket_email != "" )
	{
	 $str_cond_tic  = "ticket_email='".$ticket_email."'";// and "dept_id=".$ticket_dept_id;
	 $res_count_tic = select_from_db("tbl_tickets","ticket_id",$str_cond_tic);
	 $tot_count_tic = mysql_num_rows($res_count_tic);
    }
	
	# str params
	//$str_params  = "ticket_id=".$ticket_id;
	
require_once("header.php");?>
<script language="javascript" type="text/javascript" src="<?php echo SITE_PATH;?>javascript/common_function.js"></script>
<script language="javascript"  type="text/javascript" src="<?php echo $site_path;?>javascript/form_validator.js"></script>
<script language="javascript" src="<?php echo $site_path; ?>javascript/ajax_request_handler.js"></script>
<script language="javascript" type="text/javascript">
		
	function checkForm()
		{
			if(document.getElementById("sel_status").value==0 || document.getElementById("sel_status").value==1)
			{
				var req 		= new Array("sel_status");
			}
			else
			{
				var req 		= new Array("sel_status","txt_reply");
			}
			var email 		= new Array();
			var digits 		= new Array();
			var currs 		= new Array();
			return validate(req,email,digits,currs);
		}
		
</script>

<form name="frm" action="<?php echo $_SERVER['PHP_SELF'];?>" enctype="multipart/form-data" method="post" onsubmit="return checkForm();">
<input type="hidden" value="<?php echo $ticket_id;?>"  id="ticket_id" name="ticket_id" />
<?php 
if($tot_count_notes_all > 0 )
{
?>
<div align="center">
<table width="80%" border="0" cellpadding="0" cellspacing="0" class="shows">
 <tr><td colspan="5" align="left"><strong>Ticket Notes</strong></td>
		</tr>
	<?php 
	 if($tot_count_notes_all > 4 )
		{
		 $win_url = OPT_VIEW_TICKET_NOTE_PHP."?ticket_id=".$ticket_id;
		 
		?>
		<tr>
		<td colspan="3">&nbsp;</td>
		<td align="right"><a href="javascript:void(0);" 
		onclick="javascript:window.open('<?php echo $win_url;?>','Notes')">More Notes</a></td>
		</tr>
		<?php
	    }//if
	if($tot_count_notes > 0 )
	{
    while($notes_rec = mysql_fetch_assoc($res_count_notes))
	 {
	  $note_id         = $notes_rec['note_id'];
	  $note_ticket_id  = $notes_rec['ticket_id'];
	  $note_added_by   = $notes_rec['note_addedby'];
	  $note_dept_id    = $notes_rec['dept_id'];
	  $note_type       = $notes_rec['note_type'];
	  $note_member_id  = $notes_rec['member_id'];
	  $note_visible_to = $notes_rec['visible_to'];
	  
	  $note_vis_array =  explode(",",$note_visible_to);
	  
	  $note_opera_id   = $notes_rec['opera_id'];
	  $note_added_on   = date('d F Y H:i A',strtotime($notes_rec['date_added']));
	  $note_contents   = $notes_rec['note_contents'];
	  
	   //if(in_array($_SESSION["ses_opera_id"],$note_vis_array))
		  {
		   if($note_added_by == 'operator')
			  {
				   $str_con_opr = "opera_id=".$note_opera_id;
				   $res_oper = select_from_db("tbl_operators","opera_user",$str_con_opr);
				   if($res_oper && mysql_num_rows($res_oper) > 0)
				   {
					$rec_oper = mysql_fetch_assoc($res_oper);
					$added_by = $rec_oper['opera_user'];
				   }
				   else
				   {
					$added_by = 'operator';
				   }
		     }//if
		     else
		     {
			  $added_by     = 'admin';
		     }
			   
			  $row_class = $row_class=="row0" || $row_class=="" ? "row1": "row0";
		   
			  $delurl = OPT_TICKET_DETAIL_PHP."?ticket_id=".$ticket_id."&delid=".$note_id;
		?>
		  <tr class="<?php echo $row_class;?>">
			<td width="22%" align="left" valign="top">Note by <?php echo $added_by;?> <br /> <?php echo $note_added_on;?></td>
			<td width="2%" align="center"  valign="top">:</td>
			<td width="64%" align="left"  valign="top">
			<table width="98%" border="0" class="shows"  cellpadding="0" cellspacing="0">
			  <tr>
			   <td><?php echo nl2br($note_contents);?></td>
			  </tr>
			 </table>
			</td>
			<td width="12%" align="right" valign="top"> <?php if($note_opera_id == $_SESSION['ses_opera_id'])
		  {
		 ?><a href="<?php echo $delurl;?>" onclick="javascript:return confirm('Are you sure you want to delete this note?');">Delete</a>
		  <?php
		  }
		  ?></td>
		  </tr>
		  
		 
		<?php
		 
		  } // if(in_array($_SESSION["ses_opera_id"],$note_vis_array))
		  
   }//while
   
  }//if
   ?>
</table>
</div>
<div style="height:20px;"></div>
<?php 
} 
?>
<div align="center">
<table width="80%" border="0" cellpadding="0" cellspacing="0" class="shows">
	<tr align="left" valign="top">
		<th>Ticket Detail</th>
	    <th>&nbsp;</th>
	    <th align="right"><table cellpadding="0" cellspacing="0" border="0">
		<TR>
		<td><a href="<?php echo OPT_MNG_TICKET_PHP."?".@base64_decode($str_params); ?>">Back </a></td>
		<td> | </td>
		<?php if($ticket_flag == '0') { ?>
		<th><a href="<?php echo OPT_TICKET_DETAIL_PHP."?ticket_id=".$ticket_id."&sel_status=1".@base64_decode($str_params); ?>">Close </a></th>
		<td> | </td>
		<?php } ?>
		<td><a href="javascript:void(0);" onclick="javascript:window.open('<?php echo OPT_ASSIGN_TICKET_PHP."?ticket_id=".$ticket_id;?>','Assign');">Assign Ticket </a></td>
		<td> | </td>
		<td><a href="javascript:void(0);" onclick="javascript:window.open('<?php echo OPT_ADD_TICKET_NOTE_PHP."?ticket_id=".$ticket_id;?>','Notes');">Add  Ticket Note</a></td>
		<td> | </td>
		<td><a href="javascript:void(0);" onclick="javascript:window.open('<?php echo OPT_VIEW_TICKET_HISTORY_PHP."?ticket_id=".$ticket_id;?>','History');">History(<?php echo $tot_count_tic;?>)</a></td>
		</TR>
		</table></th>
	</tr>
	<tr class="row0">
	  <td align="left" valign="top">Ticket Id </td>
	  <td align="center" valign="top">:</td>
	  <td align="left" valign="top"><?php echo $ticket_id;?></td>
	  </tr>
	<tr class="row1">
	  <td width="22%" align="left" valign="top">Ticket By</td>
	  <td width="2%" align="center" valign="top">:</td>
	  <td width="76%" align="left" valign="top"><?php echo ucfirst($ticket_name).", ".$ticket_email ;?></td>
	</tr>
	<tr class="row0">
	  <td align="left" valign="top">Priority</td>
	  <td align="center" valign="top">:</td>
	  <td align="left" valign="top"><?php echo $ticket_priority; ?></td>
	  </tr>
	<tr class="row1">
	  <td align="left" valign="top">Product Name</td>
	  <td align="center" valign="top">:</td>
	  <td align="left" valign="top"><?php echo $ticket_product_name; ?>  | <a href="<?php echo $ticket_prod_admin_url; ?>" target="_blank" class="link">Admin Login</a></td>
	  </tr>
	<tr class="row0"><td align="left" valign="top">Department</td>
	  <td align="center" valign="top">:</td>
	  <td align="left" valign="top"><?php echo $dept_name !=''? $dept_name : '--';?></td>
	</tr>
	<tr class="row1">
	  <td align="left" valign="top">Operator</td>
	  <td align="center" valign="top"> : </td>
	  <td align="left" valign="top"><?php echo  $opera_name; ?></td>
	  </tr>
	<tr class="row0">
	  <td align="left" valign="top">Posted On </td>
	  <td align="center" valign="top">:</td>
	  <td align="left" valign="top"><?php echo date('l dS \of F Y h:i:s A',$ticket_date);?></td>
	</tr>
	<tr class="row0">
	  <td align="left" valign="top">Subject</td>
	  <td align="center" valign="top">:</td>
	  <td align="left" valign="top"><?php echo ucfirst(wordwrap($ticket_subject,250));?>
	  <?php
	  if($attachments!='') 
	 	{
			echo"<a href='".DOWNLOAD_PHP."?attach=1&file=".$attachments."'  title='Download Attachment'>
			<img src='".SITE_PATH."images/attachment_icon.gif' border='0' /></a>";
		}  
	?>	  </td>
	</tr>
	<tr class="row1">
	  <td align="left" valign="top">Message</td>
	  <td align="center" valign="top">:</td>
	  <td align="left" valign="top"><?php echo nl2br($ticket_request);?></td>
	</tr>
	<tr class="row0">
	  <td align="left" valign="top">Status</td>
	  <td align="center" valign="top">:</td>
		  <td align="left" valign="top"><?php echo $ticket_flag=="0" ? "OPEN" : "CLOSE"; ?><BR />
		   <!-- code for reply -->
		  <span  class="left_top_links" style="cursor:pointer"  onclick="return expand_collapse2(this,'div_reply', 'exp_two');" title="Post Reply">Post Reply
		<img src="<?PHP echo SITE_PATH;?>images/btn_expand.gif" name="exp_two" border="0" />		</span>
			<div align="center" id="div_reply" style="display:none;" >
			 <table width="100%" border="0" cellpadding="0" cellspacing="0" class="shows">
			  <tr>
				  <td width="13%" valign="top">Status</td>
				  <td width="87%" align="left">
				  <select name="sel_status" id="sel_status">
				  <?php if($ticket_flag=="1") { ?>
				  <option value="0" >Re Open Ticket</option>
				  <?php } else { ?>
				  <option value="2" selected="selected" >Open</option>
				  <option value="1" >Close Ticket</option>
				  <?php } ?>
				  </select>				  </td>
			  </tr>
			 <?php if($ticket_flag!="1") { ?>
					<tr>
						<td valign="top">Message</td><td align="left"><textarea name="txt_reply" id="txt_reply" cols="80" rows="17" title="<?php echo ERR_DESC;?>"></textarea></td>
					</tr>
					<tr >
						<td colspan="2"  align="left" style="padding:0;">
							<script language="javascript">
								function give_msg()
								{
									 if(document.getElementById('addto_knowledgebase').checked==true)
									 {
									  document.getElementById('show_msg').style.display="block";
									 }
									 else
									 {
									   document.getElementById('show_msg').style.display="none";
									 }
								}
							</script>
							<table width="100%" border="0" cellpadding="0" cellspacing="0">
							  <tr><td width="234">
								<label style="font-weight:bold;" for="checkbox">Add reply to knowledgebase</label>
								<input type="checkbox"  name="addto_knowledgebase" value="addto_knowledgebase" id="addto_knowledgebase" onclick="return give_msg();" />
								</td>
							  <td width="348"><div id="show_msg" style="display:none;" class="error">You will redirected to add knowledgebase after submit.</div></td>
							  </table>						</td>
					</tr>
					<!--<tr >
					  <td  align="left">Attachment</td>
					  <td  align="left"><input name="attach" type="file" id="attach" /></td>
					</tr>-->
			<?php } ?>		
				<tr><td><input type="submit" name="submit" value="submit" /></td><td align="left"></td>
				</tr>
			 </table>
			</div>
		  <!-- End code for reply -->		  </td>
	  </tr>
</table>
</div>
<div style="height:20px;"></div>

<?php if ($tot_reply >0) { ?>
<div align="center" id="div_log">
<table width="80%" border="0" cellpadding="0" cellspacing="0" class="shows">
<tr>
<td colspan="4" align="left"><strong>Ticket log History</strong></td>
</tr>
	<?php
	 while ($row_reply=mysql_fetch_assoc($res_reply))
	{
		$tkt_rpl_id=$row_reply['tkt_rpl_id'];
		$opera_id=$row_reply["opera_id"];
		$opera_user=$row_reply['opera_user'];
		$tkt_reply=stripslashes($row_reply['tkt_reply']);
		$tkt_rply_date=date('d F Y H:i A',$row_reply['tkt_rply_date']);
		$flag=$row_reply['flag'];
		$reply_attachements=$row_reply['attachments'];
		$user_id=$row_reply['user_id'];
		$last_reply=$row_reply['last_reply'];
		$row_class = $row_class=="row0" || $row_class=="" ? "row1": "row0";	
	?>
	<tr class="<?php echo $row_class;?>">
	<td width="22%" align="left" valign="top">
		<?php
		if($user_id >0)
		{
			echo "Last Reply By ".$ticket_name;
		}	
		elseif($opera_id >0)
		{
			echo "Last Reply By ".$opera_user;
		}
		else
		{
		 echo "Last Reply By admin";
		}	
			echo "<BR>".$tkt_rply_date ;
			
		?>	</td>
	  <td width="2%" align="center" valign="top">:</td>
	  <td width="70%" align="left" valign="top">
			<table width="98%" border="0" class="shows"  cellpadding="0" cellspacing="0">
			  <tr>
			<td width="96%" align="justify"><?php echo nl2br($tkt_reply);?></td>
			<td width="4%" valign="top"><?php if($reply_attachements!='') 
			{
			echo"<a href='".DOWNLOAD_PHP."?attach=1&file=".$reply_attachements."' title='Download Attachment'>
			<img src='".SITE_PATH."images/attachment_icon.gif' border='0' /></a>";
			}  
			?></td>
			</tr>
			</table>
	  
	  </td>
	  <td width="6%" align="left" valign="top"><?php echo $feeback;?></td>
	</tr>
	<?php } # closing of reply while?>
	
	<?php if($tot_reply > $records_per_page) { ?>
	<tr>
	<td colspan="4" align="center">
	<strong>
				<?php
				$navigation= navigation_new($tot_reply,$records_per_page,$start,$links_per_page,$_SERVER['PHP_SELF'],$str_params."&ticket_id=".$ticket_id."");
			    echo($navigation[1]."&nbsp;".$navigation[2]."&nbsp;".$navigation[3]);
				?>
	</strong>
	</td>
	</tr>
	<?php } //if ?>
	</table>
   </div>
<?php } # closing of reply if ?>
</form>
<?php require_once("footer.php");?>