<?php 
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name:submit_ticket_new.php
	# Updated: 23-04-08 Sham Shriwastav  
	# Status: open
	# Purpose: post a ticket.
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once ("./includes/config.php");
	require_once ("./includes/conn.php");
	require_once ("./lib/db_functions.php");
	require_once ("./lib/general_functions.php");
	require_once ("./lib/common_functions.php");
	require_once ("./lib/encrypt-decrytp_string.php");
	require_once ("./includes/sorting.php");
	require_once ("./includes/err_msg.php");
	require_once ("./includes/member_filenames.php");
	require_once ("./includes/admin_filenames.php");
	$debug_mode = 0;
##  Specify title of page
	$page_heading="Submit Ticket";
	
	
	$prod_id=$_REQUEST["prod_id"];
	$txt_name	=$_POST["txt_name"];
	$txt_email	=$_POST["txt_email"];
	$txt_subject=$_POST["txt_subject"];
	$txt_message=$_POST["txt_message"];
	$sel_dept=$_POST["sel_dept"];
	$sel_sub_dept=$_POST["sel_sub_dept"];
	$sel_priority=$_POST["sel_priority"];
    

	#Code for tuning number added on 20-2-09
	function make_seed()
	 {
		list($usec, $sec) = explode(' ', microtime());
		return (float) $sec + ((float) $usec * 100000);
	 }
	srand(make_seed());
	  $test = rand(1000, 99999);
	 
	 //$ticket_id	=trim($_REQUEST["ticket_id"]); 
	 //$txt_email	=trim($_POST["txt_email"]);
	 $turningno	=trim($_POST['turningno']);
	 $t_no		=trim($_POST['t_no']);

     #End of Code for tuning number added on 20-2-09
   

if(isset($_POST["post_ticket"]) && $_POST["post_ticket"]=="post_ticket")
{
	/*echo "<pre>--";
	print_r($_POST);
	die;*/
	if ($txt_name=='')	  $arr_error[] 	="Name"; 	
	if ($txt_email=='')	  $arr_error[] 	="Email";
	if ($txt_subject=='') $arr_error[] 	="Subject"; 	
	if ($txt_message=='') $arr_error[]	="Message";
	if ($prod_id=='')     $arr_error[]	="Product";
	
	$str_err=generate_errmsg($arr_error);
	
	$dept_id= $sel_sub_dept=="" ? $sel_dept : $sel_sub_dept ;
	
			if($_FILES['attach']['size'] > 0) // upload file if attached
				   {		
						//print_r($_FILES);
						$temp_name= $_FILES['attach']['tmp_name'];
						$name=  $_FILES['attach']['name'];
						$type= $_FILES['attach']['type'];
						$size= $_FILES['attach']['size'];
						$destination = "attachments/";
						$maxfilesize_bytes = 200000000;
						$return=multiple_file_upload($temp_name,$name,$type,$size,$destination);
						switch($return)
						{	
							case "2" :
								$str_err=ERR_MAX_UPLOAD;
								
								break;
							case "3":
								$str_err=ERR_IN_FILEUPLOAD; break;	
							default:
								 $upload_name=$return;
						}
					}
					
			//die($upload_name );
			##------code for Turing Number added on 20-2-09-------##
	 		if (isset($_POST["t_no"]) && isset($_POST["turningno"]))// when posted first time from ticket login page.
		 	{
				if($turningno!=$t_no)
				{
					//header("location:".TICKET_LOGIN_PHP."?ticket_id=".$ticket_id."&str_err=".ERR_TURING);
					 $str_err =  INVALID_TURING_NUMBER ;
					// echo get_err_div($str_err);
				}
		 	}
			
		  ##-------code ended for turing number---------##
		
	
	$dept_name=get_field("tbl_departments","dept_name","dept_id='".$dept_id."'");
	if($str_err=="")
	{
				$ext_info="<table border='0' cellpadding='0' cellspacing='0'>";
				$res_ext_data = select_from_db("tbl_dept_field","*", "dept_id = '".$dept_id."'");
				while($row_ext = mysql_fetch_assoc($res_ext_data) )
				{
					$field_name= stripslashes($row_ext["field_name"]);
					$ext_info.="<tr ><td class='text' ><strong>$field_name :</strong> </td><td class='text'>".$_POST[str_replace(" ","_",$field_name)]."</td></tr>";
				}
				$ext_info.="</table>";
				// print_r($_POST);
				//die($ext_info);
				$str_fields 		= "dept_id,prod_id,ticket_name, ticket_email, ticket_subject,ticket_request,attachments,ticket_priority,ticket_date,ticket_flag";
				$str_field_values   = "'".$dept_id."','".$prod_id."','".addslashes($txt_name)."','".addslashes($txt_email)."','".addslashes($txt_subject)."','".addslashes($txt_message.$ext_info)."','".$upload_name."','".$sel_priority."','".time()."','0'";
				$ticket_id       = insert_into_db("tbl_tickets", $str_fields,$str_field_values); 
				if($ticket_id== false)// for the error tracking at the time of data insertion
				{
					 $str_err =  ERR_IN_SAVE ;
					 echo get_err_div($str_err);
				}	 
				else
				{ 
				 // check for member account or create new if not exist
				
					if (!check_availibility("tbl_member",'member_id',"member_email='".addslashes($txt_email)."'" )) 
					{
						$str_pass= get_password(8);
						list($str_fname,$str_lname)=explode(" ",$txt_name);
						$str_field_values   = "'".addslashes($str_fname)."','".addslashes($str_lname)."','".$str_pass."','".addslashes($txt_email)."','1'";
						$member_id       	= insert_into_db("tbl_member", "first_name,last_name, password, member_email, status",$str_field_values); 
					}
					else
					{
						$str_pass=get_field("tbl_member","password","member_email='".addslashes($txt_email)."'");
					}

				
				
				// mail to member 
					$res_mail = select_from_db("admin_automail","*","mid='1'");
					$row_mail=mysql_fetch_assoc($res_mail);
					$mail_subject=stripslashes($row_mail['subject']);
					$mail_message=stripslashes($row_mail['message']);
					
					$ticket_status_link=TICKET_STATUS_DETAIL_PHP."?ticket_id=".encrypt_string($ticket_id);
					
					
					$search=array("[username]","[ticketid]","[dept]","[subject]","[msg]","[ticket_status_link]","[site_url]","[sitename]","[user_mail]","[user_password]");
					$replace=array($txt_name,$ticket_id,$dept_name,stripslashes($txt_subject),stripslashes($txt_message.$ext_info),$ticket_status_link,SITE_PATH,$sitename,$txt_email,$str_pass);
					$subj = str_replace($search, $replace, $mail_subject);
					$mess = str_replace($search, $replace, $mail_message);
					send_mail($mess,ADMIN_MAIL,'',$txt_email,$txt_name,$subj,$sel_priority,REPLY_TO); 
				
					// mail to admin
					$res_mail = select_from_db("admin_automail","*","mid='12'");
					$row_mail=mysql_fetch_assoc($res_mail);
					$mail_subject=stripslashes($row_mail['subject']);
					$mail_message=stripslashes($row_mail['message']);
					
					$admin_ticket_status_link=TICKET_DETAIL_PHP."?ticket_id=".$ticket_id;
					$search=array("[username]","[ticketid]","[dept]","[subject]","[msg]","[ticket_status_link]","[site_url]","[sitename]");
					$replace=array("Admin",$ticket_id,$dept_name,stripslashes($txt_subject),stripslashes($txt_message.$ext_info),$admin_ticket_status_link,SITE_PATH,$sitename);
					$subj_admin = str_replace($search, $replace, $mail_subject);
					$mess_admin = str_replace($search, $replace, $mail_message);
					send_mail($mess_admin,ADMIN_MAIL,'',ADMIN_MAIL,"Admin",$subj_admin,$sel_priority,REPLY_TO); 

				
					
					 $str_err= "Your Ticket has been Submitted Successfully<BR>Ticket ID : $ticket_id <BR> Check your email for more detail";
					// $str_err=MSG_ANMNT_ADD;
						echo get_err_div($str_err,SITE_PATH,12000);
					// header("location:".MNG_ANNOUNCEMENTS_PHP."?str_err=".MSG_ANMNT_ADD);
					 //show_status_message("success",STR_MSG_CONTEST_SAVE,ADMIN_MNG_CONTESTS_PHP); 
				}	
	}
	else
	{ echo get_err_div($str_err); }
}


# get help section
$arr_help=get_help("7");
while (list($key, $value) = each($arr_help))
{
 echo "<div id='help_data_$key' style='display:none;'>".$value["help_text"]."</div>";
}

# get mail & name for login user
	if(isset($_SESSION["ses_txt_email"])) // if member logged in 
	{
		$txt_name	=$_SESSION["ses_txt_name"];
		$txt_email	=$_SESSION["ses_txt_email"];
		$readonly="readonly";
	}


?><?php require_once("header.php"); ?>
<script language="javascript" src="<?php echo $site_path;?>javascript/form_validator.js"></script>
<script language="javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<script language="javascript" src="<?php echo $site_path; ?>javascript/ajax_request_handler.js"></script>
<SCRIPT LANGUAGE = "JavaScript" type="text/javascript">
	function get_sub_dept() // get the ads of selected owner
	{
		
		parameters="action=get_dept";
			str_dept	=document.getElementById("sel_dept").value;
		 if(str_dept!="")
			parameters=parameters+"&sel_dept="+str_dept;
		getData('POST','<?php echo SITE_PATH;?>ajax_process.php',parameters,"show_sub_dept",1)
	}
	
	
	 var final_tmp_search_text='';

	function find_inknw()
	{
		 var search_text_box_val =document.getElementById('txt_message').value;
	  if(search_text_box_val!='')
		  {
				//alert(search_text_box_val+'--'+final_tmp_search_text);				
				if(search_text_box_val!=final_tmp_search_text)
				{
				// alert("make search request");
				final_tmp_search_text=search_text_box_val;
				parameters="action=get_knwbase&search_text="+final_tmp_search_text;
				<?php if($prod_id!="") { ?>	
					parameters=parameters+"&prod_id=<?php echo $prod_id;?>";
				<?php  } ?>

				getData('POST','<?php echo SITE_PATH;?>ajax_process.php',parameters,"show_finding",1);
				setTimeout('find_inknw()',5000);
				}
				else
				{
				 //alert("no request for same search text found");
				 setTimeout('find_inknw()',5000);	
				}
		  }
	  else
	  	{
			//alert("recall after 5 second");
			setTimeout('find_inknw()',5000);
		}	  
	}

function checkForm()
	{
		var arr_fields 	= new Array();
		var req 		= new Array("prod_id","txt_name","txt_email","sel_dept");
		<?php
		## get data by applying limit
		$dept_id= $sel_sub_dept=="" ? $sel_dept : $sel_sub_dept ;
		$res_ext_data = select_from_db("tbl_dept_field","*", "dept_id = '".$dept_id."' and is_mandatory='1'");
		if(mysql_num_rows($res_ext_data))
		{
			while($row_ext = mysql_fetch_assoc($res_ext_data) )
			{
				$field_name= stripslashes($row_ext["field_name"]);
		?>
		arr_fields.push('<?php echo str_replace(" ","_",$field_name) ?>');
		<?php } 
		}
		?>
		arr_fields.push("txt_subject");
		arr_fields.push("txt_message");
		arr_fields.push("t_no");
		var req			= req.concat(arr_fields);
		//alert(req);
		var email 		= new Array("txt_email");
		var digits 		= new Array();
		var currs 		= new Array();
		var flag = validate(req,email,digits,currs);
		if(flag==true)
		{
		 document.getElementById("post_ticket").value="post_ticket";
		 document.frmpage.submit();
		}
		else
		{
			return flag;
		}
	}
</SCRIPT>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/nodropin.js"></script>
		<div id="dropin" style="background-color: #CCCCCC; position:absolute; visibility: hidden; z-index: 1000000;
		left: 300px; width: 350px; padding:5px 5px; border: 1px solid #2E2E2E;	background-color:#FFFFFF;  ">
			<div align="right">
				<font face="Tahoma" size="1">
		  			<a href="#" onClick="dismissbox();return false">[Close]</a>
		  		</font>&nbsp;&nbsp;
				<hr  size="1px"/>
		  	</div>
		  	<div id="help_div" class="text"></div>	
		</div>
<form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post" enctype="multipart/form-data" name="frmpage"  >
<input type="hidden" name="post_ticket" id="post_ticket" value="" />
<input type="hidden" name="turningno" id="turningno" value="<?php echo $test;?>">

	 <table width="90%" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
				  <tbody>
					<tr>
					  <th colspan="2"  align="center" valign="middle"><?php  echo $page_heading ;?></th>
					  </tr>
					<tr>
					  <td colspan="2"  align="left" valign="middle"><div align="justify">If you can't find a solution to your problems in our knowledgebase,  you can submit a Ticket by 
					    selecting the appropriate Department below. </div></td>
					</tr>
					<tr class="row1">
					  <td  align="left">Product<span class="error"> * </span></td>
					  <td  align="left"><b>
					  <?php echo  $prod_name=get_field("tbl_product","prod_name","prod_id='".$prod_id."'");   ?></b>
					   <input type="hidden" name="prod_id" id="prod_id" value="<?php echo $prod_id;?>"  />
					 <!-- <select name="prod_id" id="prod_id" title="<?php  //echo ERR_PROD_SEL;?>">
								<option value="">Select Product</option>
							  <?php //$resp=select_from_db("tbl_product","prod_id,prod_name","status='1'"); 
							   //while($rowp=mysql_fetch_assoc($resp)) {	?>
							   <option value="<?php //echo $rowp["prod_id"];?>" <?php //echo $prod_id==$rowp["prod_id"] ? "selected" : "" ; ?>><?php //echo $rowp["prod_name"];?></option>
							  <?php //} ?> 
						 </select>-->					  </td>
					  </tr>
					<tr class="row0">
					  <td width="13%"  align="left"> Your Name <span class="error"> * </span> </td>
				      <td width="87%"  align="left"><input <?php echo $readonly;?> name="txt_name" type="text" class="textfield" id="txt_name" title="<?php echo ERR_NAME; ?>" value="<?php echo $txt_name; ?>" size="45" /></td>
					</tr>
					
					<tr class="row1">
					  <td  align="left" valign="top">Your Email <span class="error">*</span></td>
					  <td  align="left"><input <?php echo $readonly;?> name="txt_email" type="text" class="textfield" id="txt_email" title="<?php echo ERR_EMAIL; ?>" value="<?php echo $txt_email; ?>" size="45" /></td>
					  </tr>
					<tr class="row0">
					  <td  align="left" valign="top">Department<span class="error">*</span></td>
					  <td  align="left">
					  <!--<table cellpadding="0" cellspacing="0" >
							<tr>
								<td><select name="sel_dept" id="sel_dept" onChange="if(this.value!=''){get_sub_dept(); }">
								<option value="">Select Department </option>
							  <?php $resp=select_from_db("tbl_departments","dept_id,dept_name","cat_id='0' AND status='1' AND prod_id='".$prod_id."'"); 
							   while($rowp=mysql_fetch_assoc($resp)) {	?>
							   <option value="<?php echo $rowp["dept_id"];?>" <?php echo $sel_dept==$rowp["dept_id"] ? "selected" : "" ; ?>><?php echo $rowp["dept_name"];?></option>
							  <?php } ?> 
							  </select>							  </td>
								<td><div id="show_sub_dept"></div></td> 
							</tr>	 
						  </table>-->
						  
							<table border="0" class="shows" cellpadding="0" cellspacing="0" >
							<tr>
								<td><select name="sel_dept" id="sel_dept" onchange="document.frmpage.submit();" title="<?php echo ERR_DEPT_NAME;?>" >
								<option value="">Select Department </option>
							  <?php $resp=select_from_db("tbl_departments","dept_id,dept_name","cat_id='0' AND status='1' AND prod_id='".$prod_id."'"); 
							   while($rowp=mysql_fetch_assoc($resp)) {	?>
							   <option value="<?php echo $rowp["dept_id"];?>" <?php echo $sel_dept==$rowp["dept_id"] ? "selected" : "" ; ?>><?php echo $rowp["dept_name"];?></option>
							  <?php } ?> 
							  </select>							  </td>
								<td>
								<div id="show_sub_dept">
								<?php
									if($sel_dept!='')
									{
										 
										
										 $resp=select_from_db("tbl_departments","dept_id,dept_name","cat_id='".$sel_dept."' AND status='1'");
										 $total_sub_dept=mysql_num_rows($resp);
										 if($total_sub_dept>0)
										 {
											echo "<select name='sel_sub_dept' id='sel_sub_dept' onchange='document.frmpage.submit();' >";
											echo "<option value=''>Select Sub Department</option>";
											while($rowd=mysql_fetch_assoc($resp))
											{
											  $selected= $sel_sub_dept==$rowd["dept_id"]?"selected":"";
											 echo "<option value='".$rowd["dept_id"]."' $selected >".$rowd["dept_name"]."</option>";
											}
											echo"</select>";
										 }
									} 
								?>
								</div>
								</td> 
							</tr>	 
						  </table>						  
						  
						  </td>
					  </tr>
					<?php 
						## get data by applying limit
						$dept_id= $sel_sub_dept=="" ? $sel_dept : $sel_sub_dept ;
						$res_ext_data = select_from_db("tbl_dept_field","*", "dept_id = '".$dept_id."'");
						if(mysql_num_rows($res_ext_data))
						{
					?>	<tr> <td  align="left" valign="top" colspan="2" class="error">To help speed up the response time to your ticket, please provide as much detail as possible, thank you. </td>
					<?php 	while($row_ext = mysql_fetch_assoc($res_ext_data) )
						{
						$field_name= stripslashes($row_ext["field_name"]);
						$is_mandatory = $row_ext["is_mandatory"];
						$row_class = $row_class=="row0" || $row_class=="" ? "row1": "row0";	
					?>	  
					 <tr class="<?php echo $row_class;?>">
					  <td  align="left" valign="top">
					  	<?php echo $field_name;?><span class="error"><?php if($is_mandatory=='1')
					  			echo '*'?></span></td>
					  <td  align="left" valign="top"><input type="text" size="50" name="<?php echo str_replace(" ","_",$field_name) ?>" id="<?php echo str_replace(" ","_",$field_name) ?>" value="<?php echo $_POST[$field_name];?>" title="Please fill in <?php echo $field_name;?>" /></td>
					 </tr>
					<?php } 
					 } // closing of
					?>					 
					<tr class="row0">
					  <td  align="left" valign="top"> Ticket Subject <span class="error">*</span> </td>
					  <td  align="left"><input name="txt_subject" type="text" class="textfield" id="txt_subject" title="<?php echo ERR_SUBJECT; ?>" value="<?php echo $txt_subject; ?>" size="45" /></td>
					  </tr>
					<tr class="row1">
					  <td  align="left" valign="top">Message<span class="error"> * </span></td>
				      <td  align="left">
					  <textarea name="txt_message" cols="100" rows="10" title="<?php echo ERR_MSG;?>" class="textfield" id="txt_message"><?php echo $txt_message; ?></textarea>
					  <a onmouseover="this.style.cursor='pointer';" onclick="initbox2('help_div',event, '<?php echo "help_data_7"; ?>','<?php echo $arr_help[7]["help_type"]; ?>'); return false;" title='Click me for help'> <img src="<?php echo SITE_PATH."images/help_icon.gif";?>" width="16" height="16" border="0" /></a><BR />
					  <BR />
					  <script language="javascript" type="text/javascript">
					   setTimeout('find_inknw()',5000);
					  </script>
					  <div align="left" style="width:auto;"  id="show_finding"> <span class='error'>You will get Relative Match of your query when you type </span></div><BR /><BR />					  </td></tr>
					<tr class="row0">
					  <td  align="left">Attachment</td>
					  <td  align="left"><input name="attach" type="file" id="attach" /></td>
					  </tr>
					<tr class="row1">
					  <td  align="left">Priority</td>
					  <td  align="left"><select name="sel_priority" id="sel_priority">
					  <?php $resp=select_from_db("tbl_priorities","prior_id,prior_name","","prior_id desc"); 
					   while($rowp=mysql_fetch_assoc($resp)) {	?>
					   <option value="<?php echo $rowp["prior_id"];?>" <?php echo $sel_priority==$rowp["prior_id"] ? "selected" : "" ; ?> ><?php echo $rowp["prior_name"];?></option>
					  <?php } ?> 
					  </select>					   </td>
					  </tr>
					  <tr class="row1">
               			<td  align="left" class="formtext">Turing Code <span class="error"> * </span></td>
		               	<td  align="left" style="padding:0;">
							<table border="0" cellpadding="0" cellspacing="0">
								<tr>
									<td><input type="text" name='t_no'  id='t_no' size='12' title="<?php echo ERR_TURING;?>" ></td>
									<td><img src='<?php echo $site_path;?>turing_number.php?test=<?php echo $test;?>' /></td>
								</tr>
							</table>
			   			</td>
             		</tr>  

					<tr class="row0">
					  <td  align="left"><input accesskey="a"  name="submit_now" type="button" class="button-default" value="Submit Ticket" onclick="return checkForm();"></td>
				    <td  align="left">&nbsp;</td></tr>		
				</tbody>
	</table>
</form>	
<?php require_once("footer.php"); ?>