<?php
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: ticket_status_search_result.php
	# Updated: 28-04-08 Sham Shriwastav  
	# Status: open
	# Purpose: 
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once ("./includes/config.php");
	require_once ("./includes/conn.php");
	require_once ("./lib/db_functions.php");
	require_once ("./lib/general_functions.php");
	require_once ("./lib/common_functions.php");
	require_once ("./lib/encrypt-decrytp_string.php");
	require_once ("./includes/sorting.php");
	require_once ("./includes/err_msg.php");
	require_once ("./includes/member_filenames.php");
	require_once("./check_member_login.php");
	$debug_mode =0;
## from previous page
	$txt_email=$_SESSION["ses_txt_email"];
//if($txt_email=="" )
//	header("location:".SITE_PATH."ticket_status_new.php");

##  Specify title of page
	$page_heading="Tickets";

##  to get search field
	$start			= trim($_REQUEST['start']);
	$sort			= trim($_REQUEST['sort']);
	$s_id			= trim($_REQUEST['s_id']);
	$s_subject 		= trim($_REQUEST['s_subject']);	
	$s_dept			= trim($_REQUEST['s_dept']);
	$s_priority		= trim($_REQUEST['s_priority']);
	$prod_id		= trim($_REQUEST['prod_id']);	
	$s_date			= trim($_REQUEST["s_date"]);	
	$s_status		= trim($_REQUEST['s_status']);
	
	if($prod_id!="")
		$prod_name=get_field("tbl_product","prod_name","prod_id='".$prod_id."'");
	//$str_err		= trim($_REQUEST["str_err"]);
	if(isset($_POST["search"]))
	{
	 $str_err="";
	}
//echo   $s_date." : ".strtotime($s_date."00:00:00")." <BR> ";	
//echo   " In DB : 1209791542 ";  	
## code to delete 
		
## change Active/inactive status
	if ($_GET['chgastatus']==1)
	{  	
		$str_table_name = "tbl_tickets" ;
		$str_fields_values = "ticket_flag='".$_GET['status']."'";
		$str_filter = "ticket_id='".$_GET['st_id']."'";
		$up = update_into_db($str_table_name,$str_fields_values,$str_filter);
		if($up)
		{
				$ticket_id=$_GET['st_id'];
				$ticket_status= $_GET['status']=="0"? "Opend" : "Close";
				$res_ticket_detial=select_from_db("tbl_tickets","dept_id,ticket_name,ticket_email,ticket_subject,ticket_priority,opera_id","ticket_id='".$ticket_id."'");
				list($dept_id,$ticket_name,$ticket_email,$ticket_subject,$ticket_priority,$opera_id)=mysql_fetch_row($res_ticket_detial);
				
				$ticket_status_link=TICKET_STATUS_DETAIL_PHP."?ticket_id=".encrypt_string($ticket_id);
				//echo $dept_id."----".$opera_id;
				
				$res_mail = select_from_db("admin_automail","*","mid='5'");
				$row_mail=mysql_fetch_assoc($res_mail);
				$mail_subject=stripslashes($row_mail['subject']);
				$mail_message=stripslashes($row_mail['message']);
					
				
				# mail to member who open the ticket
				$search=array("[username]","[ticket_id]","[ticket_subject]","[status]","[taken_by]","[site_url]","[sitename]","[ticket_status_link]");
				$replace=array(ucfirst($ticket_name),$ticket_id,$ticket_subject,$ticket_status,ucfirst($ticket_name),SITE_PATH,$sitename,$ticket_status_link);
				$subj = str_replace($search, $replace, $mail_subject);
				$mess = str_replace($search, $replace, $mail_message);
				send_mail($mess,ADMIN_MAIL,'',$ticket_email,$ticket_name,$subj,$ticket_priority,REPLY_TO); 
				
				# mail to admin about ticket status change
				$search=array("[username]","[ticket_id]","[ticket_subject]","[status]","[taken_by]","[site_url]","[sitename]","[ticket_status_link]");
				$replace=array("Admin",$ticket_id,$ticket_subject,$ticket_status,ucfirst($ticket_name),SITE_PATH,$sitename,$ticket_status_link);
				$subj = str_replace($search, $replace, $mail_subject);
				$mess = str_replace($search, $replace, $mail_message);
				send_mail($mess,ADMIN_MAIL,'',ADMIN_MAIL,"Admin",$subj,$ticket_priority,REPLY_TO);
				
				
				if ($opera_id>0)  #mail to operator if assigned to the ticket
				{
					$res_opera_detial=select_from_db("tbl_operators","opera_user,opera_email","opera_id='".$opera_id."'");
					list($opera_name,$opera_email)=mysql_fetch_row($res_opera_detial);
					$search=array("[username]","[ticket_id]","[ticket_subject]","[status]","[taken_by]","[site_url]","[sitename]","[ticket_status_link]");
					$replace=array(ucfirst($opera_name),$ticket_id,$ticket_subject,$ticket_status,ucfirst($ticket_name),SITE_PATH,$sitename,$ticket_status_link);
					$subj = str_replace($search, $replace, $mail_subject);
					$mess = str_replace($search, $replace, $mail_message);
					send_mail($mess,ADMIN_MAIL,'',$opera_email,$opera_name,$subj,$ticket_priority,REPLY_TO); 
				}
				else # mail to all operators of department & its sub departments 
				{
					$tmp_tbl_names="tbl_relationship as rel LEFT OUTER JOIN tbl_departments as dept ";
					$tmp_str_join_cond = "dept.dept_id = rel.dept_id";
					$tmp_str_cond=" rel.dept_id='".$dept_id."' OR dept.cat_id = '".$dept_id."'";
					$res_operatos= select_from_db($tmp_tbl_names,"opera_id",$tmp_str_cond,"","",$tmp_str_join_cond);
					while($row_opera=mysql_fetch_assoc($res_operatos))
					{
						$res_opera_detial=select_from_db("tbl_operators","opera_user,opera_email","opera_id='".$row_opera["opera_id"]."'");
						list($opera_name,$opera_email)=mysql_fetch_row($res_opera_detial);
						//echo $opera_name."<BR>";
						$search=array("[username]","[ticket_id]","[ticket_subject]","[status]","[taken_by]","[site_url]","[sitename]");
						$replace=array(ucfirst($opera_name),$ticket_id,$ticket_subject,$ticket_status,ucfirst($ticket_name),SITE_PATH,$sitename);
						$subj = str_replace($search, $replace, $mail_subject);
						$mess = str_replace($search, $replace, $mail_message);
						send_mail($mess,ADMIN_MAIL,'',$opera_email,$opera_name,$subj,$ticket_priority,REPLY_TO); 
					}
				}
				
		
		}
	}

## code to params creation
	$str_params="&txt_email=".urlencode($txt_email);
	$str_params.="&s_id=".urlencode($s_id);	
	$str_params.="&s_subject=".urlencode($s_subject);	
	$str_params.="&prod_id=".urlencode($prod_id);
	$str_params.="&s_priority=".urlencode($s_priority);	
	$str_params.="&s_date=".urlencode($s_date);	
	$str_params.="&s_status=".urlencode($s_status);		

## code for select query condition Creation

		$arr_cond[]="a.ticket_email='".$txt_email."'";
		$arr_cond[]="a.ticket_priority=b.prior_id";
		if($prod_id!="")
			$arr_cond[]=" a.prod_id='$prod_id'";
		if($s_id!="")
			$arr_cond[]=" a.ticket_id ='$s_id'";
		if($s_subject!="")
			$arr_cond[]="a. ticket_subject LIKE '$s_subject%'";
		if($s_priority!="")
			$arr_cond[]=" a.ticket_priority = '$s_priority'";
		if($s_subject!="")
			$arr_cond[]=" a.ticket_subject LIKE '$s_subject%'";
		if($s_date!="")
		{
			$from_date=strtotime($s_date." 00:00:00");
			$to_date=strtotime($s_date." 23:59:59");
			$arr_cond[]=" a.ticket_date  BETWEEN '".$from_date."' AND '".$to_date."' ";
		}	
		if($s_dept!="")
			$arr_cond[]=" c.dept_name  LIKE '$s_dept%'";
		if($s_status!="")
			$arr_cond[]=" a.ticket_flag = '$s_status'";
		
		$str_cond= is_array($arr_cond) ? implode(" and ", $arr_cond)  : "" ;


	
## code for get sort condition filter		
		if($sort=="") 	//-- by default registeration date descending
		{  
			$i_disp=1;
			$str_order ="ticket_date desc ";
			$sort = "-4";
		}
		elseif($sort == "1") 		$str_order=" a.ticket_id asc";
		elseif($sort == "-1") 		$str_order=" a.ticket_id desc";	
		elseif($sort == "2") 		$str_order=" a.ticket_subject asc";
		elseif($sort == "-2") 		$str_order=" a.ticket_subject desc";	
		elseif($sort == "3") 		$str_order=" a.ticket_priority asc";
		elseif($sort == "-3") 		$str_order=" a.ticket_priority desc";	
		elseif($sort == "4") 		$str_order=" a.ticket_date asc";
		elseif($sort == "-4") 		$str_order=" a.ticket_date desc";	


## to get start for paging
	if ($start=="")
		$start=0;
		
## get total rows without limits
	$str_tablename = " tbl_priorities b , tbl_tickets a LEFT JOIN tbl_departments c ON a.dept_id=c.dept_id  LEFT JOIN tbl_operators d ON a.opera_id=d.opera_id ";
	//$str_join_cond = "a.opera_id=d.opera_id";
	$num_rows = get_total_rows($str_tablename,"ticket_id",$str_cond,"","",$str_join_cond);
	
## get data by applying limit
	
	$str_limits =  $start.",".$RECORDS_PER_PAGE; 
	$str_field_names="a.*, b.prior_name, c.dept_name, d.opera_user ";
	$str_group_by="";
	$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond, $str_group_by);

## To change the value of start if all records from last page are deleted. go to prevoius page.
	if ( $res_data && @mysql_num_rows($res_data) == 0)
	{	
		if ($start!= 0)
		{
			$start = $start - $RECORDS_PER_PAGE;
			if ($start < 0)
				$start = 0;
			$str_limits 	= $start.",".$RECORDS_PER_PAGE;	
			$num_rows = get_total_rows($str_tablename,"ticket",$str_cond);
			$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);
		}
	}
	
?>	
<?php include("header.php"); ?>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/checkbox_functions.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<link rel="stylesheet" type="text/css" media="all" href="<?php echo $site_path ; ?>javascript/calendar/calendar-win2k-cold-1.css" title="win2k-cold-1" />
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar.js"></script>
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar-en.js"></script>
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar-setup.js"></script>
<form name="frm_manage" method="post" action="<?php echo $_SERVER['PHP_SELF'];?>">
<input type="hidden" name="txt_email" id="txt_email" value="<?php echo $txt_email;?>" />
<BR />
<?php  
if($str_err)
 { echo get_err_div($str_err); } 
?>
<table width="98%" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
              <tbody>
                <tr>
                  <th width="3%" align="center"></th>
                  <th colspan="2" align="left"><a href="<?php echo TICKET_STATUS_RESULT_PHP."?txt_email=".$txt_email;?>"><?php echo  $page_heading;?></a></th>
                  <th width="15%" align="left">&nbsp;</th>
                  <th width="13%" align="left">&nbsp;</th>
                  <th width="9%" align="left">&nbsp;</th>
                  <th width="8%" align="left">&nbsp;</th>
                  <th width="8%" align="center">&nbsp;</th>
                  <th width="6%" align="center">&nbsp;</th>
                </tr>
                <tr>
                  <td align="center"></td>
                  <td colspan="8" align="left"><span class="title">Search  for Product :
                      <?php echo $prod_name; ?>
                  </span></td>
                  </tr>
                <tr>
			  	<td align="center"></td>
                <td width="7%" align="left"><input name="s_id" type="text" id="s_id" value="<?php echo $s_id;?>"  size="8"></td>
                <td width="31%" align="left"><input name="s_subject" type="text" id="s_subject" value="<?php echo $s_subject;?>"  size="40" /></td>
                <td align="left"><!--<input name="s_parent"   value="<?php echo $s_parent;?>" size="10"  type="text">-->
                  <input name="s_dept" type="text" id="s_dept" value="<?php echo $s_dept;?>"  size="15" /></td>
                <td align="left">&nbsp;</td>
                <td align="left"><select name="s_priority"  id="s_priority">
                  <option value="">All</option>
                      <?php $resp=select_from_db("tbl_priorities","prior_id,prior_name","","prior_id desc"); 
					   while($rowp=mysql_fetch_assoc($resp)) {	?>
					   <option value="<?php echo $rowp["prior_id"];?>"><?php echo $rowp["prior_name"];?></option>
                      <?php } ?>
                    </select></td>
				<td align="left">
				<input name="s_date" class="textfield" id="s_date" size="8" value="<?php echo $s_date;?>" type="text" />
				<script type="text/javascript">	  
					 Calendar.setup({
					 inputField	 :	"s_date",	 // id of the input field
					 ifFormat	 :	"y-mm-dd",	  // format of the input field
					 button		 :	"s_date",  // trigger for the calendar (button ID)
					 align		 :	"Bl",		   // alignment (defaults to "Bl")
					 singleClick :	true
					});
					</script>				</td>
				<td align="center"><select class="textfield" name="s_status">
                  <option value="">All</option>
                  <option value="1" <?php echo $s_status=="1"?"selected": "" ; ?>>Close</option>
                  <option value="0" <?php echo $s_status=="0"?"selected": "" ; ?>>Open</option>
                </select></td>
				<td align="center"><input name="search" value="search"   type="submit" /></td>
              </tr>
              <tr>
			 	<th align="center">#</th>
              	<th align="left">
				<?php echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort1"."'>Ticket ID</a>";
					 	echo $imgsort[1] == 1 ? "<img src='".$imgsort[0] ."' border='0'>&nbsp;" : "";?>				</th>     
             	<th align="left">
				<?php echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort2"."'>Subject</a>";
					 	echo $imgsort[1] == 2 ? "<img src='".$imgsort[0] ."' border='0'>&nbsp;" : "";?>				</th>
             	<th align="left">Department</th>
				<th align="left">Operator</th>
             	<th align="left"><?php echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort3"."'>Priority</a>";
					 	echo $imgsort[1] == 3 ? "<img src='".$imgsort[0] ."' border='0'>&nbsp;" : "";?></th>     
             	<th align="left"><?php echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort4"."'>Date</a>";
					 if($i_disp ==1 )
						echo("<img src='".$sortimg_path."' border='0'>&nbsp;");
					 else 
						$i_desp=0 ;
					echo $imgsort[1] == 4 ? "<img src='".$imgsort[0] ."' border='0'>&nbsp;" : "" ; 
				?></th>     
             	<th align="center">Status</th>    
			    <th align="center">Reply</th>
              </tr>
			<?php 
			if (@mysql_num_rows($res_data)> 0) 
			{ 
				$cntr=$start+1;
				while($row = @mysql_fetch_assoc($res_data) )
					{
						
						$id=$row["ticket_id"];
						$dept_name= stripslashes($row["dept_name"]);
						$opera_user=stripslashes($row["opera_user"]);
						$ticket_subject=stripslashes($row["ticket_subject"]);
						$ticket_priority=stripslashes($row["prior_name"]);
						$ticket_date=date("Y-m-d",$row["ticket_date"]);
						$i_status=$row['ticket_flag'] ;
						$str_status = $i_status=="0"?"Inactive":"Active";
						$row_class = $row_class=="row0" || $row_class=="" ? "row1": "row0";	
			?>
					<tr valign="top" class="<?php echo $row_class;?>">
						<td align="center"><?php echo $cntr;?></td>
						<td align="left"><?php echo $id;?></td>
						<td align="left">
							<a title="Detail" href="<?php echo TICKET_STATUS_DETAIL_PHP."?ticket_id=".encrypt_string($id);?>">
								<?php echo limit_string_length($ticket_subject,70);?>							</a>						</td>
						<td align="left"><?php echo limit_string_length($dept_name,50);?></td>
						<td align="left"><?php echo $opera_user=="" ? "Not Assigned" : limit_string_length($opera_user,70);?></td>
						<td align="left"><?php echo $ticket_priority;?></td>
						<td align="left"><?php echo $ticket_date;?></td>
						<td align="center">
						  <?php 
							$querystring=$_SERVER['PHP_SELF']."?chgastatus=1&st_id=".$id."&start=$start".$str_params;    	
							if($i_status!=1)
							{
								$querystring.="&status=1";
								$st_lnk ='<span title="Change Status"><a href='.$querystring.'><font color="#FF0000">Open</font></a></span>';
								echo '<font color="#FF0000">Open</font>';
							}
							else
							{
								$querystring.="&status=0";
								$st_lnk ='<span title="Change Status"><a href='.$querystring.'><font color="#00FF00">Close</font></a></span>';
								echo '<font color="#00FF00">Close</font>';
							}
							
							//echo $st_lnk;
							?>						</td>
						<td align="center"><a title="Reply" href="<?php echo TICKET_STATUS_DETAIL_PHP."?ticket_id=".encrypt_string($id);?>"><img src="<?php echo SITE_PATH;?>images/reply_button.gif" border="0" /></a></td>
					</tr>		
			<?php 	$cntr++;
					} #closing of while ?>			
			<tr align="center">
			  <td align="center">&nbsp;</td>
			  <th colspan="6" align="center" >
			  <?php	
			  		/*$page=navigation($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'], $str_params,''); #paging	 		
					 echo $page;*/
				$navigation= navigation_new($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'],$str_params);
					 echo($navigation[1]."&nbsp;".$navigation[2]."&nbsp;".$navigation[3]);
					 	?>			  </th>
			  <td align="center">&nbsp;</td>
			  <td align="center">&nbsp;</td>
			  </tr>
		 <?php  } # closing of record check ?>	  
			</tbody></table>
<?php if ($num_rows<=0)  {  ?>	
	<table width="98%" height="250" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
					<tr>
					  <th align="left">&nbsp;</th>
					  <th align="center"><span  class="error">
					  <!--<?php echo MSG_INVALID_TICKET_SEARCH;?><br />
					    <a href="<?php echo TICKET_STATUS_PHP; ?>">Click here</a> to go Back-->
						<?php echo ERR_NO_RESULT;?></span>
						
						</th>
					  <th align="right">&nbsp;</th>
					</tr>
	</table>				
<?php } ?>	
</form>	

<?php require_once("footer.php"); ?>