<?php
	/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	#eLuminous Technologies and cant be used / modified without license.  
	#Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	#prohibhited 
	#############################################################################
	# Name: mailbox_reading.php
	# Usage: included ( WRITE USAGE DETAILS ) 
	  {
	   -- This is include file and will be included wherever function will be in use.
	   -- files are include 
	  } 
	# Update: 15-05-08  Sham Shriwastav  - commenting
	# Status: open
	# Purpose: open the mailbox of operators read the mail he received & open ticket for each mail.
*/
## mailbox details
	
	require_once ("../includes/config.php");
	require_once ("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once("../includes/sorting.php");
	require_once("../includes/err_msg.php");
	require_once("../includes/admin_filenames.php");
	require_once ("../includes/member_filenames.php");
	
	$res_operators=select_from_db("tbl_operators", "opera_id,opera_email,mailbox_pass,mailbox_host","mailbox_pass<>'' AND mailbox_host<>''");
	while($row_operators=mysql_fetch_assoc($res_operators))
	{
		$opera_id = $row_operators["opera_id"];
		$email_id = $row_operators["opera_email"];
		$email_pass = $row_operators["mailbox_pass"];
		$host = $row_operators["mailbox_host"];
	
		##  connect to mailbox
			if(!($mbox = imap_open("{".$host.":143}INBOX", $email_id, $email_pass)))
			{
				if(!($mbox = imap_open("{".$host.":110}INBOX", $email_id, $email_pass)))
				{
					$mbox = imap_open("{".$host.":143}INBOX", $email_id, $email_pass);
				}
			}
		##  total number of mails
			$total_mails=imap_num_msg($mbox);
		## to print the error in imap
			#print_r(imap_errors());
		## loop for each mails 
		for ($i = 1; $i <=$total_mails; $i++)
			{		
				$header = imap_headerinfo($mbox, $i,255,255);
			//print_r($header);
				if($header->Unseen == 'U' || $header->Recent == 'N') # condition for get unread mails
				{
					//print_r($header);
					$subject= trim($header->subject);	# mail subject
					$key=explode(":-",$subject,2);
					//if(trim($key[0])==TICKET_KEY)
					$search_key	=ucfirst(trim($key[0]));
					$found=substr_count($search_key, TICKET_KEY); 
					if($found)
					{
						$msg_body=trim(imap_body($mbox,$i));  # read the mail
						$MailDate=trim($header->MailDate); # mail date
						$to = $header->to; # mail send to 
						if(is_array($to))
							{
								foreach ($to as $id => $object) 
								{
									$toname = $object->personal;
									$toaddress = $object->mailbox . "@" . $object->host;
								}
							}
						$from=$header->from; # mail from 
						if(is_array($from))
							{
								foreach ($from as $id => $object) 
								{
									$fromname = $object->personal;
									$fromaddress = $object->mailbox . "@" . $object->host;
								}
							}							
							
						
							## Code for open the ticket
								$str_fields 		= " ticket_name, ticket_email, ticket_subject,ticket_request,ticket_priority,ticket_date,ticket_flag,opera_id";
								$str_field_values   = "'".addslashes($fromname)."','".addslashes($fromaddress)."','".addslashes($key[1])."','".addslashes($msg_body)."','3','".time()."','0','$opera_id'";
								$ticket_id       = insert_into_db("tbl_tickets", $str_fields,$str_field_values); 
								if($ticket_id)
								{
									$res_mail = select_from_db("admin_automail","*","mid='1'");
									$row_mail=mysql_fetch_assoc($res_mail);
									$mail_subject=stripslashes($row_mail['subject']);
									$mail_message=stripslashes($row_mail['message']);
									$ticket_status_link=TICKET_STATUS_DETAIL_PHP."?ticket_id=".encrypt_string($ticket_id);
									
									$search=array("[username]","[ticketid]","[dept]","[subject]","[msg]","[ticket_status_link]","[site_url]","[sitename]");
									$replace=array($fromname,$ticket_id,"--",stripslashes($key[1]),stripslashes($msg_body),$ticket_status_link,SITE_PATH,$sitename);
									$subj = str_replace($search, $replace, $mail_subject);
									$mess = str_replace($search, $replace, $mail_message);
									send_mail($mess,ADMIN_MAIL,'',$fromaddress,$fromname,$subj,'3',REPLY_TO); 
									$str_err= "Your Ticket has been Submitted Successfully<BR>Ticket ID : $ticket_id <BR> Check your email for more detail";
									//echo get_err_div($str_err);
								}	
					
					} ## closing of Key found in subject
								
				}  ## closing of filter for unseen or unread mails	
				
			}	# closing of for loop for mailbox
		
		  imap_close($mbox); ##  close the mailbox of operaors 
	} ## closing of while loop of operators.
?>

