<?php 
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: add_edit_dept.php
	# Updated: 25-04-08 by Sham Shriwastav  
	# Status: open
	# Purpose: 
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once ("../includes/config.php");
	require_once ("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once ("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/err_msg.php");
	require_once("../includes/admin_filenames.php");
	$debug_mode =0;

##  Specify title of page
	$page_heading="Add Department";



		$str_params=$_REQUEST['str_params'];
		$id = $_REQUEST['id'] ;
		$action = $_REQUEST['action'] ;

## code to save details
if(isset($_POST["submit"]))
{
	# assignment to the local variable & genrate error message if requried field are left blank
	$txt_dept_name	=trim($_POST["txt_dept_name"]);
	$sel_parent_div	=trim($_POST["sel_parent_div"]);
	$sel_product_name =trim($_POST["sel_product_name"]);
	if ($txt_dept_name=='')	$arr_error[] ="department Name"; 
	if ($sel_product_name=='')	$arr_error[] ="Product Name";
	$str_err=generate_errmsg($arr_error);
	
	if($str_err=="")
	{
		#  code to add New 
		if($action!="edit")
		{
			if ($str_err=="" && check_availibility("tbl_departments",'dept_id',"dept_name='".addslashes($txt_dept_name)."' and prod_id='".$sel_product_name."'" ))
			{
				$str_err =ERR_DUPLICATE_DEPT;
				echo get_err_div($str_err);
			}
			if($str_err=="")
			{
				$str_fields 		= "dept_name, cat_id, prod_id, status";
				$str_field_values   = "'".addslashes($txt_dept_name)."','".$sel_parent_div."','".$sel_product_name."','1'";
				$dept_id       = insert_into_db("tbl_departments", $str_fields,$str_field_values); 
				if($dept_id== false)// for the error tracking at the time of data insertion
				{
					 $str_err =  ERR_IN_SAVE ;
					 echo get_err_div($str_err);	
				}	 
				else
				{
					 $str_err =MSG_DEPT_ADD;
					 echo get_err_div($str_err,MNG_DEPT_PHP,5000);}
					 //header("location:".MNG_DEPT_PHP."?str_err=".MSG_DEPT_ADD);
					 //show_status_message("success",STR_MSG_CONTEST_SAVE,ADMIN_MNG_CONTESTS_PHP); 
				}	 
			}
		#  code to update edited.   
			if($action=="edit")
			{
				if ($str_err=="" && check_availibility("tbl_departments",'dept_id',"dept_name='".addslashes($txt_dept_name)."' and prod_id='".$sel_product_name."' and dept_id<>'".$id."'" ))   
				{
			 		$str_err =ERR_DUPLICATE_DEPT;
 					echo get_err_div($str_err);
				}
				if($str_err=="")
				{
					
					$str_field_values   = "dept_name='".addslashes($txt_dept_name)."',cat_id='".$sel_parent_div."',prod_id='".$sel_product_name."'";
					$str_update_cond	="dept_id='".$id."'";
					$anmnt_id       = update_into_db("tbl_departments",$str_field_values,$str_update_cond); 
					if($anmnt_id== false)// for the error tracking at the time of data insertion
					{
						 $str_err =  ERR_IN_UPDATE ;
						 echo get_err_div($str_err);	
					}	 
					else
					{
					      $str_err =MSG_DEPT_UPDATE;
						  echo get_err_div($str_err,MNG_DEPT_PHP,5000);}
						 //header("location:".MNG_DEPT_PHP."?str_err=".MSG_DEPT_UPDATE);
						 //show_status_message("success",STR_MSG_CONTEST_SAVE,ADMIN_MNG_CONTESTS_PHP); 
					}		 
				} // closing of action edit
			} // closing of str_err	
			else
				echo get_err_div($str_err);		
}

## code to get the detial of selected record from database for edit
if($action=="edit" && $id!="" && $str_err=="")
{	
	$res_data = select_from_db("tbl_departments",'*', "dept_id='$id'");
	$row_data = mysql_fetch_array($res_data);
	if (@mysql_num_rows($res_data)!= 0)
	{	
		$page_heading="Edit Department"; 
		$txt_dept_name=stripslashes($row_data["dept_name"]);
		$sel_parent_div=stripslashes($row_data["cat_id"]);
		$sel_product_name=stripslashes($row_data["prod_id"]);
	}
}	
?>
<?php require_once("header.php"); ?>
<script language="javascript" src="<?php echo $site_path;?>javascript/form_validator.js"></script>
<script language="javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<script language="javascript" src="<?php echo $site_path; ?>javascript/ajax_request_handler.js"></script>
<SCRIPT LANGUAGE = "JavaScript" type="text/javascript">
function checkForm()
	{
		var req 		= new Array("txt_dept_name","sel_product_name");
		var email 		= new Array();
		var digits 		= new Array();
		var currs 		= new Array();
		return validate(req,email,digits,currs);
	}
</SCRIPT>
<SCRIPT LANGUAGE = 'JavaScript' type='text/javascript'>
function get_department()
	{
		parameters="action=get_department";
		str_product	=document.getElementById("sel_product_name").value;
		//alert(str_product);
		if(str_product!='')
		{
			parameters=parameters+"&sel_product_name="+str_product;
			document.getElementById('show_dept').innerHTML="<img src='<?php echo SITE_PATH;?>images/ajax-loader.gif' />";
		}
		//alert(parameters);
		getData('POST','<?php echo SITE_PATH;?>ajax_process.php',parameters,"show_dept",1)
	
	}
</SCRIPT>

<?php  
if($str_err)
 { 
 //echo get_err_div($str_err); 
 } 
?> 
 <form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post" enctype="multipart/form-data" name="frmpage" onsubmit="return checkForm();">
<input type="hidden" name="action" value="<?php echo $action;?>" >
<input type="hidden" name="id" value="<?php echo $id;?>" >
	 <table border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
				  <tbody>
					<tr>
					  <th  align="left" valign="middle"><?php  echo $page_heading ;?></th>
					  <th  align="right" valign="middle"><a href="<?php echo MNG_DEPT_PHP."?".base64_decode($str_params);?>">Back</a></th>
					</tr>
					<tr class="row1">
					  <td  align="left"> Department Name <span class="error"> * </span> </td>
				      <td  align="left"><input name="txt_dept_name" type="text" class="textfield" id="txt_dept_name" title="<?php echo ERR_DEPT_NAME; ?>" value="<?php echo $txt_dept_name; ?>" size="60" /></td></tr>
					<tr class="row1">
                      <td  align="left" valign="top">Product Name</td>
					  <td  align="left"><select name="sel_product_name" id="sel_product_name" onChange="javascript : get_department();">
                          <option value="">Select Product</option>
                          <?php $res_product=select_from_db("tbl_product","prod_id, prod_name", " status='1'");
					   while($row_product=mysql_fetch_assoc($res_product))
					   { ?>
                          <option value="<?php echo $row_product["prod_id"];?>" <?php echo $sel_product_name==$row_product["prod_id"] ? "selected" : "" ; ?>><?php echo $row_product["prod_name"];?></option>
                          <?php } ?>
                        </select>
                      </td>
					  </tr>
					
					<tr class="row0">
					  <td  align="left" valign="top">Parent Department</td>
				      <td  align="left"><div id="show_dept"><!--<span class="error">Select Product Name First</span>--></div>
					  <!--<select name="sel_parent_div" id="sel_parent_div">
					  <option value="0">Base Department</option>
					  <?php 
					  //$str_condition = "cat_id=0 and status='1'";
					  //if(isset($_POST["sel_product_name"]))
					  	//$str_condition .= " and prod_id = '".$row_product["prod_id"]."'";
					  //$res_dept=select_from_db("tbl_departments","dept_id, dept_name", $str_condition);
					  // while($row=mysql_fetch_assoc($res_dept))
					   //{ ?>
					    <option value="<?php //echo $row["dept_id"];?>" <?php //echo $sel_parent_div==$row["dept_id"] ? "selected" : "" ; ?>><?php //echo $row["dept_name"];?></option>
					   <?php //} ?>
					  </select>					  --></td>
					</tr>
					<tr class="row1">
					  <td  align="left"><input name="submit" type="submit"  value="Save"></td>
				    <td  align="left">&nbsp;</td></tr>		
				</tbody>
	</table>
	<table width="100%">
	<tr>
	 <td height="150">&nbsp;</td>
	</tr>
	</table>
</form>	
<?php include("footer.php"); ?>			
