<?php 
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: add_edit_downloads.php
	# Updated: 25-04-08 by Mudassir shaikh
	# Status: open
	# Purpose: add new downloads and edit the old downloads.
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once ("../includes/config.php");
	require_once ("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once ("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/err_msg.php");
	require_once("../includes/admin_filenames.php");
	$debug_mode = 0;
	
	
    $current_date = date("Y-m-d h:i:s"); 
##  Specify title of page
	$page_heading="Add Downloads";

	$str_params=$_REQUEST['str_params'];
	$id = $_REQUEST['id'] ;
	$action = $_REQUEST['action'] ;
	$prod_id	=trim($_POST["prod_id"]);
    
## code for old title and new title

    $res_data = select_from_db("tbl_downloads",'*', "dwnld_id='$id'");
	$row_data = mysql_fetch_array($res_data);
	if (mysql_num_rows($res_data)!= 0)
	{	
	  $old_title=stripslashes($row_data["dwnld_title"]);
		
	}
	
## code to get the old file name to unlink
    $res_file = select_from_db("tbl_downloads",'*', "dwnld_id='$id'");
	$row_file = mysql_fetch_array($res_file);
	if (mysql_num_rows($res_file)!= 0)
	{	
		
		$db_file1=$row_file["dwnld_file"];
   	}
 
## code to save details
if(isset($_POST["submit"]))
{
   
	# assignment to the local variable & genrate error message if requried field are left blank
	
	if($action!="edit")
	{
	    
		$table="tbl_downloads";
		$txt_title=trim($_POST["txt_title"]);
		$txt_file=$_FILES['file1']['name'];
		$txt_desc=trim($_POST["txt_desc"]);
		if ($prod_id=='')	$arr_error[] ="Product"; 
		if ($txt_desc=='')	$arr_error[] ="Download description"; 
		if ($txt_file=='')	$arr_error[] ="Download File"; 
		if ($txt_title=='')	$arr_error[] ="Download Title"; 	
		$str_err=generate_errmsg($arr_error);
		
		if($str_err=="")
		{
		 
		  if (check_availibility($table,'dwnld_id',"dwnld_title='".addslashes(trim($_POST["txt_title"]))."'" ))   
		  {
			$str_err = ERR_DUPLICATE_TITLE; 
			echo get_err_div($str_err);
		  }	
		  else
		  {
		    /*echo "test"; die;
		    echo "<pre>";
			print_r($_FILES); die;*/
			$temp_name= $_FILES['file1']['tmp_name'];
			$name=  $_FILES['file1']['name'];
			$type= $_FILES['file1']['type'];
			$size= $_FILES['file1']['size'];
			$destination="../download/";
			$maxfilesize_bytes=200000000;
			if($str_err=="")
			$return=multiple_file_upload($temp_name,$name,$type,$size,$destination,$maxfilesize_bytes);
			if($return ==1 || $return ==2 ||$return ==3 )  	
			{
			  $str_err=ERR_FILE_FORMAT;
			  echo get_err_div($str_err);
			}
			else
			{  
			  $filename=$return;
			}
			if($filename!="" && $str_err=="")
			{
			  insert_into_db("tbl_downloads","prod_id,dwnld_title, dwnld_file,dwnld_date, dwnld_desc, status", "'".$prod_id."','".trim(addslashes($txt_title))."', '".$filename."', '".$current_date."','".trim(addslashes($txt_desc))."','1'");
			  $str_err=MSG_DWNLD_ADD;
			  echo get_err_div($str_err,MNG_DOWNLOADS_PHP,3000);
			} 
			else
			{  echo get_err_div($str_err); }
		  } // else 	
			
		} 
		else
		{
		  echo get_err_div($str_err);
		}
    } // to add the records	
	
	else
	{
	  if($action=="edit")
	  {
	    if($_FILES['file1']['name']=="")
		{
			 $txt_title=trim($_POST["txt_title"]);
			 $txt_desc=trim($_POST["txt_desc"]);
			
			 if ($prod_id=='')	$arr_error[] ="Product"; 
			 if ($txt_title=='')	$arr_error[] ="Download Title"; 
			 if ($txt_desc=='')	$arr_error[] ="Download description"; 
			 
			 if($old_title==$txt_title)
			 {
			   $str_field_values   = "prod_id='".$prod_id."',dwnld_title='".addslashes($txt_title)."',dwnld_desc='".addslashes($txt_desc)."'";
			   $str_update_cond	="dwnld_id='".$id."'";
			   $anmnt_id = update_into_db("tbl_downloads",$str_field_values,$str_update_cond); 
			   $str_err=MSG_DOWNLOAD_UPDATE;
			   echo get_err_div($str_err,MNG_DOWNLOADS_PHP,3000);
			   //header("location:".MNG_DOWNLOADS_PHP."?str_err=".MSG_DOWNLOAD_UPDATE);
			 }	
			 else
			 {
		       $dup_query="select dwnld_id from tbl_downloads where dwnld_title='$txt_title'";
			   $dup_result=mysql_query($dup_query);
			   $rows=mysql_num_rows($dup_result);
			   if($rows > 0)
			   {
			  	 $str_err =ERR_DUPLICATE_TITLE; 
				 echo get_err_div($str_err);
				} 
			   else
			   {
				   $str_field_values   = "prod_id='".$prod_id."',dwnld_title='".addslashes($txt_title)."',dwnld_desc='".addslashes($txt_desc)."'";
				   $str_update_cond	="dwnld_id='".$id."'";
				   $anmnt_id = update_into_db("tbl_downloads",$str_field_values,$str_update_cond); 
				   $str_err=MSG_DOWNLOAD_UPDATE;
			       echo get_err_div($str_err,MNG_DOWNLOADS_PHP,3000);
				   //header("location:".MNG_DOWNLOADS_PHP."?str_err=".MSG_DOWNLOAD_UPDATE);
               }		  
			 }
			 
					
       }  // if file name is blank     
		
	  else
	  {
	    $txt_title=trim($_POST["txt_title"]);
		$txt_desc=trim($_POST["txt_desc"]);
		if ($prod_id=='')	$arr_error[] ="Product"; 
		if ($txt_title=='')	$arr_error[] ="Download Title"; 
		if ($txt_desc=='')	$arr_error[] ="Download description"; 
	    
		if($old_title==$txt_title)
		{
          		   		  
		  $txt_title=trim($_POST["txt_title"]);
   		  $txt_desc=trim($_POST["txt_desc"]);
		  $temp_name= $_FILES['file1']['tmp_name'];
		  $name=  $_FILES['file1']['name'];
		  $type= $_FILES['file1']['type'];
		  $size= $_FILES['file1']['size'];
		  $destination="../download/";
		  $maxfilesize_bytes=200000000;
		  if($str_err=="")
 		  $return=multiple_file_upload($temp_name,$name,$type,$size,$destination,$maxfilesize_bytes);
		  if($return ==1 || $return ==2 ||$return ==3 )  	
		  {
			$str_err=ERR_FILE_FORMAT;
			echo get_err_div($str_err);
		  }
		  else
		  {  
			  $filename=$return;
    	      unlink("../download/".$db_file1);
			 
		  }
		  if($filename!="" && $str_err=="")
		  {
			  $str_field_values   = "prod_id='".$prod_id."',dwnld_title='".addslashes($txt_title)."',dwnld_file='".$filename."',dwnld_desc='".addslashes($txt_desc)."'";
			  $str_update_cond	="dwnld_id='".$id."'";
			  $anmnt_id = update_into_db("tbl_downloads",$str_field_values,$str_update_cond); 
			  $str_err=MSG_DOWNLOAD_UPDATE;
			  echo get_err_div($str_err,MNG_DOWNLOADS_PHP,12000);
			  //header("location:".MNG_DOWNLOADS_PHP."?str_err=".MSG_DOWNLOAD_UPDATE);
		 }
		}// if old title and new are same	 
		else
		{
		  $txt_title=trim($_POST["txt_title"]);
   		  $txt_desc=trim($_POST["txt_desc"]);
		  
		  $dup_query="select dwnld_id from tbl_downloads where dwnld_title='$txt_title'";
		  $dup_result=mysql_query($dup_query);
		  $rows=mysql_num_rows($dup_result);
		  if($rows > 0)
		  {
		   $str_err =ERR_DUPLICATE_TITLE; 
		   echo get_err_div($str_err);
		  } 
		  else
		  {
		     $txt_title=trim($_POST["txt_title"]);
     		 $txt_desc=trim($_POST["txt_desc"]);
			 // no duplicate title change the file
			      $temp_name= $_FILES['file1']['tmp_name'];
				  $name=  $_FILES['file1']['name'];
				  $type= $_FILES['file1']['type'];
				  $size= $_FILES['file1']['size'];
				  $destination="../download/";
				  $maxfilesize_bytes=200000000;
				  if($str_err=="")
				  $return=multiple_file_upload($temp_name,$name,$type,$size,$destination,$maxfilesize_bytes);
				  if($return ==1 || $return ==2 ||$return ==3 )  	
				  {
					$str_err=ERR_FILE_FORMAT;
					 echo get_err_div($str_err);
				  }
				  else
				  {  
					  $filename=$return;
					 // $path="../download/";
					  unlink("../download/".$db_file1);
					 
			    }
			 // end of change file 
			 
			 $str_field_values   = "prod_id='".$prod_id."'dwnld_title='".addslashes($txt_title)."',dwnld_file='".$filename."',dwnld_desc='".addslashes($txt_desc)."'";
			 $str_update_cond	="dwnld_id='".$id."'";
			 $anmnt_id = update_into_db("tbl_downloads",$str_field_values,$str_update_cond); 
			 $str_err=MSG_DOWNLOAD_UPDATE;
			 echo get_err_div($str_err,MNG_DOWNLOADS_PHP,12000);
			 //header("location:".MNG_DOWNLOADS_PHP."?str_err=".MSG_DOWNLOAD_UPDATE);
		  }	// title not duplicate	  
		 } //  else old file and new are different
		
		 
      }	// unlink old file and upload new file	if file name not blank
					
   } //action
		
	  
	  
  } // else part for action edit.	
	
}// post

if($action=="edit" && $id!="" && $str_err=="")
{	
	$res_data = select_from_db("tbl_downloads",'*', "dwnld_id='$id'");
	$row_data = mysql_fetch_array($res_data);
	if (@mysql_num_rows($res_data)!= 0)
	{	
		$page_heading="Edit Download"; 
		$prod_id=stripslashes($row_data["prod_id"]);
		$txt_title=stripslashes($row_data["dwnld_title"]);
		$txt_desc=stripslashes($row_data["dwnld_desc"]);
		$db_file=$row_data["dwnld_file"];
		//$old_title=stripslashes($row_data["dwnld_title"]);
		
	}
}
?>
<?php require_once("header.php"); ?>
                        <script language="javascript" src="<?php echo $site_path;?>javascript/form_validator.js"></script>
                        <script language="javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
                        <SCRIPT LANGUAGE = "JavaScript" type="text/javascript">
						
function checkForm()
	{
	    <?php if($action=="edit")
		{ ?>
		  var req 		= new Array("prod_id","txt_title","txt_desc");<?php }
		  else
		  {?>
		  var req 		= new Array("prod_id","txt_title","file1","txt_desc");
		  <?php }?>
		var email 		= new Array();
		var digits 		= new Array();
		var currs 		= new Array();
		return validate(req,email,digits,currs);
	}
</SCRIPT>
	
		<form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post" enctype="multipart/form-data" name="frmpage"  onSubmit="return checkForm();">
		  <input type="hidden" name="action" value="<?php echo $action;?>" >
		  <input type="hidden" name="id" value="<?php echo $id;?>" >
		  <table border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
			<tbody>
			  <tr>
				<th  align="left" valign="middle"><?php  echo $page_heading ;?></th>
				<th  align="right" valign="middle"><a href="<?php echo MNG_DOWNLOADS_PHP."?".base64_decode($str_params);?>">Back</a></th>
			  </tr>
			  <tr class="row1">
			    <td  align="left">For Product <span class="error"> * </span></td>
			    <td  align="left"><select name="prod_id" id="prod_id" title="<?php echo ERR_PROD_SEL;?>" >
                  <option value="" >Select Product</option>
                  <?php $resp=select_from_db("tbl_product","prod_id,prod_name","status='1'"); 
							   while($rowp=mysql_fetch_assoc($resp)) {	?>
                  <option value="<?php echo $rowp["prod_id"];?>" <?php echo $prod_id==$rowp["prod_id"] ? "selected" : "" ; ?>><?php echo $rowp["prod_name"];?></option>
                  <?php } ?>
                </select></td>
			    </tr>
			  <tr class="row1">
				<td  align="left"> Title <span class="error"> * </span> </td>
				<td  align="left"><input name="txt_title" type="text" class="textfield" id="txt_title" title="<?php echo ERR_TITLE; ?>" value="<?php echo $txt_title; ?>" size="60" /></td>
			  </tr>
			  <tr class="row0">
				<td  align="left" valign="top">Upload file <span class="error"> * </span></td>
				<td  align="left"><input name="file1" type="file" id="file1" size="35" title="<?php echo ERR_FILE; ?>" value="<?php echo $txt_file;?>">
				  &nbsp;</td>
			  </tr>
			  <tr class="row0">
				<td  align="left" valign="top">Description<span class="error"> * </span></td>
				<td  align="left"><textarea name="txt_desc" cols="80" rows="17" class="textfield" id="txt_desc" title="<?php echo ERR_DESC; ?>"><?php echo $txt_desc; ?></textarea>
				  &nbsp;</td>
			  </tr>
			  <tr class="row1">
				<td  align="left"><input name="submit" type="submit"  value="submit"></td>
				<td align="left">&nbsp;</td>
			  </tr>
			</tbody>
		  </table>
		  <table width="100%">
			<tr>
			 <td height="90">&nbsp;</td>
			</tr>
		  </table>
		</form>
<?php include("footer.php"); ?>