<?php 
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: add_edit_dept.php
	# Updated: 25-04-08 by Sham Shriwastav  
	# Status: open
	# Purpose: 
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once ("../includes/config.php");
	require_once ("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once ("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/err_msg.php");
	require_once("../includes/admin_filenames.php");
	$debug_mode =0;

##  Specify title of page
	$page_heading="Add Product";

		$str_params=$_REQUEST['str_params'];
		$id = $_REQUEST['id'] ;
		$action = $_REQUEST['action'] ;

## code to save details
if(isset($_POST["submit"]))
{
	# assignment to the local variable & genrate error message if requried field are left blank
	$txt_prod_name	    = trim($_POST["txt_prod_name"]);
	$txt_desc	        = trim($_POST["txt_desc"]);
	$str_link_url       = trim($_POST["str_link_url"]);
	$str_admin_url      = trim($_POST["str_admin_url"]);
	$sel_prod_type      = trim($_POST["sel_prod_type"]);
	
	if($txt_prod_name=='')	$arr_error[] = "Product Name";
	if($str_link_url=='')	$arr_error[] = "Product URL";
	if($str_admin_url=='')	$arr_error[] = "Product Admin URL";
	if($sel_prod_type=='')	$arr_error[] = "Product Type";

	$str_err=generate_errmsg($arr_error);
	
	if($str_err=="")
	{
		#  code to add New 
		if($action!="edit")
		{
			 if ($str_err=="" && check_availibility("tbl_product",'prod_id',"prod_name='".addslashes($txt_prod_name)."'" ))   
			 {
				$str_err =ERR_DUPLICATE_PROD; 
				echo get_err_div($str_err);	
			 } 
			 if($_FILES['file1']['size']>0 ) // less than 3okb && $_FILES['file1']['size']<30720
			 {
				$temp_name= $_FILES['file1']['tmp_name'];
				$name=  $_FILES['file1']['name'];
				$type= $_FILES['file1']['type'];
				$size= $_FILES['file1']['size'];
				list($width, $height) = getimagesize($temp_name);
					//echo $width."<br>";
					//echo $height;
					$destination="../uploads/site_logos/";
					$maxfilesize_bytes=200000000;
					$return=multiple_file_upload($temp_name,$name,$type,$size,$destination,MAX_FILE_SIZE);
					if($return ==1 || $return ==2 ||$return ==3 )
					{
						$str_err=STR_ERR_PRODUCT_FILE_FORMAT;
						echo get_err_div($str_err);
					}
					else
						$img_name=$return;
			 }
			 else
			 {
				$str_err=STR_ERR_FILE_SIZE_PRODUCT;
				echo get_err_div($str_err);
			 }
			 if($str_err=="")
			 {
				$str_fields 		= "prod_name, prod_desc, image_name, url, admin_url, prod_type_id, status,prod_priority";
				$str_field_values   = "'".addslashes($txt_prod_name)."','".addslashes($txt_desc)."','".addslashes($img_name)."','".addslashes($str_link_url)."','".addslashes($str_admin_url)."','".$sel_prod_type."','1','0'";
				$dept_id       = insert_into_db("tbl_product", $str_fields,$str_field_values); 
				if($dept_id== false)// for the error tracking at the time of data insertion
				{
					 $str_err =  ERR_IN_SAVE ;
					 echo get_err_div($str_err);	
				}	 
				else
				{
					 //$up = update_into_db("tbl_product","prod_priority='".$dept_id."'","prod_id='".$dept_id."'");	
					 $str_err =MSG_PROD_ADD;
					 echo get_err_div($str_err,MNG_PROD_PHP,5000);}
				}
			}
		}
		#  code to update edited.   
		if($action=="edit")
		{
			if ($str_err=="" && check_availibility("tbl_product",'prod_id',"prod_name='".addslashes($txt_prod_name)."' and prod_id<>'".$id."'" ))   
			{
				$str_err =ERR_DUPLICATE_PROD; 
				echo get_err_div($str_err);	
			}
			if(!$str_err)
			{	
				if(!empty($_FILES['file1']['name']))
				{
					if($_FILES['file1']['size']>0 )  //&& $_FILES['file1']['size']<30720
					{		
						$temp_name= $_FILES['file1']['tmp_name'];
						$name=  $_FILES['file1']['name'];
						$type= $_FILES['file1']['type'];
						$size= $_FILES['file1']['size'];
						list($width, $height) = getimagesize($temp_name);
						/*if($width<47 && $height<28)*/
						//{
							$destination="../uploads/site_logos/";
							$maxfilesize_bytes=200000000;
							$return=multiple_file_upload($temp_name,$name,$type,$size,$destination,MAX_FILE_SIZE);
							if($return ==1 || $return ==2 ||$return ==3 )
							{
								$str_err=STR_ERR_PRODUCT_FILE_FORMAT;
								echo get_err_div($str_err);
							}
							else
							{
								$img_name=$return;
								$res_data=select_from_db("tbl_product","image_name","prod_id='".$id."'");
								$row_img=@mysql_fetch_array($res_data);
								if($row_img["image_name"]!="")
								{
									unlink($destination.$row_img["image_name"]);
								}	
								//$str_fields = "image_name";
								$str_field_values = "image_name = '".$img_name."'";
								update_into_db("tbl_product",$str_field_values,"prod_id='".$id."'");
							}
						//}
						/*else
						{
							$str_err=STR_ERR_FILE_WIDTH_HEIGHT_PRODUCT;
							echo get_err_div($str_err);
						}*/
					 }// closing of if file
					 else
					 {
						$str_err=STR_ERR_FILE_SIZE_PRODUCT;
						echo get_err_div($str_err);
					 }
				} 
				if($str_err=="")
				{
					$str_field_values   = "prod_name='".addslashes($txt_prod_name)."',prod_desc='".addslashes($txt_desc)."',url='".addslashes($str_link_url)."',admin_url='".addslashes($str_admin_url)."',prod_type_id='".$sel_prod_type."'";
					$str_update_cond	="prod_id='".$id."'";
					$anmnt_id       = update_into_db("tbl_product",$str_field_values,$str_update_cond); 
					if($anmnt_id== false)// for the error tracking at the time of data insertion
					{
						 $str_err =  ERR_IN_UPDATE ;
						 echo get_err_div($str_err);	
					}	 
					else
					{
						  $str_err =MSG_PROD_UPDATE;
						  echo get_err_div($str_err,MNG_PROD_PHP,5000);
					}
				}		 
		} // closing of action edit
	} // closing of str_err	
	/*else
	{
		echo get_err_div($str_err);
	}*/
}

## code to get the detial of selected record from database for edit
if($action=="edit" && $id!="" && $str_err=="")
{	
	
	$res_data = select_from_db("tbl_product",'*', "prod_id='$id'");
	$row_data = mysql_fetch_array($res_data);
	if (@mysql_num_rows($res_data)!= 0)
	{	
		$page_heading="Edit Product"; 
		$txt_prod_name=stripslashes($row_data["prod_name"]);
		$txt_desc=stripslashes($row_data["prod_desc"]);
		$str_link_url=stripslashes($row_data["url"]);
		$str_admin_url=stripslashes($row_data["admin_url"]);
		$str_image_name=stripslashes($row_data["image_name"]);
		$sel_prod_type=stripslashes($row_data["prod_type_id"]);
	}
}	
?>
<?php require_once("header.php"); ?>
<script language="javascript" src="<?php echo $site_path;?>javascript/form_validator.js"></script>
<script language="javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<SCRIPT LANGUAGE = "JavaScript" type="text/javascript">
function checkForm()
	{
		<?php if($action!="edit") { ?>
		var req 		= new Array("txt_prod_name","txt_desc","str_link_url","str_admin_url","sel_prod_type");
		<?php } else { ?>
		var req 		= new Array("txt_prod_name","txt_desc","str_link_url","str_admin_url","sel_prod_type");
		<?PHP } ?>
		var email 		= new Array();
		var digits 		= new Array();
		var currs 		= new Array();
		return validate(req,email,digits,currs);
	}
</SCRIPT>
 <form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post" enctype="multipart/form-data" name="frmpage" onsubmit="return checkForm();">
<input type="hidden" name="action" value="<?php echo $action;?>" >
<input type="hidden" name="id" value="<?php echo $id;?>" >
	 <table border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
				  <tbody>
					<tr>
					  <th  align="left" valign="middle"><?php echo $page_heading ;?></th>
					  <th  align="right" valign="middle"><a href="<?php echo MNG_PROD_PHP."?".base64_decode($str_params);?>">Back</a></th>
					</tr>
					<tr class="row1">
					  <td  align="left"> Product Name <span class="error"> * </span> </td>
				      <td  align="left"><input name="txt_prod_name" type="text" class="textfield" id="txt_prod_name" title="<?php echo ERR_PROD_NAME; ?>" value="<?php echo $txt_prod_name; ?>" size="60" /></td>
					</tr>
					<tr class="row0">
					  <td  align="left" valign="top">Product Description <span class="error"> * </span></td>
					  <td  align="left"><textarea name="txt_desc" cols="60" rows="5" class="textfield" id="txt_desc" title="<?php echo ERR_PROD_DESC; ?>"><?php echo $txt_desc; ?></textarea></td>
				    </tr>
					<?php
					  if($id!="" && $action=="edit")
		 		 	  {
					   $str_image_name=get_field("tbl_product","image_name"," prod_id = '$id'");
					  ?>
					<tr class="row1">
					  <td  align="left" valign="top">Current Image </td>
					  <td  align="left">
					  	  <img src="<?php echo SITE_PATH."uploads/site_logos/".$str_image_name;?>" height="28" width="48" />
					  </td>
				    </tr>
					 <?php	
					  }
			  		  ?>
					<tr class="row1">
					  <td align="left" valign="top">Product Image  
					  <?php // if ($action!="edit") 
					  //{ ?>
							<span class="error"> * </span> 
				<?php //} ?>
					  </td>
					  <td align="left" valign="top"><input name="file1" type="file" id="file1" size="35" title="<?php echo STR_ERR_FILE_PRODUCT;?>"></td>
					</tr>
				<?php if ($action=="edit") 
				  	  { ?>
					<tr class="row1">
					  <td align="left" valign="top"></td>
					  <td align="left" valign="top"><span class="error">Leave the image field empty if you do not want to <br>change existing image.</span></td>
					</tr>
				<?php } ?>
					<tr class="row0">
					  <td align="left" valign="top">Product URL<span class="error"> * </span> </td>
				  	  <td align="left"><input name="str_link_url" value="<?php echo $str_link_url;?>" type="text" id="str_link_url" title="<?php echo STR_ERR_PRODUCT_URL;?>" size="47">
					  <BR>
						<span class="sitefont_small">e.g.http://www.yourdomain.com</span></td>
					</tr>
					<tr class="row1">
					  <td align="left" valign="top">Product Admin URL<span class="error"> * </span> </td>
				  	  <td align="left"><input name="str_admin_url" value="<?php echo $str_admin_url;?>" type="text" id="str_admin_url" title="<?php echo STR_ERR_PRODUCT_ADMIN_URL;?>" size="47">
					  <BR>
						<span class="sitefont_small">e.g.http://www.yourdomain.com/newadmin</span></td>
					</tr>
					<tr class="row0">
					  <td align="left" valign="top">Product Type<span class="error"> * </span> </td>
				  	  <td align="left">
					  		<select name="sel_prod_type" id="sel_prod_type" title="<?php echo STR_ERR_PRODUCT_TYPE;?>">
								<option value="">Select Product Type</option>
						<?php
						$res_prtype = select_from_db("tbl_product_type",'prod_type_id,prod_type_name', "status='1'");
						if($res_prtype && mysql_num_rows($res_prtype) > 0)
						{
						 while($rec = mysql_fetch_assoc($res_prtype))
						 {
						   echo "<option value=\"".$rec['prod_type_id']."\" ";
							
						
								if($rec['prod_type_id'] == $sel_prod_type)
								{
									echo " selected=\"selected\" ";
								}
							
										
							echo " >".$rec['prod_type_name']."</option>";									                          }//while
					    }//if
						?>
								
							</select>
					  </td>
					</tr>
					<tr class="row1">
					  <td align="left"><input name="submit" type="submit"  value="Save"></td>
				    <td align="left">&nbsp;</td></tr>		
				</tbody>
	</table>
	<table width="100%">
	<tr>
	 <td height="150">&nbsp;</td>
	</tr>
	</table>
</form>	
<?php include("footer.php"); ?>			
