<?php
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: add_field.php
	# Updated: 02-12-08 Chetan Kothawade  
	# Status: open
	# Purpose: add new field for particular product.
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once("../includes/config.php");
	require_once("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/admin_filenames.php");
	require_once("../includes/err_msg.php");
	
	
	$debug_mode = 0;

##  Specify title of page
	$page_heading="Add Field";

##  to get search field
	$start			= trim($_REQUEST['start']);
	$sort			= trim($_REQUEST['sort']);
	$s_prod_id		= trim($_REQUEST['s_prod_id']);
	$s_status		= trim($_REQUEST['s_status']);
	$str_err		= trim($_REQUEST["str_err"]);
	$s_dept_id		= trim($_REQUEST["s_dept_id"]);

	if($s_prod_id!="")
		$s_prod_name=get_field("tbl_product","prod_name","prod_id='".$s_prod_id."'");
	if($s_dept_id!="")
		$s_dept_name=get_field("tbl_departments","dept_name","dept_id='".$s_dept_id."'");
		
	if(isset($_POST["sbt_add"]))
	{
		$str_field_name	=stripslashes(trim($_POST["txt_field_name"]));
		$is_mandatory	=trim($_POST["rad_opt"]);
		if ($str_field_name=='')	$arr_error[] ="Field Name"; 
		
		$str_err=generate_errmsg($arr_error);
		
		if($str_err=='')
		{
			if ( check_availibility(tbl_dept_field,'field_name',"field_name = '".$str_field_name."' and dept_id = '".$s_dept_id."'" ) ) 
			{
				$str_err = ERR_DUPLICATE_FIELD;
				echo get_err_div($str_err);
			}
			if($str_err=='')
			{
				$str_fields 		= "dept_id, field_name,is_mandatory, status";
				$str_field_values   = "'".$s_dept_id."','".addslashes($str_field_name)."','".$is_mandatory."','1'";
				$field_id       	= insert_into_db("tbl_dept_field", $str_fields,$str_field_values); 
				if($field_id== false)// for the error tracking at the time of data insertion
				{
					 $str_err =  ERR_IN_SAVE ;
					 echo get_err_div($str_err);
				}
				else
				{ 
	                 $str_err=MSG_FIELD_ADD;
					 echo get_err_div($str_err); 			
					// header("location:".MNG_ANNOUNCEMENTS_PHP."?str_err=".MSG_ANMNT_UPDATE);
					 //show_status_message("success",STR_MSG_CONTEST_SAVE,ADMIN_MNG_CONTESTS_PHP); 
				}	
			}
		}
		else
		{
			echo get_err_div($str_err); 
		}
	}
	
	## code to delete 
	if(isset($_GET['del_id']))
	{
		 delete_from_db("tbl_dept_field","id='".$_GET['del_id']."'");
		 $str_err=MSG_FIELD_DELETE;	
	}

## to get start for paging
	if ($start=="")
		$start=0;

## get total rows 
	$str_tablename = "tbl_dept_field";
	$str_cond = " dept_id = '".$s_dept_id."'";
	//$str_join_cond = "a.cat_id= b.dept_id ";
	$num_rows = get_total_rows($str_tablename,"field_name",$str_cond);
	
## get data by applying limit
	//$str_limits =  $start.",".$RECORDS_PER_PAGE; 
	$str_field_names="*";
	$str_group_by="";
	$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond, $str_group_by);
?>	
<?php include("header.php"); ?>
<script language="javascript" type="text/javascript" src="<?php echo $site_path;?>javascript/form_validator.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<SCRIPT LANGUAGE = "JavaScript" type="text/javascript">
function checkForm(form)
	{
	 	var frm = document.frmAddField;
		var req 		= new Array("txt_field_name");
		var email 		= new Array();
		var digits 		= new Array();
		var currs 		= new Array();
		var b_result 	= validate(req,email,digits,currs);
		
		if ( b_result == false)
			return b_result;
	}
</SCRIPT>

<form name="frmAddField" method="post" action="<?php echo $_SERVER['PHP_SELF'];?>" onSubmit="return checkForm(this);"><BR />
	<input type="hidden" name="params" value="<?php echo $params; ?>">
	<input type="hidden" name="id" value="<?php echo $id; ?>">
	<input type="hidden" name="s_prod_id" value="<?php echo $s_prod_id; ?>">
	<input type="hidden" name="s_dept_id" value="<?php echo $s_dept_id; ?>">
<?php  
/*if($str_err)
 { echo get_err_div($str_err); } */
?> 
<table width="60%" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
	<tbody>
		<tr>
			<th  align="left" valign="middle"><?php  echo $page_heading ;?></th>
			<th  align="right" valign="middle"><a href="<?php echo MNG_DEPT_PHP;?>">Back</a></th>
		</tr>
		<tr class="row0">
			<td align="left" width="25%">Department Name </td>
			<th align="left"><?php echo $s_dept_name;?></th>
<!--			<th align="right" valign="middle">&nbsp;</th>
-->		</tr>
		<tr class="row1">
			<td align="left">For Product </td>
			<th align="left"><?php echo $s_prod_name;?></th>
<!--			<td>&nbsp;</td>
-->		</tr>
		<tr class="row0">
			<td align="left">Field Name </td>
			<td align="left">
				<input type="text" name="txt_field_name" id="txt_field_name" value="<?php echo $str_field_name; ?>" maxlength="100" title="<?php echo ERR_FIELD_NAME; ?>" />
			</td>
<!--			<td>&nbsp;</td>
-->		</tr>
		<tr class="row1">
			<td align="left">Field Type </td>
			<td align="left">
				<input type="radio" name="rad_opt" id="rad_opt" value="0" checked="checked" <?php if($_POST['rad_opt']=='0') echo"checked"; ?>/>Optional
				<input type="radio" name="rad_opt" id="rad_opt" value="1" <?php if($_POST['rad_opt']=='1') echo"checked"; ?>/>Mandatory
			</td>
<!--			<td>&nbsp;</td>
-->		</tr>
		<tr class="row0">
			<td align="left">&nbsp;</td>
			<th align="left"><input type="submit" name="sbt_add" id="sbt_add" value="ADD" /></th>
<!--			<td>&nbsp;</td>
-->		</tr>
	</tbody>
</table>
<br /><br />
<table width="60%" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
	<tr>
		<th align="center" width="10%">#</th>
		<th align="left" width="65%">Field Name</th>
		<th align="left" width="15%">Field type</th>
		<th align="center" width="10%">Delete</th>
	</tr>
	<?php
	if (@mysql_num_rows($res_data)> 0) 
	{ 
		$cntr=$start+1;
		while($row = @mysql_fetch_assoc($res_data) )
		{
			$id=$row["id"];
			$field_name= stripslashes($row["field_name"]);
			$is_mandatory = $row["is_mandatory"];
			if($is_mandatory=='1')
			{
				$is_mandatory = "Mandatory";
			}
			else if($is_mandatory=='0')
			{
				$is_mandatory = "Optional";
			}
			$row_class = $row_class=="row0" || $row_class=="" ? "row1": "row0";	
		?>
		<tr class="<?php echo $row_class;?>">
			<td align="center"><?php echo $cntr;?></td>
			<td align="left"><?php echo limit_string_length($field_name,50);?></td>
			<td align="left"><?php echo $is_mandatory;?></td>
			<td align="center"><a href="<?php echo $_SERVER['PHP_SELF']."?del_id=".$id."&s_prod_id=".$s_prod_id."&s_dept_id=".$s_dept_id;?>" title="Delete" onclick="return confirm('Are you sure you want to delete?')"><img src="<?php echo $site_path;?>images/drop.png" width="16" height="16" border="0" bordre="0"></a></td>
		</tr>
	<?php 	$cntr++;
		} #closing of while ?>
	</table>
<?php } # closing of record check 
else {  ?>	
	<table width="60%" height="250" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
		<tr>
		  <th width="62%" align="center"><span class="error"><?php echo ERR_NO_RESULT;?></span></th>
		</tr>
	</table>				
<?php } ?>	
</form>	
<?php include("footer.php");?>