<?php
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: manage_downloads.php
	# Updated: 24-04-08 mudassir shaikh
	# Status: open
	# Purpose: manage download page.
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once ("../includes/config.php");
	require_once ("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once("../includes/sorting.php");
	require_once("check_session.php");
	require_once("../includes/admin_filenames.php");
	require_once("../includes/err_msg.php");
	
	$debug_mode = 0;

##  Specify title of page
	$page_heading="Manage Downloads";

##  to get search field
	$start			= trim($_REQUEST['start']);
	$sort			= trim($_REQUEST['sort']);
	$s_title		= trim($_REQUEST['s_title']);
	$s_counter      = trim($_REQUEST['s_counter']);
	$s_prod_id		= trim($_REQUEST['s_prod_id']);
	$s_date 		= trim($_REQUEST['s_date']);	
	$s_status		= trim($_REQUEST['s_status']);
	$str_err		= trim($_REQUEST["str_err"]);
    if(isset($_POST["search"]))
	{
	 $str_err="";
	}
	

      	

## code to delete 
		## single delete
			if(isset($_GET['del_id']))
			{
			 ## code to unlink the file 
              $id=$_GET['del_id'];
			  $res_file = select_from_db("tbl_downloads",'*', "dwnld_id='$id'");
	          $row_file = mysql_fetch_array($res_file);
	          if (@mysql_num_rows($res_file)!= 0)
	          {	
				$db_file1=$row_file["dwnld_file"];
   	          } 
			  delete_from_db("tbl_downloads","dwnld_id='".$_GET['del_id']."'");
		      unlink("../download/".$db_file1);
			  $str_err="Selected download sucessfully removed.";	
			}
		##multiple delete
			if(isset($_POST['del_all']))
			{	
				for($i=0; $i<=count($_POST["chk"])-1; $i++)
				{
				 $delete_id = $_POST["chk"][$i];
				 $res_file = select_from_db("tbl_downloads",'*', "dwnld_id='$delete_id'");
	             $row_file = mysql_fetch_array($res_file);
	             if (@mysql_num_rows($res_file)!= 0)
	             {	
				  $db_file1=$row_file["dwnld_file"];
   	             } 
				 delete_from_db("tbl_downloads","dwnld_id='".$delete_id."'");
				 unlink("../download/".$db_file1);		 		
				} 
				
				if($i == count($_POST["chk"]))
				{
				  $str_err="Selected downloads are sucessfully removed.";
				}
				else
				{	
				  $str_err = "Problem in deleting record.";
				}		
			}
## change Active/inactive status
	if ($_GET['chgastatus']==1)
	{  	
		$str_table_name = "tbl_downloads" ;
		$str_fields_values = "status='".$_GET['status']."'";
		$str_filter = "dwnld_id='".$_GET['st_id']."'";
		$up = update_into_db($str_table_name,$str_fields_values,$str_filter);
	}

## code to params creation
	$str_params="&s_title=".urlencode($s_title);
	$str_params.="&s_counter=".urlencode($s_counter);
	$str_params.="&s_prod_id=".urlencode($s_prod_id);
	$str_params.="&s_date=".urlencode($s_date);
	$str_params.="&s_status=".urlencode($s_status);		
	//$params.="&sort=".$sort;

## code for select query condition Creation
		if($s_prod_id!="")
			$arr_cond[]=" prod_id='$s_prod_id'";
		if($s_title!="")
		  $arr_cond[]=" dwnld_title like '$s_title%'";
	    if($s_counter!="")
		  $arr_cond[]=" dwnld_count like '$s_counter%'";
		if($s_date!="")
		   $arr_cond[]=" dwnld_date  Like '$s_date%'";
		if($s_status!="")
		   $arr_cond[]=" status = '$s_status'";
	
		if (is_array($arr_cond))
			$str_cond = implode(" and ", $arr_cond);
		else
			$str_cond = "";
	
## code for get sort condition filter		
		if($sort=="") 	//-- by default registeration date descending
		{  
			$i_disp=1;
			$str_order ="dwnld_date desc ";
			$sort = "-2";
		}
		elseif($sort == "1") 		$str_order=" dwnld_title asc ";
		elseif($sort == "-1") 		$str_order=" dwnld_title desc ";	
		elseif($sort == "2") 		$str_order=" dwnld_date asc ";
		elseif($sort == "-2") 		$str_order=" dwnld_date desc ";	
        elseif($sort == "3")        $str_order=" dwnld_count asc ";	 
        elseif($sort == "-3") 		$str_order=" dwnld_count desc ";	

## to get start for paging
	if ($start=="")
		$start=0;
		
## get total rows without limits
	$num_rows = get_total_rows("tbl_downloads",'dwnld_id',$str_cond);
	
## get data by applying limit
	$str_tablename = "tbl_downloads";
	$str_join_cond = "";
	$str_limits =  $start.",".$RECORDS_PER_PAGE; 
	$str_field_names="*";
	$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);

## To change the value of start if all records from last page are deleted. go to prevoius page.
	if ( $res_data && @mysql_num_rows($res_data) == 0)
	{	
		if ($start!= 0)
		{
			$start = $start - $RECORDS_PER_PAGE;
			if ($start < 0)
				$start = 0;
			$str_limits 	= $start.",".$RECORDS_PER_PAGE;	
			$num_rows = get_total_rows($str_tablename,'dwnld_id',$str_cond);
			$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);
		}
	}
	
?>	
<?php include("header.php"); ?>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/checkbox_functions.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<link rel="stylesheet" type="text/css" media="all" href="<?php echo $site_path ; ?>javascript/calendar/calendar-win2k-cold-1.css" title="win2k-cold-1" />
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar.js"></script>
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar-en.js"></script>
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar-setup.js"></script>
<form name="frm_manage" method="post" action="<?php $_SERVER['PHP_SELF'];?>"><BR />
<?php  
if($str_err) 
	{ 
	 echo get_err_div($str_err);
	} 
?>
<table width="90%" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
              <tbody>
                <tr>
                  <th align="center"></th>
                  <th align="left"><?php echo  $page_heading;?></th>
                  <th align="left">&nbsp;</th>
				  <th align="center">&nbsp;</th>
                  <th align="left">&nbsp;</th>
                  <th colspan="4" align="right"><a href="<?php echo ADD_EDIT_DOWNLOADS_PHP."?str_params=".@base64_encode($str_params); ?>">Add New </a> &nbsp; | &nbsp; <a  href="<?php echo MNG_DOWNLOADS_PHP ;?>">Clear Search</a></th>
                  </tr>                
				<tr>
				  <td align="center"></td>
				  <td colspan="8" align="left">Search  for Product :
                    <select name="s_prod_id" id="s_prod_id" onchange="document.frm_manage.submit();" >
                      <option value="">All Products </option>
                      <?php $resp=select_from_db("tbl_product","prod_id,prod_name","status='1'"); 
							   while($rowp=mysql_fetch_assoc($resp)) {	?>
                      <option value="<?php echo $rowp["prod_id"];?>" <?php echo $s_prod_id==$rowp["prod_id"] ? "selected" : "" ; ?>><?php echo $rowp["prod_name"];?></option>
                      <?php } ?>
                    </select></td>
				  </tr>
				<tr>
			  	<td width="2%" align="center"></td>
                <td width="27%" align="left"><input name="s_title"  class="textfield" value="<?php echo $s_title;?>"  size="35" type="text"></td>
				<td width="12%" align="center"><input name="s_counter"  class="textfield" value="<?php echo $s_counter;?>"  size="12" type="text"></td>
                <td width="18%" align="left"><input name="s_date" class="textfield" id="s_date" size="15" maxlength="11" value="<?php echo $s_date;?>" type="text">
					<script type="text/javascript">	  
					 Calendar.setup({
					 inputField	 :	"s_date",	 // id of the input field
					 ifFormat	 :	"y-mm-dd",	  // format of the input field
					 button		 :	"s_date",  // trigger for the calendar (button ID)
					 align		 :	"Bl",		   // alignment (defaults to "Bl")
					 singleClick :	true
					});
					</script></td>
                <td align="left">&nbsp;</td>
							
				<td width="10%" align="left">
					<select class="textfield" name="s_status">
						<option value="">All</option>
						<option value="1" <?php echo $s_status=="1"?"selected": "" ; ?>>Active</option>
						<option value="0" <?php echo $s_status=="0"?"selected": "" ; ?>>Inactive</option>
					</select>				</td>
				<td width="7%" align="center"><input name="sbmt_srch" value="search"   type="submit"></td>	
				<td width="7%" align="center"><input type="submit" name="del_all" value="Delete"  title="Delete selected"  onClick="return action_check(document.frm_manage.chk_all,document.frm_manage.chk,'delete')" ></td>
				<th width="4%" align="center">&nbsp;</th>
              </tr>
              <tr>
			  <th align="center">#</th>

             	<th align="left">
				<?php
				 echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort1"."'>Title</a>";
    				if($imgsort[1] == 1)
						echo "<img src='".$imgsort[0] ."' border='0'>&nbsp;"; 
				?>				</th> 
				
				<th align="left" width="12%">
				<?php
				 echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort3"."'>Counter</a>";
    				if($imgsort[1] == 3)
						echo "<img src='".$imgsort[0] ."' border='0'>&nbsp;"; 
				?>				</th> 
				  
             	<th align="left">
				<?php
				echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort2"."'>Date</a>";
				if($i_disp == 1) #Loop for dispaly default sorting applied on listing
				{ 
				echo "<img src='".$sortimg_path."' border='0'>&nbsp;"; 
				$i_disp=0; 
				}
    			if($imgsort[1] == 2)
					echo "<img src='".$imgsort[0] ."' border='0'>&nbsp;"; 
				?>				</th>
				     
             	<th align="center" width="13%">Download</th>
				<th align="left">Status</th>  
				<th>Edit</th>   
             	<th align="center">Delete</th>    
			    <th align="center"><input type="checkbox" id="chk_all" name="chk_all" value="1" onClick="return check_all(this,document.frm_manage.chk);"></th>
              </tr>
			<?php 
			if (@mysql_num_rows($res_data)> 0) 
			{ 
				$cntr=$start+1;
				while($row = @mysql_fetch_assoc($res_data) )
					{
						$id=$row["dwnld_id"];
						$dwnld_title= stripslashes($row["dwnld_title"]);
						$dwnld_date=$row["dwnld_date"];
						$counter=$row["dwnld_count"];
						$i_status=$row['status'] ;
						$str_status = $i_status=="0"?"Inactive":"Active";
						$row_class = $row_class=="row0" || $row_class=="" ? "row1": "row0";	
			?>
					<tr class="<?php echo $row_class;?>">
						<td align="center"><?php echo $cntr;?></td>
						<td align="left"><?php echo limit_string_length($dwnld_title,50);?></td>
						<td align="left"><?php echo $counter;?></td>
						
						<td align="left"><?php echo $dwnld_date;?></td>
						<td align="center"><a href="<?php echo $download_path.$row[dwnld_file];?>" target='_blank' title="Download"><img src="<?php echo $site_path;?>images/dwnld_img.jpg" width="16" height="16" border="0"/></a></td>
						<td align="left">
						<!--<a href="" title="Inactivate this user">Active</a>-->
						<?php 
							$querystring=$_SERVER['PHP_SELF']."?chgastatus=1&st_id=".$id."&start=$start".$str_params;    	
							if($i_status!=1)
							{
								$querystring.="&status=1";
								$st_lnk ='<span title="Change Status"><a href='.$querystring.'><font color="#FF0000">Inactive</font></a></span>';
							}
							else
							{
								$querystring.="&status=0";
								$st_lnk ='<span title="Change Status"><a href='.$querystring.'><font color="#00FF00">Active</font></a></span>';
							}
							
							echo $st_lnk;
						?>						</td>
						<td align="center"><a href="<?php echo ADD_EDIT_DOWNLOADS_PHP."?id=$id&action=edit&start=$start&str_params=".@base64_encode($str_params);?>" title="Edit"><img src="<?php echo $site_path;?>images/edit.png" width="16" height="16" border="0"></a></td>
						<td align="center"><a href="<?php echo $_SERVER['PHP_SELF']."?del_id=".$id?>" title="Delete" onclick="return confirm('Are you sure you want to delete?')"><img src="<?php echo $site_path;?>images/drop.png" width="16" height="16" border="0" ></a></td>
						<td align="center"><input id="chk" name="chk[]" value="<?php echo $id;?>" onclick="return check_single(document.frm_manage.chk_all,document.frm_manage.chk);" type="checkbox"></td>
					</tr>		
			<?php 	$cntr++;
					} #closing of while ?>			
			<tr align="center">
			  <td align="center">&nbsp;</td>
			  <td colspan="8" align="center" >
			  <?php	
			  		/*$page=navigation($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'], $str_params,''); #paging	 		
					 echo $page;*/
				$navigation= navigation_new($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'],$str_params);
					 echo($navigation[1]."&nbsp;".$navigation[2]."&nbsp;".$navigation[3]);
					 	?>			  </td>
			  </tr>
			  </tbody></table>
		 <?php  } 	
else {  ?>	
	<table width="90%" height="250" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
					<tr>
					  <th width="65%" align="center"><span class="error"><?php echo ERR_NO_RESULT;?></span></th>
					  </tr>
	</table>				
<?php } ?>	
</form>	
<?php include("footer.php");?>