<?php
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name:manage_email.php
	# Updated: 30-04-08 Mudassir shaikh  
	# Status: open
	# Purpose: manage the automated email.
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once("../includes/config.php");
	require_once("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/admin_filenames.php");
	require_once("../includes/err_msg.php");
	
	$debug_mode = 0;

##  Specify title of page
	$page_heading="Manage Automated Emails";

##  to get search field
	$start			= trim($_REQUEST['start']);
	$sort			= trim($_REQUEST['sort']);
	$s_title		= trim($_REQUEST['s_title']);
	//$s_date 		= trim($_REQUEST['s_date']);	
	//$s_status		= trim($_REQUEST['s_status']);
	$str_err		= trim($_REQUEST["str_err"]);
	if(isset($_POST["search"]))
	{
	 $str_err="";
	}

## code to delete 
		## single delete
			if(isset($_GET['del_id']))
			{
			 delete_from_db("admin_automail","mid='".$_GET['del_id']."'");
			 $str_err=MSG_EMAIL_DELETE;	
			}
		##multiple delete
			if(isset($_POST['del_all']))
			{	
				for($i=0; $i<=count($_POST["chk"])-1; $i++)
				{
				 $delete_id = $_POST["chk"][$i];
				 delete_from_db("admin_automail","mid='".$delete_id."'");		 		
				} 
				
				if($i == count($_POST["chk"]))
						$str_err=MSG_EMAIL_DELETE;
				else
						$str_err = ERR_IN_DELETE;
			}

## code to params creation
	$str_params="&s_title=".urlencode($s_title);
	
## code for select query condition Creation
		if($s_title!="")
			$arr_cond[]=" subject like '%$s_title%'";
		
		if (is_array($arr_cond))
			$str_cond = implode(" and ", $arr_cond);
		else
     		$str_cond = "";
	
## code for get sort condition filter		
		if($sort=="") 	//-- by default registeration date descending
		{  
			$i_disp=1;
			$str_order ="subject desc ";
			$sort = "-1";
		}
		elseif($sort == "1") 		$str_order=" subject asc ";
		elseif($sort == "-1") 		$str_order=" subject desc ";	
	
## to get start for paging
	if ($start=="")
		$start=0;
		
## get total rows without limits
	$num_rows = get_total_rows("admin_automail",'mid',$str_cond);
	
## get data by applying limit
	$str_tablename = "admin_automail";
	$str_join_cond = "";
	$str_limits =  $start.",".$RECORDS_PER_PAGE; 
	$str_field_names="*";
	$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);

## To change the value of start if all records from last page are deleted. go to prevoius page.
	if ($res_data && mysql_num_rows($res_data) == 0)
	{	
		if ($start!= 0)
		{
			$start = $start - $RECORDS_PER_PAGE;
			if ($start < 0)
				$start = 0;
			$str_limits = $start.",".$RECORDS_PER_PAGE;	
			$num_rows = get_total_rows($str_tablename,'mid',$str_cond);
			$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);
		}
	}
	
?>	
<?php include("header.php"); ?>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/checkbox_functions.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<link rel="stylesheet" type="text/css" media="all" href="<?php echo $site_path ; ?>javascript/calendar/calendar-win2k-cold-1.css" title="win2k-cold-1" />
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar.js"></script>
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar-en.js"></script>
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar-setup.js"></script>
<script type="text/javascript">
function ViewTrbShooter(trbl_ques_id){
	window.open("<?php echo $site_path; ?>newadmin/view_trouble_shooter.php?trbl_ques_id="+trbl_ques_id,"ViewTrbShooter", "scrollbars=yes,resizable=no,statusbar=1, width=400, height=380,left=360,top=240");
}
</script>
<form name="frm_manage" method="post" action="<?php echo $_SERVER['PHP_SELF'];?>"><BR />
<?php  
if($str_err) 
	{ 
	 echo get_err_div($str_err);
	} 
?>
<table width="62%" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
  <tbody>
    <tr>
      <th align="center"></th>
      <th align="left"><?php echo  $page_heading;?></th>
      <th colspan="3" align="center"><a href="<?php echo MNG_EMAIL_PHP;?>">Clear Search</a></th>
      </tr>
    <tr>
      <td width="3%" align="center"></td>
      <td align="left"><input name="s_title"  class="textfield" value="<?php echo $s_title;?>"  size="45" type="text" /></td>
      <td width="7%" align="center"><input name="search" value="search"   type="submit" /></td>
      <td width="6%" align="center">&nbsp;</td>
      <td width="3%" align="center">&nbsp;</td>
    </tr>
    <tr>
      <th align="center">#</th>
      <th align="left"> <?php
				 echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort1"."'>Title</a>";
    				if($imgsort[1] == 1)
						echo "<img src='".$imgsort[0] ."' border='0'>&nbsp;"; 
				?>      </th>
      <th align="center">Edit</th>
      <th align="center">&nbsp;</th>
      <th align="center">&nbsp;</th>
    </tr>
    <?php 
			if (@mysql_num_rows($res_data)> 0) 
			{ 
				$cntr=$start+1;
				while($row = @mysql_fetch_assoc($res_data) )
					{
						$id=$row["mid"];
						$subject= stripslashes($row["subject"]);
						//$anmnt_date=$row["anmnt_date"];
						//$i_status=$row['status'] ;
						//$str_status = $i_status=="0"?"Inactive":"Active";
						$row_class = $row_class=="row0" || $row_class=="" ? "row1": "row0";	
			?>
    <tr class="<?php echo $row_class;?>">
      <td align="center"><?php echo $cntr;?></td>
      <td align="left"><?php echo $subject; ?>        <!--<a href="" title="Inactivate this user">Active</a>--></td>
      <td align="center"><a href="<?php echo ADD_EDIT_EMAIL_PHP."?id=$id&action=edit&start=$start&str_params=".@base64_encode($str_params);?>"><img src="<?php echo $site_path;?>images/edit.png" width="16" height="16" border="0" /></a></td>
      <td align="center"><a href="<?php echo $_SERVER['PHP_SELF']."?del_id=".$id?>" title="Delete" onclick="return confirm('Are you sure you want to delete?')"></a></td>
      <td align="center">&nbsp;</td>
    </tr>
    <?php 	$cntr++;
					} #closing of while ?>
    <tr align="center">
      <td align="center">&nbsp;</td>
      <td colspan="4" align="center" ><?php	
			  		/*$page=navigation($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'], $str_params,''); #paging	 		
					 echo $page;*/
				$navigation= navigation_new($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'],$str_params);
				echo($navigation[1]."&nbsp;".$navigation[2]."&nbsp;".$navigation[3]);
					 	?>      </td>
		  </tr>
	  </tbody>
	</table>
<?php }
else {  ?>
<table width="62%" height="250" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
					<tr>
					  <th width="51%" align="center"><span class="error"><?php echo ERR_NO_RESULT;?></span></th>
    </tr>
  </table>				
<?php } ?>	
</form>	
<?php include("footer.php");?>