<?php
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: manage_member.php
	# Updated: 24-11-08 Chetan Kothawade  
	# Status: open
	# Purpose: Manage member from admin side.
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once("../includes/config.php");
	require_once("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/admin_filenames.php");
	require_once("../includes/member_filenames.php");
	require_once("../includes/err_msg.php");
	
	
	$debug_mode =0;

##  Specify title of page
	$page_heading="Manage Member";

##  to get search field
	$start			= trim($_REQUEST['start']);
	$sort			= trim($_REQUEST['sort']);
	$s_first_name	= trim($_REQUEST['s_first_name']);
	$s_last_name	= trim($_REQUEST['s_last_name']);
	$s_email 		= trim($_REQUEST['s_email']);	
	$s_status		= trim($_REQUEST['s_status']);
	$str_err		= trim($_REQUEST["str_err"]);
	if(isset($_POST["search"]))
	{
	 $str_err="";
	}

## code to delete 
		## single delete
			if(isset($_GET['del_id']))
			{
			 delete_from_db("tbl_member","member_id='".$_GET['del_id']."'");
			 $str_err=MSG_MEMBER_DELETE;	
			}
		##multiple delete
			if(isset($_POST['del_all']))
			{	
				for($i=0; $i<=count($_POST["chk"])-1; $i++)
				{
				 $delete_id = $_POST["chk"][$i];
				 delete_from_db("tbl_member","member_id='".$delete_id."'");		 		
				} 
				
				if($i == count($_POST["chk"]))
						$str_err=MSG_MEMBER_DELETE;
				else
						$str_err = ERR_IN_DELETE;
			}
## change Active/inactive status
	if ($_GET['chgastatus']==1)
	{  	
		$str_table_name = "tbl_member" ;
		$str_fields_values = "status='".$_GET['status']."'";
		$str_filter = "member_id='".$_GET['st_id']."'";
		$up = update_into_db($str_table_name,$str_fields_values,$str_filter);
	}

## code to params creation
	$str_params.="&s_first_name=".urlencode($s_first_name);
	$str_params.="&s_last_name=".urlencode($s_last_name);
	$str_params.="&s_email=".urlencode($s_email);
	$str_params.="&s_status=".urlencode($s_status);		
	//$params.="&sort=".$sort;

## code for select query condition Creation
		if($s_first_name!="")
			$arr_cond[]=" first_name like '$s_first_name%'";
		if($s_last_name!="")
			$arr_cond[]=" last_name like '$s_last_name%'";
		if($s_email!="")
			$arr_cond[]=" member_email Like '$s_email%'";
		if($s_status!="")
			$arr_cond[]=" status = '$s_status'";
		if (is_array($arr_cond))
			$str_cond = implode(" and ", $arr_cond);
		else
			$str_cond = "";


	
## code for get sort condition filter		
		if($sort=="") 	//-- by default registeration date descending
		{  
			$i_disp=1;
			$str_order ="first_name asc ";
			$sort = "1";
		}
		elseif($sort == "1") 		$str_order=" first_name asc";
		elseif($sort == "-1") 		$str_order=" first_name desc";	
		elseif($sort == "2") 		$str_order=" last_name asc";
		elseif($sort == "-2") 		$str_order=" last_name desc";	
		elseif($sort == "3") 		$str_order=" member_email asc";
		elseif($sort == "-3") 		$str_order=" member_email desc";	

## to get start for paging
	if ($start=="")
		$start=0;
		
## get total rows without limits
	$str_tablename = "tbl_member";
	//$str_join_cond = "a.cat_id= b.dept_id";
	$num_rows = get_total_rows($str_tablename,"member_id",$str_cond);
	
## get data by applying limit
	$str_limits =  $start.",".$RECORDS_PER_PAGE; 
	$str_field_names="*";
	$str_group_by="";
	$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond, $str_group_by);

## To change the value of start if all records from last page are deleted. go to prevoius page.
	if ( $res_data && @mysql_num_rows($res_data) == 0)
	{	
		if ($start!= 0)
		{
			$start = $start - $RECORDS_PER_PAGE;
			if ($start < 0)
				$start = 0;
			$str_limits 	= $start.",".$RECORDS_PER_PAGE;	
			$num_rows = get_total_rows($str_tablename,"member_id",$str_cond);
			$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);
		}
	}
	
?>	
<?php include("header.php"); ?>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/checkbox_functions.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<link rel="stylesheet" type="text/css" media="all" href="<?php echo $site_path ; ?>javascript/calendar/calendar-win2k-cold-1.css" title="win2k-cold-1" />
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar.js"></script>
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar-en.js"></script>
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar-setup.js"></script>
<form name="frm_manage" method="post" action="<?php echo $_SERVER['PHP_SELF'];?>"><BR />
<?php  
if($str_err)
 { echo get_err_div($str_err); } 
?> 

<table width="90%" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
              <tbody>
                <tr>
                  <th align="center"></th>
                  <th align="left"><?php echo  $page_heading;?></th>
                  <th align="left">&nbsp;</th>
                  <th align="left">&nbsp;</th>
				  <th align="left">&nbsp;</th>
                  <th colspan="3" align="right"><a href="<?php echo ADD_EDIT_MEMBER_PHP; ?>" title="Add New">Add New</a>&nbsp; | &nbsp; <a  href="<?php echo MNG_MEMBER_PHP;?>">Clear Search</a> </th>
                  </tr>
                <tr>
			  	<td width="3%" align="center"></td>
                <td width="20%" align="left">
					<input name="s_first_name" value="<?php echo $s_first_name;?>" size="20" type="text">
				</td>
                <td width="20%" align="left">
					<!--<input name="s_parent"   value="<?php echo $s_last_name;?>" size="10"  type="text">-->
                  	<input name="s_last_name" value="<?php echo $s_last_name;?>"  size="20" type="text" />
				</td>
				<td width="20%" align="left"><input name="s_email" value="<?php echo $s_email;?>" size="25" type="text"></td>
                <td width="10%" align="left">
					<select class="textfield" name="s_status">
						<option value="">All</option>
						<option value="1" <?php echo $s_status=="1"?"selected": "" ; ?>>Active</option>
						<option value="0" <?php echo $s_status=="0"?"selected": "" ; ?>>Inactive</option>
					</select>
				</td>
				<td width="7%" align="center"><input name="search" value="search"   type="submit"></td>
				<td width="6%" align="center">&nbsp;</td>
				<td width="7%" align="center"><input type="submit" name="del_all" value="Delete"  title="Delete selected"  onClick="return action_check(document.frm_manage.chk_all,document.frm_manage.chk,'delete')" ></td>
              </tr>
              <tr>
			 	<th align="center">#</th>
              	<th align="left">
					<?php echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort1"."'>First Name</a>";
					 if($i_disp ==1 )
						echo("<img src='".$sortimg_path."' border='0'>&nbsp;");
					 else 
						$i_desp=0 ;
						
					echo $imgsort[1] == 1 ? "<img src='".$imgsort[0] ."' border='0'>&nbsp;" : "" ; 
					?>				</th>     
             	<th align="left">
					<?php echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort2"."'>Last Name</a>";
					 	echo $imgsort[1] == 2 ? "<img src='".$imgsort[0] ."' border='0'>&nbsp;" : "";?>				</th>
				<th align="left">
					<?php echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort3"."'>Email Id</a>";
					 	echo $imgsort[1] == 3 ? "<img src='".$imgsort[0] ."' border='0'>&nbsp;" : "";?>				</th>
				<th align="left">Status</th>     
             	<th align="center">Edit</th>     
             	<th align="center">Delete</th>    
			    <th width="7%" align="center"><input type="checkbox" id="chk_all" name="chk_all" value="1" onClick="return check_all(this,document.frm_manage.chk);"></th>
              </tr>
			<?php 
			if (@mysql_num_rows($res_data)> 0) 
			{ 
				$cntr=$start+1;
				while($row = @mysql_fetch_assoc($res_data) )
					{
						$id=$row["member_id"];
						$first_name= stripslashes($row["first_name"]);
						$last_name = stripslashes($row["last_name"]);
						$member_email=stripslashes($row["member_email"]);
						
						//$total_operators=get_field("tbl_relationship","count(rela_id)","dept_id='".$id."'");
						$i_status=$row['status'] ;
						$str_status = $i_status=="0"?"Inactive":"Active";
						$row_class = $row_class=="row0" || $row_class=="" ? "row1": "row0";	
			?>
					<tr class="<?php echo $row_class;?>">
						<td align="center"><?php echo $cntr;?></td>
						<td align="left"><?php echo limit_string_length(ucfirst($first_name),50);?></td>
						<td align="left"><?php echo limit_string_length(ucfirst($last_name),50);?></td>
						<td align="left">
							<?php echo $member_email!="" ? limit_string_length($member_email,50):"<b><center>---</center></b>";?>
						</td>
						<td align="left">
						<?php 
							$querystring=$_SERVER['PHP_SELF']."?chgastatus=1&st_id=".$id."&start=$start".$str_params."&sort=$sort";    	
							if($i_status!=1)
							{
								$querystring.="&status=1";
								$st_lnk ='<span title="Change Status"><a href='.$querystring.'><font color="#FF0000">Inactive</font></a></span>';
							}
							else
							{
								$querystring.="&status=0";
								$st_lnk ='<span title="Change Status"><a href='.$querystring.'><font color="#00FF00">Active</font></a></span>';
							}
							
							echo $st_lnk;
							?>
						</td>
						<td align="center"><a href="<?php echo ADD_EDIT_MEMBER_PHP."?id=$id&action=edit&start=$start&str_params=".@base64_encode($str_params);?>" title="Edit"><img src="<?php echo $site_path;?>images/edit.png" width="16" height="16" border="0"></a></td>
						<td align="center"><a href="<?php echo $_SERVER['PHP_SELF']."?del_id=".$id?>" title="Delete" onclick="return confirm('Are you sure you want to delete?')"><img src="<?php echo $site_path;?>images/drop.png" width="16" height="16" border="0" bordre="0"></a></td>
						<td align="center"><input id="chk" name="chk[]" value="<?php echo $id;?>" onclick="return check_single(document.frm_manage.chk_all,document.frm_manage.chk);" type="checkbox"></td>
					</tr>		
			<?php 	$cntr++;
					} #closing of while ?>			
			<tr align="center">
			  <td align="center">&nbsp;</td>
			  <td colspan="6" align="center" >
			  <?php	
			  		/*$page=navigation($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'], $str_params,''); #paging	 		
					 echo $page;*/
				$navigation= navigation_new($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'],$str_params);
					 echo($navigation[1]."&nbsp;".$navigation[2]."&nbsp;".$navigation[3]);
					 	?>			  </td>
			  </tr>
			  </tbody>
			  </table>
<?php  } # closing of record check 
else {  ?>	
	<table width="90%" height="250" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
					<tr>
					  <th width="62%" align="center"><span class="error"><?php echo ERR_NO_RESULT;?></span></th>
					</tr>
	</table>				
<?php } ?>	
</form>	
<?php include("footer.php");?>