<?php
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: operators_performance.php
	# Updated: 09-05-2008 Sham Shriwastav  
	# Status: open
	# Purpose: operators performance.
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once("../includes/config.php");
	require_once("../includes/conn.php");
	require_once("../lib/db_functions.php");
	require_once("../lib/general_functions.php");
	require_once("../lib/common_functions.php");
	require_once("check_session.php");
	require_once("../includes/sorting.php");
	require_once("../includes/admin_filenames.php");
	require_once("../includes/member_filenames.php");
	require_once("../includes/operator_filenames.php");
	require_once("../includes/err_msg.php");
	$debug_mode =0;
	##  Specify title of page
	$page_heading="Operators Performance";

##  to get search field
	$start			= trim($_REQUEST['start']);
	$sort			= trim($_REQUEST['sort']);
	$s_status		= trim($_REQUEST['s_status']);
	$str_err		= trim($_REQUEST["str_err"]);
## code to params creation
	$str_params="&s_name=".urlencode($s_name);
## code for select query condition Creation
	/*	$arr_cond[]="a.ticket_priority=b.prior_id";
		if($s_name!="")
			$arr_cond[]=" a.ticket_name LIKE '$s_name%'";
		if($s_id!="")
			$arr_cond[]=" a.ticket_id ='$s_id'";
		if($s_subject!="")
			$arr_cond[]="a.ticket_subject LIKE '$s_subject%'";
		if($s_priority!="")
			$arr_cond[]=" a.ticket_priority = '$s_priority'";
		if($s_subject!="")
			$arr_cond[]=" a.ticket_subject LIKE '$s_subject%'";
		if($s_dept!="")
			$arr_cond[]=" c.dept_name  LIKE '$s_dept%'";
		if($s_status!="")
			$arr_cond[]=" a.ticket_flag = '$s_status'";
		*/
		$str_cond= is_array($arr_cond) ? implode(" and ", $arr_cond)  : "" ;


	
## code for get sort condition filter		

## to get start for paging
	if ($start=="")
		$start=0;
		
## get total rows without limits
	$str_tablename = "tbl_operators a  LEFT JOIN tbl_tickets b";
	$str_join_cond = "a.opera_id=b.opera_id ";
	$num_rows = get_total_rows("tbl_operators","opera_id");
	
## get data by applying limit
	
	$str_limits =  $start.",".$RECORDS_PER_PAGE; 
	$str_field_names="a.opera_id, a.opera_user, count(b.ticket_id) total_ticket ";
	$str_group_by="a.opera_id";
	$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond, $str_group_by);

## To change the value of start if all records from last page are deleted. go to prevoius page.
	if ( $res_data && @mysql_num_rows($res_data) == 0)
	{	
		if ($start!= 0)
		{
			$start = $start - $RECORDS_PER_PAGE;
			if ($start < 0)
				$start = 0;
			$str_limits 	= $start.",".$RECORDS_PER_PAGE;	
			$num_rows = get_total_rows($str_tablename,"a.opera_id",$str_cond);
			$res_data = select_from_db($str_tablename,$str_field_names,$str_cond,$str_order,$str_limits,$str_join_cond);
		}
	}
	


?><?php include_once("header.php");?>
 <form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post" enctype="multipart/form-data" name="frmpage" onsubmit="return checkForm();">
<input type="hidden" name="action" value="<?php echo $action;?>" >
<input type="hidden" name="id" value="<?php echo $id;?>" >
<?php if ($num_rows>0) 
 {
 ?>

	 <table width="98%" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
					<tr>
					  <th width="3%"  align="left" valign="middle">&nbsp;</th>
					  <th width="28%"  align="left" valign="middle"><?php  echo $page_heading ;?></th>
					  <th width="8%"  align="left" valign="middle">&nbsp;</th>
					  <th width="8%"  align="left" valign="middle">&nbsp;</th>
					  <th width="8%"  align="left" valign="middle">&nbsp;</th>
					  <th width="9%"  align="left" valign="middle"></th>
					  <th width="9%"  align="right" valign="middle">&nbsp;</th>
					  <th width="10%"  align="right" valign="middle">&nbsp;</th>
					  <th width="17%"  align="right" valign="middle"><a href="<?php echo ADMIN_MAIN_PHP;?>">Back</a></th>
					</tr>
					<tr valign="top" >
					  <th  align="left">&nbsp;</th>
					  <th  align="left">Operator</th>
					  <th  align="left">Waiting For Reply </th>
					  <th  align="left">Replied</th>
					  <th  align="left">Open</th>
					  <th  align="left">Close</th>
				      <th  align="left">New</th>
					  <th  align="left">Total</th>
					  <th  align="left">Users Ranking </th>
					</tr>
					<?php 	$cntr=$start+1;			
					while($row = @mysql_fetch_assoc($res_data) )
					{
						
						$opera_id=$row["opera_id"];
						$my_name=ucfirst(stripslashes($row["opera_user"]));
						$my_ticket=$row["total_ticket"];
						
						
						$row_class = $row_class=="row0" || $row_class=="" ? "row1": "row0";
					?>
					<tr class="<?php echo $row_class;?>">
					  <td  align="left" valign="middle"><?php echo $cntr;?></td>
					  <td  align="left" valign="middle"><?php echo $my_name;?></td>
					  <td  align="left" valign="middle">
					  <?php
							 $wating_cnt=0;
							$res_all_open_ticket=select_from_db("tbl_tickets  ","ticket_id","opera_id ='".$opera_id."'  AND ticket_flag<>'1' ");
							while($row_tkt=mysql_fetch_assoc($res_all_open_ticket))
							{
							 list($lst_reply, $lst_tickt_id)=mysql_fetch_row(select_from_db("tbl_ticket_replies","last_reply,ticket_id","ticket_id='".$row_tkt["ticket_id"]."'","tkt_rply_date DESC ",1));
								// echo $lst_tickt_id." by ".$lst_reply."<BR>";
								if(strtoupper($lst_reply)!="OPERATOR")
								{
								 $wating_cnt++;
								}
							} 
							echo  $wating_cnt;
							
						 ?>					  </td>
					  <td  align="left" valign="middle">
						  <?php
							$res_replied_ticket=select_from_db("tbl_ticket_replies  ","distinct(ticket_id) ","opera_id='".$opera_id."'");
							$my_replied=mysql_num_rows($res_replied_ticket);
							echo $my_replied;
						 ?>					  </td>
					  <td  align="left" valign="middle"><?php
							$res_open_ticket=select_from_db("tbl_tickets ","ticket_id","opera_id='".$opera_id."' AND ticket_flag='0'");
							$my_open=mysql_num_rows($res_open_ticket);
							echo $my_open;
						 ?></td>
					  <td  align="left" valign="middle"><?php
							$res_close_ticket=select_from_db("tbl_tickets ","ticket_id","opera_id='".$opera_id."' AND ticket_flag='1'");
							$my_close=mysql_num_rows($res_close_ticket);
							echo $my_close;
						 ?></td>
				      <td  align="left" valign="middle">
					 <?php
							/*$res_new_ticket=select_from_db("tbl_ticket_replies b, tbl_tickets a ","a.ticket_id","a.opera_id ='".$opera_id."' AND   b.ticket_id=a.ticket_id AND  b.opera_id='".$opera_id."' AND ticket_flag<>'1' ");
							$my_new=mysql_num_rows($res_new_ticket);
							echo $my_new;*/
							
							$new_cnt=0;
							$res_all_open_ticket=select_from_db("tbl_tickets  ","ticket_id","opera_id ='".$opera_id."'  AND ticket_flag<>'1' ");
							while($row_tkt=mysql_fetch_assoc($res_all_open_ticket))
							{
							 $res_new_chk=select_from_db("tbl_ticket_replies","last_reply,ticket_id","ticket_id='".$row_tkt["ticket_id"]."' AND  opera_id ='".$opera_id."' ");
								if(mysql_num_rows($res_new_chk)==0)
								{
								 $new_cnt++;
								}
							} 
							echo  $new_cnt;
		
							
						 ?>						  </td>
					  <td  align="left" valign="middle"><?php echo $my_ticket?></td>
					  <td  align="left" valign="middle">
					<?php	
					 $ext_ord = get_field("tbl_feedback", "count(feedback_id)", "opera_id='".$opera_id."' and rank_id='1'");		  
					 $good = get_field("tbl_feedback", "count(feedback_id)", "opera_id='".$opera_id."' and rank_id='2'");	
					 $average = get_field("tbl_feedback", "count(feedback_id)", "opera_id='".$opera_id."' and rank_id='3'");
					 $below_average = get_field("tbl_feedback", "count(feedback_id)", "opera_id='".$opera_id."' and rank_id='4'");		  
					 $poor = get_field("tbl_feedback", "count(feedback_id)", "opera_id='".$opera_id."' and rank_id='5'");
					
					   $total_feedback=($ext_ord+$good +$average+$below_average+$poor);
					   $total_ranking=(($ext_ord*1)+($good*2) +($average*3)+($below_average*4)+($poor*5));
					if($total_feedback >0 && $total_ranking>0)
						$current_rank=round($total_ranking/$total_feedback);
					else
						$current_rank=0;
					  
					 if($current_rank>0)
					 {
						 $row_name=mysql_fetch_assoc(select_from_db("tbl_operator_rank","rank_name","rank_id<=".$current_rank."", "rank_id DESC","1"));
						 $rank_name=$row_name["rank_name"];
					 }
					 else
					 {
					   $rank_name="--"; 
					 }
					 
					 echo $rank_name;
  	  
					?>					  </td>
					</tr>
				<?php  $cntr++; } # closing of while?>	
					<tr >
					  <td  align="left" valign="middle">&nbsp;</td>
					  <td colspan="7"  align="center" valign="middle">
					  <?php	
					$navigation= navigation_new($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'],$str_params);
					 echo($navigation[1]."&nbsp;".$navigation[2]."&nbsp;".$navigation[3]);
					 	?>					  </td>
					  <td  align="left" valign="middle">&nbsp;</td>
					</tr>
			</table>
<?php }
else {  ?>	
	<table width="98%" height="250" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
					<tr>
					  <td align="center"><span class="error"><?php echo ERR_NO_RESULT;?></span></td>
					  </tr>
	</table>				
<?php } ?>		
</form>
<?php include_once("footer.php");?>