<?php
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: view_knwbases.php
	# Updated: 05-05-08 by Sham Shriwastav  
	# Status: open
	# Purpose: 
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once("includes/config.php");
	require_once("includes/conn.php");
	require_once("lib/db_functions.php");
	require_once("lib/general_functions.php");
	require_once("lib/common_functions.php");
	require_once("includes/sorting.php");
	require_once("includes/member_filenames.php");
	require_once("includes/err_msg.php");
	
	
	$debug_mode =0;

##  Specify title of page
	$page_heading="View Knowledgebase";


  
##  to get search field
	$start			= trim($_REQUEST['start']);
	$sort			= trim($_REQUEST['sort']);
	$s_question		= trim($_REQUEST['s_question']);
	$s_answer 		= trim($_REQUEST['s_answer']);	
	$s_dept         = trim($_REQUEST['s_dept']);
	$prod_id		= trim($_REQUEST["prod_id"]); 
	
	if($prod_id!='')
	{
		$prod_name = get_field("tbl_product","prod_name","prod_id='".$prod_id."'");
	}
	
	
	
	$s_counter		= trim($_REQUEST["s_counter"]);
	$str_err		= trim($_REQUEST["str_err"]);
	if(isset($_POST["search"]))
	{
	 $str_err="";
	}

## code to params creation
	$str_params="&s_question=".urlencode($s_question);
	$str_params.="&s_answer=".urlencode($s_answer);
	$str_params.="&s_counter=".urlencode($s_counter);
	$str_params.="&prod_id=".urlencode($prod_id);
	$str_params.="&s_dept=".urlencode($s_dept);		
	//$params.="&sort=".$sort;


   ## code for select query condition Creation
		if($prod_id!="")
			$arr_cond[]=" (b.prod_id = '$prod_id' OR b.prod_id='0')";
		if($s_question!="")
			$arr_cond[]=" knw_qns like '%$s_question%'";
		
		if($s_answer!="")
			$arr_cond[]=" knw_ans  Like '%$s_answer%'";
		
		if($s_dept!="")
			$arr_cond[]="a.dept_name Like '$s_dept%'";
		
		if($s_counter!="")
			$arr_cond[]="knw_count  = '$s_counter'";
		
		$arr_cond[]="b.status='1'";
		
		$str_cond = is_array($arr_cond) ? implode(" and ", $arr_cond) : "";
	
## code for get sort condition filter		
		if($sort=="") 	//-- by default registeration date descending
		{  
			$i_disp=1;
			$str_order ="knw_priority ";
			$sort = "-3";
		}
		elseif($sort == "1") 		$str_order=" knw_qns asc";
		elseif($sort == "-1") 		$str_order=" knw_qns desc";	
		elseif($sort == "2") 		$str_order=" knw_ans asc";
		elseif($sort == "-2") 		$str_order=" knw_ans desc";	
		elseif($sort == "3") 		$str_order=" knw_count asc";
		elseif($sort == "-3") 		$str_order=" knw_count desc";	

## to get start for paging
	if ($start=="")
		$start=0;
		
## get total rows without limits
    $str_tablename = "tbl_departments a  RIGHT JOIN tbl_knowledgebase_qns b";
	$str_join_cond = "a.dept_id= b.dept_id";
	$num_rows = get_total_rows($str_tablename,"knw_qns_id",$str_cond,'','',$str_join_cond);
	
## get data by applying limit
	/*$str_tablename = "tbl_knowledgebase_qns";
	$str_join_cond = "";
	$str_limits =  $start.",".$RECORDS_PER_PAGE; 
	$str_field_names="knw_qns_id, knw_qns, knw_ans, knw_count, dept_id, status";
	$str_group_by="";
	$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond, $str_group_by);*/
    
	
	
	$str_limits =  $start.",".$RECORDS_PER_PAGE; 
	$str_field_names="a.dept_name as dept,b.knw_qns_id,b.knw_qns,b.knw_ans,b.knw_count,b.dept_id,b.status";
    $str_group_by="";
	$res_data1 = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond, $str_group_by);
	
	
	
## To change the value of start if all records from last page are deleted. go to prevoius page.
	if ( $res_data1 && mysql_num_rows($res_data1) == 0)
	{	
		if ($start!= 0)
		{
			$start = $start - $RECORDS_PER_PAGE;
			if ($start < 0)
				$start = 0;
			$str_limits 	= $start.",".$RECORDS_PER_PAGE;	
			$num_rows = get_total_rows($str_tablename,"knw_qns_id",$str_cond);
			$res_data1 = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);
		}
	}

# get the help section.
$arr_help=get_help("1,3");
while (list($key, $value) = each($arr_help))
{
 echo "<div id='help_data_$key' style='display:none;'>".$value["help_text"]."</div>";
}
?>	
<?php include("header.php"); ?>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/checkbox_functions.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/common_function.js"></script>
<link rel="stylesheet" type="text/css" media="all" href="<?php echo $site_path ; ?>javascript/calendar/calendar-win2k-cold-1.css" title="win2k-cold-1" />
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar.js"></script>
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar-en.js"></script>
<script type="text/javascript" src="<?php echo $site_path ; ?>javascript/calendar/calendar-setup.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/nodropin.js"></script>
		<div id="dropin" style="background-color: #CCCCCC; position:absolute; visibility: hidden; z-index: 1000000;
		left: 300px; width: 350px; padding:5px 5px; border: 1px solid #2E2E2E;	background-color:#FFFFFF;  ">
			<div align="right">
				<font face="Tahoma" size="1">
		  			<a href="#" onClick="dismissbox();return false">[Close]</a>
		  		</font>&nbsp;&nbsp;
				<hr  size="1px"/>
		  	</div>
		  	<div id="help_div" class="text"></div>	
		</div>
<form name="frm_manage" method="post" action="<?php echo $_SERVER['PHP_SELF'];?>"><BR />
	<input type="hidden" name="prod_id" id="prod_id" value="<?php echo $prod_id?>"  />
<?php  
if($str_err)
 { echo get_err_div($str_err); } 
?> 

<table width="90%" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
              <tbody>
                <tr>
                  <th align="center"></th>
                  <th width="44%" align="left"><?php echo  $page_heading;?></th>
                  <th width="21%" align="left">&nbsp;</th>
                  <th align="left">&nbsp;</th>
                  <th align="left">&nbsp;</th>
                  <th align="center">&nbsp;</th>
                  </tr>
                <tr>
			  	<td width="7%" align="center"><a onmouseover="this.style.cursor='pointer';" onclick="initbox2('help_div',event,'<?php echo "help_data_1"; ?>', '<?php echo $arr_help[1]["help_type"]; ?>'); return false;" title='Click me for help'> <img src="<?php echo SITE_PATH."images/help_icon.gif";?>" width="16" height="16" border="0" /></a></td>
                <td colspan="2" align="left"><input name="s_question" value="<?php echo $s_question;?>"  size="45" type="text">                  <!--<input name="s_answer"   value="<?php echo $s_answer;?>" size="15"  type="text">--></td>
                <td width="14%" align="left"><input name="s_dept"   value="<?php echo $s_dept;?>" size="10"  type="text"></td>
                <td width="7%" align="left"><input name="s_counter"   value="<?php echo $s_counter;?>" size="5"  type="text"></td>
                <td width="7%" align="center"><input name="search"   value="search"   type="submit"></td>
                </tr>
              <tr>
			 	<th align="center"><a onmouseover="this.style.cursor='pointer';" onclick="initbox2('help_div',event,'<?php echo "help_data_3"; ?>', '<?php echo $arr_help[3]["help_type"]; ?>'); return false;" title='Click me for help'> <img src="<?php echo SITE_PATH."images/help_icon.gif";?>" width="16" height="16" border="0" /> </a></th>
              	<th colspan="2" align="left">
					<?php 
					echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort1"."'>Question</a>";
					echo $imgsort[1] == 1 ? "<img src='".$imgsort[0] ."' border='0'>&nbsp;" : "" ; 
					?>				
					<?php 
						//echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort2"."'>Answer</a>";
					 	//echo $imgsort[1] == 2 ? "<img src='".$imgsort[0] ."' border='0'>&nbsp;" : "";
					?>				</th>     
             	<th align="left">Department</th>
				<th align="left">
					<?php 
						echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort3"."'>Views</a>";
						if($i_disp ==1 )
							echo("<img src='".$sortimg_path."' border='0'>&nbsp;");
					 	else 
							$i_desp=0 ;
					 	echo $imgsort[1] == 3 ? "<img src='".$imgsort[0] ."' border='0'>&nbsp;" : "";
					?>				</th>
             	<th align="center">&nbsp;</th>
             	</tr>
			<?php 
			if (mysql_num_rows($res_data1)> 0) 
			{ 
				$cntr=$start+1;
				while($row = mysql_fetch_assoc($res_data1) )
					{
						$id=$row["knw_qns_id"];
						$str_question= stripslashes($row["knw_qns"]);
						$str_answer=stripslashes($row["knw_ans"]);
						$i_counter= $row["knw_count"];						
						//$dept=$row["dept_id"];
						$depart = $row["dept"] == "" ? 'All departments' : $row["dept"];
						$row_class = $row_class=="row0" || $row_class=="" ? "row1": "row0";	
			?>
					<tr valign="top" class="<?php echo $row_class;?>">
						<td align="center"><?php echo $cntr;?></td>
						<td colspan="2" align="left">
						<a  title="Detail" href="<?php echo VIEW_KNWBASE_PHP."?id=$id&start=$start&str_params=".@base64_encode($str_params);?>">
						<?php echo limit_string_length($str_question,300);?>						</a>						<?php //echo limit_string_length($str_answer,25);?></td>
						<td align="left"><?php echo $depart;	?></td>
						<td align="left"><?php echo $i_counter;?></td>
						<td align="center">
<!--						<a href="<?php echo VIEW_KNWBASE_PHP."?id=$id&start=$start&str_params=".@base64_encode($str_params);?>"><img src="<?php echo $site_path;?>images/detail.png" width="16" height="16" border="0"></a>
-->						</td>
						</tr>		
			<?php 	$cntr++;
					} #closing of while ?>			
			<tr align="center">
			  <td align="center">&nbsp;</td>
			  <td colspan="5" align="center" >
			  <?php	
			  		/*$page=navigation($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'], $str_params,''); #paging	 		
					 echo $page;*/
				$navigation= navigation_new($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'],$str_params);
					 echo($navigation[1]."&nbsp;".$navigation[2]."&nbsp;".$navigation[3]);
					 	?>			  </td>
			  </tr>
			  
			</tbody></table>
			 
<?php } # closing of record check 
else {  ?>	
	<table width="90%" height="250" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
					<tr>
					  <th width="62%" align="center"><span class="error"><?php echo ERR_NO_RESULT;?></span></th>
	  </tr>
	</table>	
				
<?php } ?>
<table width="90%" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
				   <tr>
				    <td width="58%" align="right">
					If your query not solved you can Submit Ticket					</td>
					<td width="42%" align="left">
					<a title="Submit a Ticket" href="<?php echo SITE_PATH."ticket/".$prod_id."/".$prod_name.".html";?>">
					<img align="absbottom" src="<?php echo SITE_PATH;?>images/but_submittickets.gif"  border="0" />
					</a>					</td>
				   </tr>
				  </table>	
</form>	
<?php include("footer.php")?>