<?php
/*
	#############################################################################
	# eLuminous Technologies - Copyright (C)  http://eluminoustechnologies.com 
	# This code is written by eLuminous Technologies, Its a sole property of 
	# eLuminous Technologies and cant be used / modified without license.  
	# Any changes/ alterations, illegal uses, unlawful distribution, copying is strictly
	# prohibhited 
	#############################################################################
	# Name: view_trouble_shooter.php
	# Updated: 05-05-08 Mudassir shaikh  
	# Status: open
	# Purpose: View the trouble shooters in user module.
	
	#############################################################################
	//ALSO STRICTLY MAINTAINING THE LOGS OF CHANGES AND PERSON NAME 
	#############################################################################
*/
	require_once("includes/config.php");
	require_once("includes/conn.php");
	require_once("lib/db_functions.php");
	require_once("lib/general_functions.php");
	require_once("lib/common_functions.php");
	require_once("includes/err_msg.php");
	require_once("includes/sorting.php");
	require_once("includes/member_filenames.php");
	
##  Specify title of page
	$page_heading="View Trouble Shooter";

##  to get search field
	$start			= trim($_REQUEST['start']);
	$sort			= trim($_REQUEST['sort']);
	$s_title		= trim($_REQUEST['s_title']);
	$s_counter      = trim($_REQUEST['s_counter']); 
	$prod_id		=trim($_REQUEST["prod_id"]); 
	$str_err		= trim($_REQUEST["str_err"]);
	
	if(isset($_POST["search"]))
	{
	 $str_err="";
	}


## code to params creation
	$str_params="&s_title=".urlencode($s_title);
	$str_params.="&s_counter=".urlencode($s_counter);
	//$str_params.="&s_date=".urlencode($s_date);
	$str_params.="&prod_id=".urlencode($prod_id);
	$str_params.="&s_status=".urlencode($s_status);		
	$params.="&sort=".$sort;

## code for select query condition Creation
		if($prod_id!="")
			$arr_cond[]=" prod_id = '$prod_id'";
		if($s_title!="")
			$arr_cond[]="(trbl_question like '%$s_title%' OR trbl_answer like '%$s_title%')";
		
		if($s_counter!="")
			$arr_cond[]=" trbl_count like '$s_counter'";
		
		    $arr_cond[]="status='1'";
					 
		if (is_array($arr_cond))
			$str_cond = implode(" and ", $arr_cond);
		else
     		$str_cond = "";
	
## code for get sort condition filter		
		if($sort=="") 	//-- by default registeration date descending
		{  
			$i_disp=1;
			$str_order ="trbl_question asc ";
			$sort = "1";
		}
		elseif($sort == "1") 		$str_order=" trbl_question asc ";
		elseif($sort == "-1") 		$str_order=" trbl_question desc ";	
	    elseif($sort == "2") 		$str_order=" trbl_count asc ";
		elseif($sort == "-2") 		$str_order=" trbl_count desc ";	

## to get start for paging
	if ($start=="")
		$start=0;
		
## get total rows without limits
	$num_rows = get_total_rows("tbl_troubleshooter_qns",'trbl_ques_id',$str_cond);
	
	
## get data by applying limit
	$str_tablename = "tbl_troubleshooter_qns";
	$str_join_cond = "";
	$str_limits =  $start.",".$RECORDS_PER_PAGE; 
	$str_field_names="*";
	$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);

## To change the value of start if all records from last page are deleted. go to prevoius page.
	if ( $res_data && @mysql_num_rows($res_data) == 0)
	{	
		if ($start!= 0)
		{
			$start = $start - $RECORDS_PER_PAGE;
			if ($start < 0)
				$start = 0;
			$str_limits 	= $start.",".$RECORDS_PER_PAGE;	
			$num_rows = get_total_rows($str_tablename,'trbl_ques_id',$str_cond);
			$res_data = select_from_db($str_tablename,$str_field_names, $str_cond,$str_order,$str_limits, $str_join_cond);
		}
	}

# get the help section.
$arr_help=get_help("1,3");
while (list($key, $value) = each($arr_help))
{
 echo "<div id='help_data_$key' style='display:none;'>".$value["help_text"]."</div>";
}

?>	
<?php include("header.php"); ?>
<script language="javascript" type="text/javascript" src="<?php echo $site_path; ?>javascript/nodropin.js"></script>
		<div id="dropin" style="background-color: #CCCCCC; position:absolute; visibility: hidden; z-index: 1000000;
		left: 300px; width: 350px; padding:5px 5px; border: 1px solid #2E2E2E;	background-color:#FFFFFF;  ">
			<div align="right">
				<font face="Tahoma" size="1">
		  			<a href="#" onClick="dismissbox();return false">[Close]</a>
		  		</font>&nbsp;&nbsp;
				<hr  size="1px"/>
		  	</div>
		  	<div id="help_div" class="text"></div>	
		</div>
<form name="frm_manage" method="post" action="<?php echo $_SERVER['PHP_SELF'];?>"><BR />
	<input type="hidden" name="prod_id" value="<?php echo $prod_id; ?>">
<?php  
if($str_err) 
	{ 
	 echo get_err_div($str_err);
	} 
?>

<table width="90%" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
              <tbody>
                <tr>
                  <th align="center"></th>
                  <th align="left"><?php echo  $page_heading;?></th>
                  <th width="41%" align="left">&nbsp;</th>
                  <th width="7%" align="right">&nbsp;</th>
                  <th align="center">&nbsp;</th>
                  </tr>
                <tr>
			  	<td width="5%" align="center"><a onmouseover="this.style.cursor='pointer';" onclick="initbox2('help_div',event,'<?php echo "help_data_1"; ?>', '<?php echo $arr_help[1]["help_type"]; ?>'); return false;" title='Click me for help'> <img src="<?php echo SITE_PATH."images/help_icon.gif";?>" width="16" height="16" border="0" /></a></td>
                <td width="40%" align="left"><input name="s_title"  class="textfield" value="<?php echo $s_title;?>"  size="35" type="text"></td>
                <td align="left">&nbsp;</td>
                <td align="right"><input name="s_counter"  class="textfield" value="<?php echo $s_counter;?>"  size="5" type="text"></td>
                <td width="7%" align="center"><input name="search" value="search"   type="submit"></td>
				</tr>
              <tr>
			  <th align="center"><a onmouseover="this.style.cursor='pointer';" onclick="initbox2('help_div',event,'<?php echo "help_data_3"; ?>', '<?php echo $arr_help[3]["help_type"]; ?>'); return false;" title='Click me for help'> <img src="<?php echo SITE_PATH."images/help_icon.gif";?>" width="16" height="16" border="0" /> </a></th>

             	<th colspan="2" align="left">
				 			
				 <?php
				   echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort1"."'>Title</a>";
    			   if($imgsort[1] == 1)
				   echo "<img src='".$imgsort[0] ."' border='0'>&nbsp;"; 
				 ?>				<!--Solution--></th>     
             	
				 <th align="right">
					<?php 
						echo "<a href='".$_SERVER['PHP_SELF']."?".$str_params."&sort=$sort2"."'>Views</a>";
						if($i_disp ==1 )
							echo("<img src='".$sortimg_path."' border='0'>&nbsp;");
					 	else 
							$i_disp=0 ;
					 	echo $imgsort[1] == 2 ? "<img src='".$imgsort[0] ."' border='0'>&nbsp;" : "";
					?>				</th>

             	<th align="center">&nbsp;</th>
             	</tr>
			<?php 
			if (@mysql_num_rows($res_data)> 0) 
			{ 
				$cntr=$start+1;
				while($row = @mysql_fetch_assoc($res_data) )
					{
						$id=$row["trbl_ques_id"];
						$trbl_ques= stripslashes($row["trbl_question"]);
						$trbl_ans=stripslashes($row["trbl_answer"]);
						$counter=$row["trbl_count"];
						$i_status=$row['status'] ;
						$str_status = $i_status=="0"?"Inactive":"Active";
						$row_class = $row_class=="row0" || $row_class=="" ? "row1": "row0";	
			?>
					    <tr valign="top" class="<?php echo $row_class;?>">
						<td align="center"><?php echo $cntr;?></td>
						<td colspan="2" align="left">
						<a title="Detail" href="<?php echo VIEW_TROUBLE_SHOOTER_PHP."?id=$id&start=$start&str_params=".@base64_encode($str_params);?>">
						<?php echo limit_string_length($trbl_ques,300);?>						</a><?php //echo limit_string_length($trbl_ans,250);?></td>
						<td align="right"><?php echo $counter; ?> </td>
						<td align="center">
<!--						<a href="<?php echo VIEW_TROUBLE_SHOOTER_PHP."?id=$id&start=$start&str_params=".@base64_encode($str_params);?>"><img src="<?php echo $site_path;?>images/detail.png" width="16" height="16" border="0"></a>
-->						</td>
						</tr>		
			<?php 	$cntr++;
					} #closing of while ?>			
			<tr align="center">
			  <td align="center">&nbsp;</td>
			  <td colspan="4" align="center" >
			  <?php	
			  		/*$page=navigation($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'], $str_params,''); #paging	 		
					 echo $page;*/
				$navigation= navigation_new($num_rows,$RECORDS_PER_PAGE,$start,$links_per_page,$_SERVER['PHP_SELF'],$str_params);
				echo($navigation[1]."&nbsp;".$navigation[2]."&nbsp;".$navigation[3]);
					 	?>			  </td>
			  </tr>
			</tbody></table>
<?php }# closing of record check 
else {  ?>	
	<table width="90%" height="250" border="0" align="center" cellpadding="1" cellspacing="1" class="shows">
					<tr>
					  <th  align="center"><span class="error"><?php echo ERR_NO_RESULT;?></span></th>
					</tr>
	</table>				
<?php } ?>	
</form>	
<?php include("footer.php")?>